--- old/usr/src/Makefile.master	2014-04-11 13:24:01.317074245 +0100
+++ new/usr/src/Makefile.master	2014-04-11 13:24:01.325436239 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2014 Andrew Stormont.
 #
 
 #
@@ -246,8 +247,7 @@
 # architectures on which we do not build 64-bit versions.
 # (There are no such architectures at the moment.)
 #
-# Set BUILD64=# in the environment to disable 64-bit amd64
-# builds on i386 machines.
+# Set BUILD64=# in the environment to disable 64-bit builds.
 
 MACH64_1=	$(MACH:sparc=sparcv9)
 MACH64=		$(MACH64_1:i386=amd64)
@@ -255,9 +255,13 @@
 MACH32_1=	$(MACH:sparc=sparcv7)
 MACH32=		$(MACH32_1:i386=i86)
 
-sparc_BUILD64=
-i386_BUILD64=
-BUILD64=	$($(MACH)_BUILD64)
+BUILD64=
+sparc_BUILD64=	$(POUND_SIGN)
+i386_BUILD64=	$(POUND_SIGN)
+$($(MACH)_BUILD64)=	$(BUILD64)
+
+NOT_BUILD64=
+$(BUILD64)NOT_BUILD64=	$(POUND_SIGN)
 
 #
 # C compiler mode. Future compilers may change the default on us,
--- old/usr/src/Makefile.master.64	2014-04-11 13:24:01.550509585 +0100
+++ new/usr/src/Makefile.master.64	2014-04-11 13:24:01.557979177 +0100
@@ -20,6 +20,7 @@
 #
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 # rebind basic build macros to 64-bit versions
@@ -37,6 +38,15 @@
 LINK.cc=	$(LINK64.cc)
 LINT.c=		$(LINT64.c)
 
+$(NOT_BUILD64)COMPILE.c=	/usr/bin/false
+$(NOT_BUILD64)COMPILE.cc=	/usr/bin/false
+$(NOT_BUILD64)COMPILE.s=	/usr/bin/false
+$(NOT_BUILD64)COMPILE.d=	/usr/bin/false
+$(NOT_BUILD64)COMPILE.b=	/usr/bin/false
+$(NOT_BUILD64)LINK.c=		/usr/bin/false
+$(NOT_BUILD64)LINK.cc=		/usr/bin/false
+$(NOT_BUILD64)LINT.c=		/usr/bin/false
+
 CTF_FLAGS=	$(CTF_FLAGS_64)
 
 OFFSETS_CREATE=	$(OFFSETS_CREATE64)
@@ -72,6 +82,13 @@
 LD=		$($(MACH64)_LD)
 LINT=		$($(MACH64)_LINT)
 
+$(NOT_BUILD64)CC=	/usr/bin/false
+$(NOT_BUILD64)CCC=	/usr/bin/false
+$(NOT_BUILD64)CPP=	/usr/bin/false
+$(NOT_BUILD64)AS=	/usr/bin/false
+$(NOT_BUILD64)LD=	/usr/bin/false
+$(NOT_BUILD64)LINT=	/usr/bin/false
+
 REAL_CC=	$(CW_CC_CMD:sh)
 REAL_CCC=	$(CW_CCC_CMD:sh)
 
--- old/usr/src/cmd/sgs/elfedit/modules/Makefile	2014-04-11 13:24:01.755791648 +0100
+++ new/usr/src/cmd/sgs/elfedit/modules/Makefile	2014-04-11 13:24:01.764393666 +0100
@@ -19,16 +19,16 @@
 # CDDL HEADER END
 #
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		$(SRC)/Makefile.master
 
 
 SUBDIRS=	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all:=		TARGET=	all
 chkmsg:=	TARGET=	chkmsg
@@ -46,9 +46,6 @@
 
 $(SUBDIRS):	FRC
 		@cd $@; pwd; $(MAKE) $(TARGET)
-		@if [ -d $(MACH64) ]; then                      \
-			cd $(MACH64); pwd; $(MAKE) $(TARGET);   \
-		else /bin/true; fi
 
 
 FRC:
--- old/usr/src/cmd/sgs/link_audit/Makefile	2014-04-11 13:24:01.974565129 +0100
+++ new/usr/src/cmd/sgs/link_audit/Makefile	2014-04-11 13:24:01.982815881 +0100
@@ -20,6 +20,7 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../../../Makefile.master
@@ -61,6 +62,7 @@
 
 
 SUBDIRS=	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all:=		TARGET=	all
 install:=	TARGET=	install
@@ -81,9 +83,6 @@
 
 $(SUBDIRS):	FRC
 		@cd $@; pwd; $(MAKE) $(TARGET)
-		@if [ -d $(MACH64) ]; then                      \
-			cd $(MACH64); pwd; $(MAKE) $(TARGET);   \
-		else /bin/true; fi
 
 $(ROOTDEMODIRS):
 	$(INS.dir)
--- old/usr/src/cmd/strings/Makefile	2014-04-11 13:24:02.178108749 +0100
+++ new/usr/src/cmd/strings/Makefile	2014-04-11 13:24:02.186414113 +0100
@@ -19,18 +19,18 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 # cmd/strings/Makefile
 
-PROG:sh=	basename `pwd`
+PROG = strings
 
 include ../Makefile.cmd
 
-SUBDIRS	= 	$(MACH) $(MACH64)
+SUBDIRS	= 	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all	:=	TARGET = all
 install	:=	TARGET = install
--- old/usr/src/lib/cfgadm_plugins/sata/Makefile	2014-04-11 13:24:02.375319326 +0100
+++ new/usr/src/lib/cfgadm_plugins/sata/Makefile	2014-04-11 13:24:02.384840944 +0100
@@ -21,12 +21,14 @@
 #
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 #
 
 include		../../Makefile.lib
 
-$(INTEL_BLD)SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+$(INTEL_BLD)SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libaio/Makefile	2014-04-11 13:24:02.574348034 +0100
+++ new/usr/src/lib/libaio/Makefile	2014-04-11 13:24:02.583312206 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libc/Makefile	2014-04-11 13:24:02.770245235 +0100
+++ new/usr/src/lib/libc/Makefile	2014-04-11 13:24:02.779024768 +0100
@@ -24,6 +24,8 @@
 # Copyright 2010 Nexenta Systems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Andrew Stormont.
+#
 
 LIBBASENAME=	libc
 LIBRARY=	$(LIBBASENAME:%=%.a)
@@ -129,7 +131,7 @@
 
 .KEEP_STATE:
 
-all:	all_h lib32 $(BUILD64) .WAIT lib64 .WAIT etc THIRDPARTYLICENSE
+all:	all_h lib .WAIT etc THIRDPARTYLICENSE
 
 THIRDPARTYLICENSE: extract-copyright
 	$(RM) $@
@@ -151,6 +153,8 @@
 		exit 1; \
 	fi
 
+lib: lib32 $(BUILD64) .WAIT lib64
+
 $(MACH)/assym.h $(MACH64)/assym.h:
 	@cd $(@D); $(MAKE) assym.h
 
@@ -166,10 +170,7 @@
 $($(MACH)_COMP): FRC
 	@cd $(@); pwd; $(MAKE) $(TARGET)
 
-install:	all			\
-		etc			\
-		inslib32		\
-		$(BUILD64) inslib64
+install:	all etc inslib
 
 inslib32:	$(ROOTFS_LIBS) $(ROOTFS_LINKS) $(ROOTFS_LINT) \
 		$(ROOTFS_LINTLIB) \
@@ -179,9 +180,11 @@
 		$(ROOTFS_LINTLIB64) \
 		$(ROOTVARIANTLIBS64)
 
+inslib: inslib32 $(BUILD64) inslib64
+
 install_h: all_h $(ROOTHDRS)
 
-all_h:	$(MACH)/assym.h $(MACH64)/assym.h
+all_h:	$(MACH)/assym.h $(BUILD64) $(MACH64)/assym.h
 
 check:	$(CHECKHDRS)
 
--- old/usr/src/lib/libdoor/Makefile	2014-04-11 13:24:02.966948210 +0100
+++ new/usr/src/lib/libdoor/Makefile	2014-04-11 13:24:02.975125200 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libintl/Makefile	2014-04-11 13:24:03.157446901 +0100
+++ new/usr/src/lib/libintl/Makefile	2014-04-11 13:24:03.165035171 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libkrb5/Makefile	2014-04-11 13:24:03.348631743 +0100
+++ new/usr/src/lib/libkrb5/Makefile	2014-04-11 13:24:03.357561503 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 INSTALLED_HDRS = \
 		com_err.h krb5.h
--- old/usr/src/lib/libmd/Makefile	2014-04-11 13:24:03.541390924 +0100
+++ new/usr/src/lib/libmd/Makefile	2014-04-11 13:24:03.549738764 +0100
@@ -21,13 +21,15 @@
 
 #
 # Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		$(SRC)/lib/Makefile.lib
 
 $(SPARC_BLD)CAPDIR = capabilities
 
-SUBDIRS=	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS=	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 HDRS =		md4.h md5.h sha1.h sha2.h
 HDRDIR =	common
--- old/usr/src/lib/libmd5/Makefile	2014-04-11 13:24:03.776692400 +0100
+++ new/usr/src/lib/libmd5/Makefile	2014-04-11 13:24:03.788081507 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libpthread/Makefile	2014-04-11 13:24:03.974950675 +0100
+++ new/usr/src/lib/libpthread/Makefile	2014-04-11 13:24:03.983419466 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/librt/Makefile	2014-04-11 13:24:04.162814457 +0100
+++ new/usr/src/lib/librt/Makefile	2014-04-11 13:24:04.172026845 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libsched/Makefile	2014-04-11 13:24:04.355457731 +0100
+++ new/usr/src/lib/libsched/Makefile	2014-04-11 13:24:04.364336896 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libthread/Makefile	2014-04-11 13:24:04.547710868 +0100
+++ new/usr/src/lib/libthread/Makefile	2014-04-11 13:24:04.557307066 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libw/Makefile	2014-04-11 13:24:04.742862606 +0100
+++ new/usr/src/lib/libw/Makefile	2014-04-11 13:24:04.751213183 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/libxnet/Makefile	2014-04-11 13:24:04.930804260 +0100
+++ new/usr/src/lib/libxnet/Makefile	2014-04-11 13:24:04.939162900 +0100
@@ -21,11 +21,13 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		../Makefile.lib
 
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/lib/pkcs11/libsoftcrypto/Makefile	2014-04-11 13:24:05.126221990 +0100
+++ new/usr/src/lib/pkcs11/libsoftcrypto/Makefile	2014-04-11 13:24:05.134465787 +0100
@@ -21,12 +21,15 @@
 
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 include		$(SRC)/lib/Makefile.lib
 
 CAPDIR =	capabilities
-SUBDIRS =	$(MACH) $(BUILD64) $(MACH64) $(PLATFORMS)
+SUBDIRS =	$(MACH)
+$(BUILD64)SUBDIRS += $(MACH64)
+SUBDIRS +=	$(PLATFORMS)
 
 all :=		TARGET= all
 clean :=	TARGET= clean
--- old/usr/src/pkg/Makefile	2014-04-11 13:24:05.316362315 +0100
+++ new/usr/src/pkg/Makefile	2014-04-11 13:24:05.324495134 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 include $(SRC)/Makefile.master
@@ -169,9 +170,13 @@
 	i386_ONLY=$(POUND_SIGN) \
 	sparc_ONLY=$(POUND_SIGN) \
 	$(PKGMACH)_ONLY= \
+	i386_BUILD64=$(POUND_SIGN) \
+	sparc_BUILD64=$(POUND_SIGN) \
+	$(PKGMACH)_BUILD64= \
 	ARCH=$(PKGMACH) \
 	ARCH32=$($(PKGMACH)_ARCH32) \
 	ARCH64=$($(PKGMACH)_ARCH64) \
+	BUILD64=$(BUILD64) \
 	PKGVERS_COMPONENT=$(PKGVERS_COMPONENT) \
 	PKGVERS_BUILTON=$(PKGVERS_BUILTON) \
 	PKGVERS_BRANCH=$(PKGVERS_BRANCH) \
--- old/usr/src/pkg/manifests/SUNWcs.mf	2014-04-11 13:24:05.531072254 +0100
+++ new/usr/src/pkg/manifests/SUNWcs.mf	2014-04-11 13:24:05.540209108 +0100
@@ -23,6 +23,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 # Copyright (c) 2013 Gary Mills
+# Copyright 2014 Andrew Stormont.
 #
 
 <include SUNWcs.man1.inc>
@@ -135,7 +136,7 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/ccs
 dir path=usr/ccs/bin
 dir path=usr/demo
@@ -162,7 +163,7 @@
 dir path=usr/kernel/sys/$(ARCH64) group=sys
 dir path=usr/kvm
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/audit
 dir path=usr/lib/class
 dir path=usr/lib/class/FX
@@ -175,7 +176,7 @@
 dir path=usr/lib/devfsadm/linkmod group=sys
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/autofs group=sys
-dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
 dir path=usr/lib/fs/cachefs group=sys
 dir path=usr/lib/fs/ctfs group=sys
 dir path=usr/lib/fs/dev group=sys
@@ -184,7 +185,7 @@
 dir path=usr/lib/fs/lofs group=sys
 dir path=usr/lib/fs/mntfs group=sys
 dir path=usr/lib/fs/nfs group=sys
-dir path=usr/lib/fs/nfs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/nfs/$(ARCH64) group=sys
 dir path=usr/lib/fs/objfs group=sys
 dir path=usr/lib/fs/proc group=sys
 dir path=usr/lib/fs/sharefs group=sys
@@ -200,7 +201,7 @@
 dir path=usr/lib/iconv
 dir path=usr/lib/inet
 dir path=usr/lib/inet/$(ARCH32)
-dir path=usr/lib/inet/$(ARCH64)
+$(BUILD64)dir path=usr/lib/inet/$(ARCH64)
 dir path=usr/lib/inet/dhcp
 dir path=usr/lib/inet/dhcp/nsu
 dir path=usr/lib/inet/dhcp/svc
@@ -220,7 +221,7 @@
 dir path=usr/lib/reparse
 dir path=usr/lib/saf
 dir path=usr/lib/secure
-dir path=usr/lib/secure/$(ARCH64)
+$(BUILD64)dir path=usr/lib/secure/$(ARCH64)
 dir path=usr/lib/security
 dir path=usr/lib/sysevent
 dir path=usr/lib/sysevent/modules
@@ -235,7 +236,7 @@
 dir path=usr/sadm/install/scripts
 dir path=usr/sbin
 $(i386_ONLY)dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/doc group=other
 dir path=usr/share/doc/ksh
@@ -268,7 +269,7 @@
 dir path=var/idmap group=daemon owner=daemon
 dir path=var/inet group=sys
 dir path=var/ld
-dir path=var/ld/$(ARCH64)
+$(BUILD64)dir path=var/ld/$(ARCH64)
 dir path=var/log group=sys
 dir path=var/logadm
 dir path=var/mail group=mail mode=1777
@@ -681,21 +682,21 @@
 file path=usr/bin/$(ARCH32)/savecore mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/setuname mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/uptime mode=4555
-file path=usr/bin/$(ARCH64)/amt mode=0555
-file path=usr/bin/$(ARCH64)/crle mode=0555
-file path=usr/bin/$(ARCH64)/decrypt mode=0555
-file path=usr/bin/$(ARCH64)/digest mode=0555
-file path=usr/bin/$(ARCH64)/ksh93 mode=0555
-file path=usr/bin/$(ARCH64)/ls mode=0555
-file path=usr/bin/$(ARCH64)/moe mode=0555
-file path=usr/bin/$(ARCH64)/newtask group=sys mode=4555
-file path=usr/bin/$(ARCH64)/nohup mode=0555
-file path=usr/bin/$(ARCH64)/prctl mode=0555
-file path=usr/bin/$(ARCH64)/prstat mode=0555
-file path=usr/bin/$(ARCH64)/ps mode=0555
-file path=usr/bin/$(ARCH64)/savecore mode=0555
-file path=usr/bin/$(ARCH64)/setuname mode=0555
-file path=usr/bin/$(ARCH64)/uptime mode=4555
+$(BUILD64)file path=usr/bin/$(ARCH64)/amt mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/crle mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/decrypt mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/digest mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ksh93 mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ls mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/moe mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/newtask group=sys mode=4555
+$(BUILD64)file path=usr/bin/$(ARCH64)/nohup mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/prctl mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/prstat mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ps mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/savecore mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/setuname mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/uptime mode=4555
 $(i386_ONLY)file path=usr/bin/addbadsec mode=0555
 file path=usr/bin/alias mode=0555
 file path=usr/bin/amt mode=0555
@@ -922,7 +923,7 @@
 $(i386_ONLY)file path=usr/kernel/sys/exacctsys group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/sys/sysacct group=sys mode=0755
 file path=usr/kvm/README group=sys
-file path=usr/lib/$(ARCH64)/libshare.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libshare.so.1
 file path=usr/lib/audit/audit_record_attr mode=0444
 file path=usr/lib/calprog mode=0555
 file path=usr/lib/class/FX/FXdispadmin mode=0555
@@ -1216,7 +1217,7 @@
 file path=usr/lib/iconv/iconv_data mode=0444
 file path=usr/lib/idmapd mode=0555
 file path=usr/lib/inet/$(ARCH32)/in.iked mode=0555
-file path=usr/lib/inet/$(ARCH64)/in.iked mode=0555
+$(BUILD64)file path=usr/lib/inet/$(ARCH64)/in.iked mode=0555
 file path=usr/lib/inet/certdb mode=0555
 file path=usr/lib/inet/certlocal mode=0555
 file path=usr/lib/inet/certrldb mode=0555
@@ -1291,18 +1292,18 @@
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/sysdef group=sys mode=2555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/update_drv group=sys mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/whodo mode=4555
-file path=usr/sbin/$(ARCH64)/add_drv group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/modinfo group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/modload group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/modunload group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/pbind group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/prtconf group=sys mode=2555
-file path=usr/sbin/$(ARCH64)/psrset group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/rem_drv group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/swap group=sys mode=2555
-file path=usr/sbin/$(ARCH64)/sysdef group=sys mode=2555
-file path=usr/sbin/$(ARCH64)/update_drv group=sys mode=0555
-file path=usr/sbin/$(ARCH64)/whodo mode=4555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/add_drv group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/modinfo group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/modload group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/modunload group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/pbind group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/prtconf group=sys mode=2555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/psrset group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/rem_drv group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/swap group=sys mode=2555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/sysdef group=sys mode=2555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/update_drv group=sys mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/whodo mode=4555
 file path=usr/sbin/6to4relay mode=0555
 file path=usr/sbin/acctadm mode=0555
 file path=usr/sbin/allocate mode=4555
@@ -1495,12 +1496,12 @@
 hardlink path=usr/bin/$(ARCH32)/rksh target=ksh93
 hardlink path=usr/bin/$(ARCH32)/rksh93 target=ksh93
 $(i386_ONLY)hardlink path=usr/bin/$(ARCH32)/w target=uptime
-hardlink path=usr/bin/$(ARCH64)/encrypt target=decrypt
-hardlink path=usr/bin/$(ARCH64)/ksh target=ksh93
-hardlink path=usr/bin/$(ARCH64)/mac target=digest
-hardlink path=usr/bin/$(ARCH64)/rksh target=ksh93
-hardlink path=usr/bin/$(ARCH64)/rksh93 target=ksh93
-hardlink path=usr/bin/$(ARCH64)/w target=uptime
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/encrypt target=decrypt
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/ksh target=ksh93
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/mac target=digest
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/rksh target=ksh93
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/rksh93 target=ksh93
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/w target=uptime
 hardlink path=usr/bin/bg target=../../usr/bin/alias
 hardlink path=usr/bin/cd target=../../usr/bin/alias
 hardlink path=usr/bin/cksum target=../../usr/bin/alias
@@ -1805,7 +1806,8 @@
 link path=usr/ccs/bin/m4 target=../../bin/m4
 link path=usr/has/bin/jsh target=sh
 link path=usr/has/lib/rsh target=../bin/sh
-link path=usr/lib/$(ARCH64)/ld.so.1 target=../../../lib/$(ARCH64)/ld.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/ld.so.1 \
+    target=../../../lib/$(ARCH64)/ld.so.1
 link path=usr/lib/cron target=../../etc/cron.d
 link path=usr/lib/devfsadm/devfsadmd target=../../sbin/devfsadm
 link path=usr/lib/embedded_su target=../bin/su
@@ -1817,7 +1819,7 @@
 link path=usr/lib/locale/POSIX target=./C
 link path=usr/lib/rsh target=../bin/ksh93
 link path=usr/lib/secure/32 target=.
-link path=usr/lib/secure/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/secure/64 target=$(ARCH64)
 link path=usr/lib/wusbd target=../../sbin/wusbadm
 link path=usr/mail target=../var/mail
 link path=usr/net/nls/listen target=../../lib/saf/listen
@@ -1876,7 +1878,7 @@
 link path=usr/src target=./share/src
 link path=usr/tmp target=../var/tmp
 link path=var/ld/32 target=.
-link path=var/ld/64 target=$(ARCH64)
+$(BUILD64)link path=var/ld/64 target=$(ARCH64)
 #
 # The bootadm binary needs the etc/release file.
 #
--- old/usr/src/pkg/manifests/benchmark-filebench.mf	2014-04-11 13:24:05.772820831 +0100
+++ new/usr/src/pkg/manifests/benchmark-filebench.mf	2014-04-11 13:24:05.781170441 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/benchmark/filebench@$(PKGVERS)
@@ -35,14 +36,15 @@
 dir path=usr/benchmarks/filebench
 dir path=usr/benchmarks/filebench/bin
 $(i386_ONLY)dir path=usr/benchmarks/filebench/bin/$(ARCH)
-dir path=usr/benchmarks/filebench/bin/$(ARCH64)
+$(BUILD64)dir path=usr/benchmarks/filebench/bin/$(ARCH64)
 dir path=usr/benchmarks/filebench/config
 dir path=usr/benchmarks/filebench/scripts
 dir path=usr/benchmarks/filebench/workloads
 dir path=usr/share/man/man1
 $(i386_ONLY)file path=usr/benchmarks/filebench/bin/$(ARCH)/go_filebench \
     mode=0555
-file path=usr/benchmarks/filebench/bin/$(ARCH64)/go_filebench mode=0555
+$(BUILD64)file path=usr/benchmarks/filebench/bin/$(ARCH64)/go_filebench \
+    mode=0555
 file path=usr/benchmarks/filebench/bin/filebench mode=0555
 file path=usr/benchmarks/filebench/config/fileio.prof mode=0444
 file path=usr/benchmarks/filebench/config/filemacro.prof mode=0444
--- old/usr/src/pkg/manifests/compatibility-ucb.mf	2014-04-11 13:24:05.969245864 +0100
+++ new/usr/src/pkg/manifests/compatibility-ucb.mf	2014-04-11 13:24:05.976136285 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/compatibility/ucb@$(PKGVERS)
@@ -39,9 +40,9 @@
 dir path=usr/share/man/man1b
 dir path=usr/ucb
 $(i386_ONLY)dir path=usr/ucb/$(ARCH32)
-dir path=usr/ucb/$(ARCH64)
+$(BUILD64)dir path=usr/ucb/$(ARCH64)
 dir path=usr/ucblib
-dir path=usr/ucblib/$(ARCH64)
+$(BUILD64)dir path=usr/ucblib/$(ARCH64)
 file path=etc/mail/Mail.rc original_name=SUNWscp:etc/mail/Mail.rc \
     preserve=true
 file path=usr/share/man/man1b/basename.1b
@@ -109,18 +110,18 @@
 file path=usr/ucb/vipw mode=0555
 file path=usr/ucb/whereis mode=0755
 file path=usr/ucb/whoami mode=0755
-file path=usr/ucblib/$(ARCH64)/libcurses.so.1
-file path=usr/ucblib/$(ARCH64)/libdbm.so.1
-file path=usr/ucblib/$(ARCH64)/librpcsoc.so.1
-file path=usr/ucblib/$(ARCH64)/libtermcap.so.1
-file path=usr/ucblib/$(ARCH64)/libucb.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/libcurses.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/libdbm.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/librpcsoc.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/libtermcap.so.1
+$(BUILD64)file path=usr/ucblib/$(ARCH64)/libucb.so.1
 file path=usr/ucblib/libcurses.so.1
 file path=usr/ucblib/libdbm.so.1
 file path=usr/ucblib/librpcsoc.so.1
 file path=usr/ucblib/libtermcap.so.1
 file path=usr/ucblib/libucb.so.1
 $(i386_ONLY)hardlink path=usr/ucb/$(ARCH32)/ps target=../../bin/$(ARCH32)/ps
-hardlink path=usr/ucb/$(ARCH64)/ps target=../../bin/$(ARCH64)/ps
+$(BUILD64)hardlink path=usr/ucb/$(ARCH64)/ps target=../../bin/$(ARCH64)/ps
 hardlink path=usr/ucb/ps target=../../usr/lib/isaexec
 legacy pkg=SUNWscpr \
     desc="utilities for user interface and source build compatibility with SunOS 4.x" \
@@ -217,13 +218,14 @@
 link path=usr/ucb/wc target=../bin/wc
 link path=usr/ucb/whois target=../bin/whois
 link path=usr/ucb/xstr target=../bin/xstr
-link path=usr/ucblib/$(ARCH64)/libcurses.so target=./libcurses.so.1
-link path=usr/ucblib/$(ARCH64)/libdbm.so target=./libdbm.so.1
-link path=usr/ucblib/$(ARCH64)/librpcsoc.so target=./librpcsoc.so.1
-link path=usr/ucblib/$(ARCH64)/libtermcap.so target=./libtermcap.so.1
-link path=usr/ucblib/$(ARCH64)/libucb.so target=./libucb.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/libcurses.so target=./libcurses.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/libdbm.so target=./libdbm.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/librpcsoc.so target=./librpcsoc.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/libtermcap.so \
+    target=./libtermcap.so.1
+$(BUILD64)link path=usr/ucblib/$(ARCH64)/libucb.so target=./libucb.so.1
 link path=usr/ucblib/32 target=.
-link path=usr/ucblib/64 target=$(ARCH64)
+$(BUILD64)link path=usr/ucblib/64 target=$(ARCH64)
 link path=usr/ucblib/libcurses.so target=./libcurses.so.1
 link path=usr/ucblib/libdbm.so target=./libdbm.so.1
 link path=usr/ucblib/librpcsoc.so target=./librpcsoc.so.1
--- old/usr/src/pkg/manifests/developer-apptrace.mf	2014-04-11 13:24:06.169869315 +0100
+++ new/usr/src/pkg/manifests/developer-apptrace.mf	2014-04-11 13:24:06.178100635 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/apptrace@$(PKGVERS)
@@ -34,11 +35,11 @@
 dir path=usr/bin
 dir path=usr/lib
 dir path=usr/lib/abi
-dir path=usr/lib/abi/$(ARCH64)
+$(BUILD64)dir path=usr/lib/abi/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man1
 file path=usr/bin/apptrace mode=0555
-file path=usr/lib/abi/$(ARCH64)/apptrace.so.1
+$(BUILD64)file path=usr/lib/abi/$(ARCH64)/apptrace.so.1
 file path=usr/lib/abi/apptrace.so.1
 file path=usr/share/man/man1/apptrace.1
 legacy pkg=SUNWcstl \
--- old/usr/src/pkg/manifests/developer-debug-mdb-module-module-fibre-channel.mf	2014-04-11 13:24:06.361415354 +0100
+++ new/usr/src/pkg/manifests/developer-debug-mdb-module-module-fibre-channel.mf	2014-04-11 13:24:06.369710804 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -34,10 +35,10 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
-file path=usr/lib/mdb/kvm/$(ARCH64)/fcip.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/fcp.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/fctl.so group=sys mode=0555
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/fcip.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/fcp.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/fctl.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/fcip.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/fcp.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/fctl.so group=sys mode=0555
--- old/usr/src/pkg/manifests/developer-debug-mdb-module-module-qlc.mf	2014-04-11 13:24:06.553474811 +0100
+++ new/usr/src/pkg/manifests/developer-debug-mdb-module-module-qlc.mf	2014-04-11 13:24:06.562373859 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/debug/mdb/module/module-qlc@$(PKGVERS)
@@ -34,8 +35,8 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
-file path=usr/lib/mdb/kvm/$(ARCH64)/qlc.so group=sys mode=0555
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/qlc.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/qlc.so group=sys mode=0555
 legacy pkg=SUNWqlcu \
     desc="Utilties associated with the Qlogic Fibre Channel Adapter" \
--- old/usr/src/pkg/manifests/developer-debug-mdb.mf	2014-04-11 13:24:06.746581402 +0100
+++ new/usr/src/pkg/manifests/developer-debug-mdb.mf	2014-04-11 13:24:06.754838072 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/debug/mdb@$(PKGVERS)
@@ -56,16 +57,16 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/lib/mdb/proc group=sys
-$(sparc_ONLY)dir path=usr/lib/mdb/proc/$(ARCH64) group=sys
-$(i386_ONLY)dir path=usr/lib/mdb/proc/$(ARCH64)
+$(sparc_BUILD64)dir path=usr/lib/mdb/proc/$(ARCH64) group=sys
+$(i386_BUILD64)dir path=usr/lib/mdb/proc/$(ARCH64)
 dir path=usr/lib/mdb/raw group=sys
 dir path=usr/platform group=sys
 $(i386_ONLY)dir path=usr/platform/i86pc group=sys
@@ -203,48 +204,50 @@
 $(sparc_ONLY)file path=platform/sun4v/kernel/kmdb/$(ARCH64)/vdsk group=sys \
     mode=0555
 file path=usr/bin/$(ARCH32)/mdb mode=0555
-file path=usr/bin/$(ARCH64)/mdb mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/mdb mode=0555
 file path=usr/include/sys/mdb_modapi.h
-file path=usr/lib/mdb/kvm/$(ARCH64)/arp.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/cpc.so group=sys mode=0555
-$(i386_ONLY)file path=usr/lib/mdb/kvm/$(ARCH64)/cpu.generic.so group=sys \
-    mode=0555
-$(i386_ONLY)file path=usr/lib/mdb/kvm/$(ARCH64)/cpu_ms.AuthenticAMD.15.so \
-    group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/crypto.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/genunix.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/hook.so group=sys mode=0555
-$(sparc_ONLY)file path=usr/lib/mdb/kvm/$(ARCH64)/intr.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/ip.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/ipc.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/ipp.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/krtld.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/lofs.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/logindmux.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/mac.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/md.so group=sys mode=0555
-$(i386_ONLY)file path=usr/lib/mdb/kvm/$(ARCH64)/mdb_kb.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/mdb_ks.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/mpt.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/mpt_sas.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/mr_sas.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/nca.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/neti.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/nfs.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/ptm.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/random.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/s1394.so group=sys mode=0555
-$(i386_ONLY)file path=usr/lib/mdb/kvm/$(ARCH64)/sata.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/scsi_vhci.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/sctp.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/sd.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/sockfs.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/specfs.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/sppp.so group=sys mode=0555
-$(sparc_ONLY)file path=usr/lib/mdb/kvm/$(ARCH64)/ssd.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/ufs.so group=sys mode=0555
-$(i386_ONLY)file path=usr/lib/mdb/kvm/$(ARCH64)/uhci.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/usba.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/arp.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/cpc.so group=sys mode=0555
+$(i386_BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/cpu.generic.so group=sys \
+    mode=0555
+$(i386_BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/cpu_ms.AuthenticAMD.15.so \
+    group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/crypto.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/genunix.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/hook.so group=sys mode=0555
+$(sparc_BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/intr.so group=sys \
+    mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/ip.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/ipc.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/ipp.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/krtld.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/lofs.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/logindmux.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/mac.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/md.so group=sys mode=0555
+$(i386_BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/mdb_kb.so group=sys \
+    mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/mdb_ks.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/mpt.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/mpt_sas.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/mr_sas.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/nca.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/neti.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/nfs.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/ptm.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/random.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/s1394.so group=sys mode=0555
+$(i386_BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/sata.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/scsi_vhci.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/sctp.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/sd.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/sockfs.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/specfs.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/sppp.so group=sys mode=0555
+$(sparc_BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/ssd.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/ufs.so group=sys mode=0555
+$(i386_BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/uhci.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/usba.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/arp.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/cpc.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/cpu.generic.so group=sys mode=0555
@@ -282,19 +285,23 @@
 $(i386_ONLY)file path=usr/lib/mdb/kvm/ufs.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/uhci.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/usba.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/ld.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libavl.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libc.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libcmdutils.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libnvpair.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libproc.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libpython2.6.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libsysevent.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libtopo.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libumem.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libuutil.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/mdb_ds.so group=sys mode=0555
-$(i386_ONLY)file path=usr/lib/mdb/proc/$(ARCH64)/mdb_test.so group=sys \
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/ld.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libavl.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libc.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libcmdutils.so group=sys \
+    mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libnvpair.so group=sys \
+    mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libproc.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libpython2.6.so group=sys \
+    mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libsysevent.so group=sys \
+    mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libtopo.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libumem.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libuutil.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/mdb_ds.so group=sys mode=0555
+$(i386_BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/mdb_test.so group=sys \
     mode=0555
 file path=usr/lib/mdb/proc/ld.so group=sys mode=0555
 file path=usr/lib/mdb/proc/libavl.so group=sys mode=0555
@@ -364,7 +371,8 @@
 file path=usr/share/man/man1/kmdb.1
 file path=usr/share/man/man1/mdb.1
 hardlink path=usr/bin/$(ARCH32)/adb target=../../../usr/bin/$(ARCH32)/mdb
-hardlink path=usr/bin/$(ARCH64)/adb target=../../../usr/bin/$(ARCH64)/mdb
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/adb \
+    target=../../../usr/bin/$(ARCH64)/mdb
 hardlink path=usr/bin/adb target=../../usr/lib/isaexec
 hardlink path=usr/bin/mdb target=../../usr/lib/isaexec
 legacy pkg=SUNWmdb desc="Modular Debugger (MDB)" name="Modular Debugger"
@@ -381,7 +389,7 @@
 $(sparc_ONLY)link path=kernel/kmdb/$(ARCH64)/pcipsy target=intr
 $(sparc_ONLY)link path=kernel/kmdb/$(ARCH64)/pcisch target=intr
 $(sparc_ONLY)link path=kernel/kmdb/$(ARCH64)/px target=intr
-$(sparc_ONLY)link path=usr/lib/mdb/kvm/$(ARCH64)/niumx.so target=intr.so
-$(sparc_ONLY)link path=usr/lib/mdb/kvm/$(ARCH64)/pcipsy.so target=intr.so
-$(sparc_ONLY)link path=usr/lib/mdb/kvm/$(ARCH64)/pcisch.so target=intr.so
-$(sparc_ONLY)link path=usr/lib/mdb/kvm/$(ARCH64)/px.so target=intr.so
+$(sparc_BUILD64)link path=usr/lib/mdb/kvm/$(ARCH64)/niumx.so target=intr.so
+$(sparc_BUILD64)link path=usr/lib/mdb/kvm/$(ARCH64)/pcipsy.so target=intr.so
+$(sparc_BUILD64)link path=usr/lib/mdb/kvm/$(ARCH64)/pcisch.so target=intr.so
+$(sparc_BUILD64)link path=usr/lib/mdb/kvm/$(ARCH64)/px.so target=intr.so
--- old/usr/src/pkg/manifests/developer-dtrace.mf	2014-04-11 13:24:06.951744248 +0100
+++ new/usr/src/pkg/manifests/developer-dtrace.mf	2014-04-11 13:24:06.960277873 +0100
@@ -21,10 +21,8 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
-#
-
-#
 # Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/dtrace@$(PKGVERS)
@@ -39,19 +37,19 @@
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/devfsadm group=sys
 dir path=usr/lib/devfsadm/linkmod group=sys
 dir path=usr/lib/dtrace
 dir path=usr/lib/dtrace/64
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/lib/mdb/raw group=sys
-dir path=usr/lib/mdb/raw/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/raw/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/lib
 dir path=usr/share/lib/java group=sys
@@ -178,9 +176,9 @@
 file path=usr/include/sys/fasttrap_isa.h
 file path=usr/include/sys/lockstat.h
 file path=usr/include/sys/sdt.h
-file path=usr/lib/$(ARCH64)/libdtrace.so.1
-file path=usr/lib/$(ARCH64)/libdtrace_jni.so.1
-file path=usr/lib/$(ARCH64)/llib-ldtrace.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdtrace.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdtrace_jni.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ldtrace.ln
 file path=usr/lib/devfsadm/linkmod/SUNW_dtrace_link.so group=sys
 file path=usr/lib/dtrace/64/drti.o mode=0444
 file path=usr/lib/dtrace/64/libdtrace_forceload.so mode=0555
@@ -208,18 +206,18 @@
 file path=usr/lib/libdtrace_jni.so.1
 file path=usr/lib/llib-ldtrace
 file path=usr/lib/llib-ldtrace.ln
-file path=usr/lib/mdb/kvm/$(ARCH64)/dtrace.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/dtrace.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/dtrace.so group=sys mode=0555
-file path=usr/lib/mdb/raw/$(ARCH64)/dof.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/raw/$(ARCH64)/dof.so group=sys mode=0555
 file path=usr/lib/mdb/raw/dof.so group=sys mode=0555
 file path=usr/sbin/$(ARCH32)/dtrace mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/intrstat mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/lockstat mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/plockstat mode=0555
-file path=usr/sbin/$(ARCH64)/dtrace mode=0555
-file path=usr/sbin/$(ARCH64)/intrstat mode=0555
-file path=usr/sbin/$(ARCH64)/lockstat mode=0555
-file path=usr/sbin/$(ARCH64)/plockstat mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/dtrace mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/intrstat mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/lockstat mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/plockstat mode=0555
 file path=usr/share/lib/java/dtrace.jar group=sys
 file path=usr/share/lib/java/javadoc/dtrace/api/allclasses-frame.html \
     group=other
@@ -655,7 +653,8 @@
     name="DTrace Clients"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libdtrace.so target=libdtrace.so.1
-link path=usr/lib/$(ARCH64)/libdtrace_jni.so target=libdtrace_jni.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdtrace.so target=libdtrace.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdtrace_jni.so \
+    target=libdtrace_jni.so.1
 link path=usr/lib/libdtrace.so target=libdtrace.so.1
 link path=usr/lib/libdtrace_jni.so target=libdtrace_jni.so.1
--- old/usr/src/pkg/manifests/developer-library-lint.mf	2014-04-11 13:24:07.160821624 +0100
+++ new/usr/src/pkg/manifests/developer-library-lint.mf	2014-04-11 13:24:07.168077176 +0100
@@ -23,6 +23,7 @@
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/library/lint@$(PKGVERS)
@@ -32,67 +33,67 @@
 set name=info.classification value=org.opensolaris.category.2008:Development/C
 set name=variant.arch value=$(ARCH)
 dir path=lib
-dir path=lib/$(ARCH64)
+$(BUILD64)dir path=lib/$(ARCH64)
 dir path=usr group=sys
 dir path=usr/ccs
 dir path=usr/ccs/lib
-dir path=usr/ccs/lib/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/lib/$(ARCH64)
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/scsi
-dir path=usr/lib/scsi/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/$(ARCH64)
 dir path=usr/xpg4
 dir path=usr/xpg4/lib
-dir path=usr/xpg4/lib/$(ARCH64)
-file path=lib/$(ARCH64)/llib-ladm.ln
-file path=lib/$(ARCH64)/llib-laio.ln
-file path=lib/$(ARCH64)/llib-lbsm.ln
-file path=lib/$(ARCH64)/llib-lc.ln
-file path=lib/$(ARCH64)/llib-lc_db.ln
-file path=lib/$(ARCH64)/llib-lcontract.ln
-file path=lib/$(ARCH64)/llib-lcryptoutil.ln
-file path=lib/$(ARCH64)/llib-lctf.ln
-file path=lib/$(ARCH64)/llib-lcurses.ln
-file path=lib/$(ARCH64)/llib-ldevice.ln
-file path=lib/$(ARCH64)/llib-ldevid.ln
-file path=lib/$(ARCH64)/llib-ldevinfo.ln
-file path=lib/$(ARCH64)/llib-ldl.ln
-file path=lib/$(ARCH64)/llib-ldladm.ln
-file path=lib/$(ARCH64)/llib-ldlpi.ln
-file path=lib/$(ARCH64)/llib-ldoor.ln
-file path=lib/$(ARCH64)/llib-lefi.ln
-file path=lib/$(ARCH64)/llib-lelf.ln
-$(i386_ONLY)file path=lib/$(ARCH64)/llib-lfdisk.ln
-file path=lib/$(ARCH64)/llib-lgen.ln
-file path=lib/$(ARCH64)/llib-lintl.ln
-file path=lib/$(ARCH64)/llib-lkmf.ln
-file path=lib/$(ARCH64)/llib-lkmfberder.ln
-file path=lib/$(ARCH64)/llib-lkstat.ln
-file path=lib/$(ARCH64)/llib-lmd.ln
-file path=lib/$(ARCH64)/llib-lmd5.ln
-file path=lib/$(ARCH64)/llib-lnsl.ln
-file path=lib/$(ARCH64)/llib-lnvpair.ln
-file path=lib/$(ARCH64)/llib-lpam.ln
-file path=lib/$(ARCH64)/llib-lpthread.ln
-file path=lib/$(ARCH64)/llib-lrcm.ln
-file path=lib/$(ARCH64)/llib-lresolv.ln
-file path=lib/$(ARCH64)/llib-lrpcsvc.ln
-file path=lib/$(ARCH64)/llib-lrt.ln
-file path=lib/$(ARCH64)/llib-lrtld_db.ln
-file path=lib/$(ARCH64)/llib-lscf.ln
-file path=lib/$(ARCH64)/llib-lsec.ln
-file path=lib/$(ARCH64)/llib-lsecdb.ln
-file path=lib/$(ARCH64)/llib-lsendfile.ln
-file path=lib/$(ARCH64)/llib-lsocket.ln
-file path=lib/$(ARCH64)/llib-lsysevent.ln
-file path=lib/$(ARCH64)/llib-ltermcap.ln
-file path=lib/$(ARCH64)/llib-lthread.ln
-file path=lib/$(ARCH64)/llib-ltsnet.ln
-file path=lib/$(ARCH64)/llib-ltsol.ln
-file path=lib/$(ARCH64)/llib-lumem.ln
-file path=lib/$(ARCH64)/llib-luuid.ln
-$(i386_ONLY)file path=lib/$(ARCH64)/llib-luutil.ln
-file path=lib/$(ARCH64)/llib-lxnet.ln
+$(BUILD64)dir path=usr/xpg4/lib/$(ARCH64)
+$(BUILD64)file path=lib/$(ARCH64)/llib-ladm.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-laio.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lbsm.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lc.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lc_db.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lcontract.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lcryptoutil.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lctf.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lcurses.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldevice.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldevid.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldevinfo.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldl.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldladm.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldlpi.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldoor.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lefi.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lelf.ln
+$(i386_BUILD64)file path=lib/$(ARCH64)/llib-lfdisk.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lgen.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lintl.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lkmf.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lkmfberder.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lkstat.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lmd.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lmd5.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lnsl.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lnvpair.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lpam.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lpthread.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lrcm.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lresolv.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lrpcsvc.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lrt.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lrtld_db.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lscf.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsec.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsecdb.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsendfile.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsocket.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsysevent.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ltermcap.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lthread.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ltsnet.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ltsol.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lumem.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-luuid.ln
+$(i386_BUILD64)file path=lib/$(ARCH64)/llib-luutil.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lxnet.ln
 file path=lib/llib-ladm
 file path=lib/llib-ladm.ln
 file path=lib/llib-laio
@@ -191,54 +192,54 @@
 file path=lib/llib-luuid.ln
 file path=lib/llib-lxnet
 file path=lib/llib-lxnet.ln
-$(i386_ONLY)file path=usr/lib/$(ARCH64)/crt1.o
-file path=usr/lib/$(ARCH64)/crti.o
-file path=usr/lib/$(ARCH64)/crtn.o
-$(i386_ONLY)file path=usr/lib/$(ARCH64)/gcrt1.o
-file path=usr/lib/$(ARCH64)/llib-ladutils.ln
-file path=usr/lib/$(ARCH64)/llib-lbsdmalloc.ln
-file path=usr/lib/$(ARCH64)/llib-lcfgadm.ln
-file path=usr/lib/$(ARCH64)/llib-lcommputil.ln
-file path=usr/lib/$(ARCH64)/llib-lcrypt.ln
-file path=usr/lib/$(ARCH64)/llib-lexacct.ln
-file path=usr/lib/$(ARCH64)/llib-lform.ln
-file path=usr/lib/$(ARCH64)/llib-lfstyp.ln
-file path=usr/lib/$(ARCH64)/llib-lgss.ln
-file path=usr/lib/$(ARCH64)/llib-lhotplug.ln
-file path=usr/lib/$(ARCH64)/llib-lidmap.ln
-file path=usr/lib/$(ARCH64)/llib-lipmi.ln
-file path=usr/lib/$(ARCH64)/llib-lipp.ln
-file path=usr/lib/$(ARCH64)/llib-lkvm.ln
-file path=usr/lib/$(ARCH64)/llib-lldap.ln
-file path=usr/lib/$(ARCH64)/llib-llgrp.ln
-file path=usr/lib/$(ARCH64)/llib-lmail.ln
-file path=usr/lib/$(ARCH64)/llib-lmalloc.ln
-file path=usr/lib/$(ARCH64)/llib-lmapmalloc.ln
-file path=usr/lib/$(ARCH64)/llib-lmenu.ln
-file path=usr/lib/$(ARCH64)/llib-lmtmalloc.ln
-file path=usr/lib/$(ARCH64)/llib-lnls.ln
-file path=usr/lib/$(ARCH64)/llib-lpanel.ln
-file path=usr/lib/$(ARCH64)/llib-lpasswdutil.ln
-file path=usr/lib/$(ARCH64)/llib-lpkcs11.ln
-file path=usr/lib/$(ARCH64)/llib-lproject.ln
-file path=usr/lib/$(ARCH64)/llib-lreparse.ln
-file path=usr/lib/$(ARCH64)/llib-lsasl.ln
-file path=usr/lib/$(ARCH64)/llib-lsched.ln
-file path=usr/lib/$(ARCH64)/llib-lsctp.ln
-file path=usr/lib/$(ARCH64)/llib-lshare.ln
-file path=usr/lib/$(ARCH64)/llib-lsip.ln
-file path=usr/lib/$(ARCH64)/llib-lsldap.ln
-file path=usr/lib/$(ARCH64)/llib-lsmbios.ln
-$(sparc_ONLY)file path=usr/lib/$(ARCH64)/llib-lv12n.ln
-file path=usr/lib/$(ARCH64)/llib-lvolmgt.ln
-file path=usr/lib/$(ARCH64)/llib-lwrap.ln
-file path=usr/lib/$(ARCH64)/llib-lzoneinfo.ln
-file path=usr/lib/$(ARCH64)/values-Xa.o
-file path=usr/lib/$(ARCH64)/values-Xc.o
-file path=usr/lib/$(ARCH64)/values-Xs.o
-file path=usr/lib/$(ARCH64)/values-Xt.o
-file path=usr/lib/$(ARCH64)/values-xpg4.o
-file path=usr/lib/$(ARCH64)/values-xpg6.o
+$(i386_BUILD64)file path=usr/lib/$(ARCH64)/crt1.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/crti.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/crtn.o
+$(i386_BUILD64)file path=usr/lib/$(ARCH64)/gcrt1.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ladutils.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lbsdmalloc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lcfgadm.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lcommputil.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lcrypt.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lexacct.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lform.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lfstyp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lgss.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lhotplug.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lidmap.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lipmi.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lipp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lkvm.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lldap.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-llgrp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmail.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmalloc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmapmalloc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmenu.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmtmalloc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lnls.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpanel.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpasswdutil.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpkcs11.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lproject.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lreparse.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsasl.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsched.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsctp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lshare.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsip.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsldap.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsmbios.ln
+$(sparc_BUILD64)file path=usr/lib/$(ARCH64)/llib-lv12n.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lvolmgt.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lwrap.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lzoneinfo.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-Xa.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-Xc.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-Xs.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-Xt.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-xpg4.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-xpg6.o
 $(i386_ONLY)file path=usr/lib/crt1.o
 file path=usr/lib/crti.o
 file path=usr/lib/crtn.o
@@ -318,9 +319,9 @@
 file path=usr/lib/llib-lwrap.ln
 file path=usr/lib/llib-lzoneinfo
 file path=usr/lib/llib-lzoneinfo.ln
-file path=usr/lib/scsi/$(ARCH64)/llib-lscsi.ln
-file path=usr/lib/scsi/$(ARCH64)/llib-lses.ln
-file path=usr/lib/scsi/$(ARCH64)/llib-lsmp.ln
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/llib-lscsi.ln
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/llib-lses.ln
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/llib-lsmp.ln
 file path=usr/lib/scsi/llib-lscsi
 file path=usr/lib/scsi/llib-lscsi.ln
 file path=usr/lib/scsi/llib-lses
@@ -333,7 +334,7 @@
 file path=usr/lib/values-Xt.o
 file path=usr/lib/values-xpg4.o
 file path=usr/lib/values-xpg6.o
-file path=usr/xpg4/lib/$(ARCH64)/llib-lcurses.ln
+$(BUILD64)file path=usr/xpg4/lib/$(ARCH64)/llib-lcurses.ln
 file path=usr/xpg4/lib/llib-lcurses
 file path=usr/xpg4/lib/llib-lcurses.ln
 legacy pkg=SUNWarc \
@@ -343,41 +344,41 @@
     name="Lint Libraries (root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=lib/$(ARCH64)/llib-lposix4.ln target=./llib-lrt.ln
-link path=lib/$(ARCH64)/llib-ltermlib.ln target=./llib-lcurses.ln
+$(BUILD64)link path=lib/$(ARCH64)/llib-lposix4.ln target=./llib-lrt.ln
+$(BUILD64)link path=lib/$(ARCH64)/llib-ltermlib.ln target=./llib-lcurses.ln
 link path=lib/llib-lposix4 target=./llib-lrt
 link path=lib/llib-lposix4.ln target=./llib-lrt.ln
 link path=lib/llib-ltermlib target=./llib-lcurses
 link path=lib/llib-ltermlib.ln target=./llib-lcurses.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lcurses.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lcurses.ln \
     target=../../../../lib/$(ARCH64)/llib-lcurses.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lform.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lform.ln \
     target=../../../lib/$(ARCH64)/llib-lform.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lgen.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lgen.ln \
     target=../../../../lib/$(ARCH64)/llib-lgen.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-ll.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-ll.ln \
     target=../../../lib/$(ARCH64)/llib-ll.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lmenu.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lmenu.ln \
     target=../../../lib/$(ARCH64)/llib-lmenu.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lpanel.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lpanel.ln \
     target=../../../lib/$(ARCH64)/llib-lpanel.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-ltermcap.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-ltermcap.ln \
     target=../../../../lib/$(ARCH64)/llib-ltermcap.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-ltermlib.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-ltermlib.ln \
     target=../../../../lib/$(ARCH64)/llib-lcurses.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-ly.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-ly.ln \
     target=../../../lib/$(ARCH64)/llib-ly.ln
-link path=usr/ccs/lib/$(ARCH64)/values-Xa.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-Xa.o \
     target=../../../lib/$(ARCH64)/values-Xa.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xc.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-Xc.o \
     target=../../../lib/$(ARCH64)/values-Xc.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xs.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-Xs.o \
     target=../../../lib/$(ARCH64)/values-Xs.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xt.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-Xt.o \
     target=../../../lib/$(ARCH64)/values-Xt.o
-link path=usr/ccs/lib/$(ARCH64)/values-xpg4.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-xpg4.o \
     target=../../../lib/$(ARCH64)/values-xpg4.o
-link path=usr/ccs/lib/$(ARCH64)/values-xpg6.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-xpg6.o \
     target=../../../lib/$(ARCH64)/values-xpg6.o
 link path=usr/ccs/lib/llib-lcurses target=../../../lib/llib-lcurses
 link path=usr/ccs/lib/llib-lcurses.ln target=../../../lib/llib-lcurses.ln
@@ -399,91 +400,91 @@
 link path=usr/ccs/lib/values-Xt.o target=../../lib/values-Xt.o
 link path=usr/ccs/lib/values-xpg4.o target=../../lib/values-xpg4.o
 link path=usr/ccs/lib/values-xpg6.o target=../../lib/values-xpg6.o
-link path=usr/lib/$(ARCH64)/llib-ladm.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ladm.ln \
     target=../../../lib/$(ARCH64)/llib-ladm.ln
-link path=usr/lib/$(ARCH64)/llib-laio.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-laio.ln \
     target=../../../lib/$(ARCH64)/llib-laio.ln
-link path=usr/lib/$(ARCH64)/llib-lbsm.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lbsm.ln \
     target=../../../lib/$(ARCH64)/llib-lbsm.ln
-link path=usr/lib/$(ARCH64)/llib-lc.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lc.ln \
     target=../../../lib/$(ARCH64)/llib-lc.ln
-link path=usr/lib/$(ARCH64)/llib-lcontract.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lcontract.ln \
     target=../../../lib/$(ARCH64)/llib-lcontract.ln
-link path=usr/lib/$(ARCH64)/llib-lctf.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lctf.ln \
     target=../../../lib/$(ARCH64)/llib-lctf.ln
-link path=usr/lib/$(ARCH64)/llib-lcurses.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lcurses.ln \
     target=../../../lib/$(ARCH64)/llib-lcurses.ln
-link path=usr/lib/$(ARCH64)/llib-ldevice.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldevice.ln \
     target=../../../lib/$(ARCH64)/llib-ldevice.ln
-link path=usr/lib/$(ARCH64)/llib-ldevid.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldevid.ln \
     target=../../../lib/$(ARCH64)/llib-ldevid.ln
-link path=usr/lib/$(ARCH64)/llib-ldevinfo.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldevinfo.ln \
     target=../../../lib/$(ARCH64)/llib-ldevinfo.ln
-link path=usr/lib/$(ARCH64)/llib-ldl.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldl.ln \
     target=../../../lib/$(ARCH64)/llib-ldl.ln
-link path=usr/lib/$(ARCH64)/llib-ldoor.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldoor.ln \
     target=../../../lib/$(ARCH64)/llib-ldoor.ln
-link path=usr/lib/$(ARCH64)/llib-lefi.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lefi.ln \
     target=../../../lib/$(ARCH64)/llib-lefi.ln
-link path=usr/lib/$(ARCH64)/llib-lelf.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lelf.ln \
     target=../../../lib/$(ARCH64)/llib-lelf.ln
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/llib-lfdisk.ln \
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/llib-lfdisk.ln \
     target=../../../lib/$(ARCH64)/llib-lfdisk.ln
-link path=usr/lib/$(ARCH64)/llib-lgen.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lgen.ln \
     target=../../../lib/$(ARCH64)/llib-lgen.ln
-link path=usr/lib/$(ARCH64)/llib-lintl.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lintl.ln \
     target=../../../lib/$(ARCH64)/llib-lintl.ln
-link path=usr/lib/$(ARCH64)/llib-lkstat.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lkstat.ln \
     target=../../../lib/$(ARCH64)/llib-lkstat.ln
-link path=usr/lib/$(ARCH64)/llib-lmd5.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lmd5.ln \
     target=../../../lib/$(ARCH64)/llib-lmd5.ln
-link path=usr/lib/$(ARCH64)/llib-lnsl.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lnsl.ln \
     target=../../../lib/$(ARCH64)/llib-lnsl.ln
-link path=usr/lib/$(ARCH64)/llib-lnvpair.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lnvpair.ln \
     target=../../../lib/$(ARCH64)/llib-lnvpair.ln
-link path=usr/lib/$(ARCH64)/llib-lpam.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lpam.ln \
     target=../../../lib/$(ARCH64)/llib-lpam.ln
-link path=usr/lib/$(ARCH64)/llib-lposix4.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lposix4.ln \
     target=../../../lib/$(ARCH64)/llib-lrt.ln
-link path=usr/lib/$(ARCH64)/llib-lpthread.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lpthread.ln \
     target=../../../lib/$(ARCH64)/llib-lpthread.ln
-link path=usr/lib/$(ARCH64)/llib-lresolv.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lresolv.ln \
     target=../../../lib/$(ARCH64)/llib-lresolv.ln
-link path=usr/lib/$(ARCH64)/llib-lrpcsvc.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lrpcsvc.ln \
     target=../../../lib/$(ARCH64)/llib-lrpcsvc.ln
-link path=usr/lib/$(ARCH64)/llib-lrt.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lrt.ln \
     target=../../../lib/$(ARCH64)/llib-lrt.ln
-link path=usr/lib/$(ARCH64)/llib-lrtld_db.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lrtld_db.ln \
     target=../../../lib/$(ARCH64)/llib-lrtld_db.ln
-link path=usr/lib/$(ARCH64)/llib-lscf.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lscf.ln \
     target=../../../lib/$(ARCH64)/llib-lscf.ln
-link path=usr/lib/$(ARCH64)/llib-lsec.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsec.ln \
     target=../../../lib/$(ARCH64)/llib-lsec.ln
-link path=usr/lib/$(ARCH64)/llib-lsecdb.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsecdb.ln \
     target=../../../lib/$(ARCH64)/llib-lsecdb.ln
-link path=usr/lib/$(ARCH64)/llib-lsendfile.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsendfile.ln \
     target=../../../lib/$(ARCH64)/llib-lsendfile.ln
-link path=usr/lib/$(ARCH64)/llib-lsocket.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsocket.ln \
     target=../../../lib/$(ARCH64)/llib-lsocket.ln
-link path=usr/lib/$(ARCH64)/llib-lsysevent.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsysevent.ln \
     target=../../../lib/$(ARCH64)/llib-lsysevent.ln
-link path=usr/lib/$(ARCH64)/llib-ltermcap.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ltermcap.ln \
     target=../../../lib/$(ARCH64)/llib-ltermcap.ln
-link path=usr/lib/$(ARCH64)/llib-ltermlib.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ltermlib.ln \
     target=../../../lib/$(ARCH64)/llib-lcurses.ln
-link path=usr/lib/$(ARCH64)/llib-lthread.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lthread.ln \
     target=../../../lib/$(ARCH64)/llib-lthread.ln
-link path=usr/lib/$(ARCH64)/llib-lthread_db.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lthread_db.ln \
     target=../../../lib/$(ARCH64)/llib-lc_db.ln
-link path=usr/lib/$(ARCH64)/llib-ltsnet.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ltsnet.ln \
     target=../../../lib/$(ARCH64)/llib-ltsnet.ln
-link path=usr/lib/$(ARCH64)/llib-ltsol.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ltsol.ln \
     target=../../../lib/$(ARCH64)/llib-ltsol.ln
-link path=usr/lib/$(ARCH64)/llib-lumem.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lumem.ln \
     target=../../../lib/$(ARCH64)/llib-lumem.ln
-link path=usr/lib/$(ARCH64)/llib-luuid.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-luuid.ln \
     target=../../../lib/$(ARCH64)/llib-luuid.ln
-link path=usr/lib/$(ARCH64)/llib-lxnet.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lxnet.ln \
     target=../../../lib/$(ARCH64)/llib-lxnet.ln
 link path=usr/lib/llib-ladm target=../../lib/llib-ladm
 link path=usr/lib/llib-ladm.ln target=../../lib/llib-ladm.ln
--- old/usr/src/pkg/manifests/developer-library-profiled-libc.mf	2014-04-11 13:24:07.373809581 +0100
+++ new/usr/src/pkg/manifests/developer-library-profiled-libc.mf	2014-04-11 13:24:07.380725716 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/library/profiled-libc@$(PKGVERS)
@@ -33,14 +34,14 @@
 dir path=usr group=sys
 dir path=usr/lib
 dir path=usr/lib/libp
-dir path=usr/lib/libp/$(ARCH64)
+$(BUILD64)dir path=usr/lib/libp/$(ARCH64)
 legacy pkg=SUNWdpl \
     desc="system libraries compiled with profiling for software development performance measurement" \
     name="Developer Profiled Libraries"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/libp/$(ARCH64)/libc.so.1 \
+$(BUILD64)link path=usr/lib/libp/$(ARCH64)/libc.so.1 \
     target=../../../../lib/$(ARCH64)/libc.so.1
 link path=usr/lib/libp/32 target=.
-link path=usr/lib/libp/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/libp/64 target=$(ARCH64)
 link path=usr/lib/libp/libc.so.1 target=../../../lib/libc.so.1
--- old/usr/src/pkg/manifests/developer-linker.mf	2014-04-11 13:24:07.567354918 +0100
+++ new/usr/src/pkg/manifests/developer-linker.mf	2014-04-11 13:24:07.574382133 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/linker@$(PKGVERS)
@@ -33,18 +34,18 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/ccs
 dir path=usr/ccs/bin
-dir path=usr/ccs/bin/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/bin/$(ARCH64)
 dir path=usr/ccs/lib
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/abi
 dir path=usr/lib/ld
-dir path=usr/lib/ld/$(ARCH64)
+$(BUILD64)dir path=usr/lib/ld/$(ARCH64)
 dir path=usr/lib/link_audit
-dir path=usr/lib/link_audit/$(ARCH64)
+$(BUILD64)dir path=usr/lib/link_audit/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man1
 dir path=usr/share/man/man4
@@ -52,14 +53,14 @@
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/plimit mode=0555
 file path=usr/bin/$(ARCH32)/strings mode=0555
 file path=usr/bin/$(ARCH32)/truss mode=0555
-file path=usr/bin/$(ARCH64)/elfwrap mode=0555
-file path=usr/bin/$(ARCH64)/gcore mode=0555
-file path=usr/bin/$(ARCH64)/ld mode=0755
-file path=usr/bin/$(ARCH64)/ldd mode=0555
-file path=usr/bin/$(ARCH64)/plimit mode=0555
-file path=usr/bin/$(ARCH64)/pvs mode=0555
-file path=usr/bin/$(ARCH64)/strings mode=0555
-file path=usr/bin/$(ARCH64)/truss mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfwrap mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/gcore mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ld mode=0755
+$(BUILD64)file path=usr/bin/$(ARCH64)/ldd mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/plimit mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pvs mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/strings mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/truss mode=0555
 file path=usr/bin/ctags mode=0555
 file path=usr/bin/elfsign mode=0555
 file path=usr/bin/elfwrap mode=0555
@@ -71,8 +72,8 @@
 file path=usr/bin/regcmp mode=0555
 file path=usr/bin/sotruss mode=0755
 file path=usr/bin/whocalls mode=0755
-file path=usr/lib/$(ARCH64)/lddstub mode=0555
-file path=usr/lib/$(ARCH64)/libldstab.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/lddstub mode=0555
+$(BUILD64)file path=usr/lib/$(ARCH64)/libldstab.so.1
 file path=usr/lib/abi/spec2map mode=0755
 file path=usr/lib/abi/spec2trace mode=0755
 file path=usr/lib/ld/map.above4G mode=0444
@@ -87,9 +88,9 @@
 file path=usr/lib/ld/map.pagealign mode=0444
 file path=usr/lib/lddstub mode=0555
 file path=usr/lib/libldstab.so.1
-file path=usr/lib/link_audit/$(ARCH64)/ldprof.so.1
-file path=usr/lib/link_audit/$(ARCH64)/truss.so.1
-file path=usr/lib/link_audit/$(ARCH64)/who.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/ldprof.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/truss.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/who.so.1
 file path=usr/lib/link_audit/ldprof.so.1
 file path=usr/lib/link_audit/truss.so.1
 file path=usr/lib/link_audit/who.so.1
@@ -121,12 +122,12 @@
 license lic_CDDL license=lic_CDDL
 license lic_OSBL license=lic_OSBL
 license lic_OSBL_preamble license=lic_OSBL_preamble
-link path=usr/ccs/bin/$(ARCH64)/ld target=../../../bin/$(ARCH64)/ld
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/ld target=../../../bin/$(ARCH64)/ld
 link path=usr/ccs/bin/ld target=../../bin/ld
 link path=usr/ccs/bin/regcmp target=../../bin/regcmp
 link path=usr/ccs/lib/link_audit target=../../lib/link_audit
-link path=usr/lib/ld/$(ARCH64)/map.above4G target=../map.above4G
-link path=usr/lib/ld/$(ARCH64)/map.below4G target=../map.below4G
-link path=usr/lib/ld/$(ARCH64)/map.default target=../map.default
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.above4G target=../map.above4G
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.below4G target=../map.below4G
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.default target=../map.default
 link path=usr/lib/link_audit/32 target=.
-link path=usr/lib/link_audit/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/link_audit/64 target=$(ARCH64)
--- old/usr/src/pkg/manifests/developer-object-file.mf	2014-04-11 13:24:07.766509745 +0100
+++ new/usr/src/pkg/manifests/developer-object-file.mf	2014-04-11 13:24:07.774917011 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/object-file@$(PKGVERS)
@@ -31,26 +32,26 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/bin
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/ccs
 dir path=usr/ccs/bin
-dir path=usr/ccs/bin/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/bin/$(ARCH64)
 dir path=usr/ccs/lib
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/elfedit
-dir path=usr/lib/elfedit/$(ARCH64)
+$(BUILD64)dir path=usr/lib/elfedit/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/lib
 dir path=usr/share/lib/ccs
 dir path=usr/share/man/man1
-file path=usr/bin/$(ARCH64)/ar mode=0555
-file path=usr/bin/$(ARCH64)/dump mode=0555
-file path=usr/bin/$(ARCH64)/elfdump mode=0555
-file path=usr/bin/$(ARCH64)/elfedit mode=0555
-file path=usr/bin/$(ARCH64)/mcs mode=0555
-file path=usr/bin/$(ARCH64)/nm mode=0555
-file path=usr/bin/$(ARCH64)/size mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ar mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/dump mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfdump mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfedit mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/mcs mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/nm mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/size mode=0555
 file path=usr/bin/ar mode=0555
 file path=usr/bin/dis mode=0555
 file path=usr/bin/dump mode=0555
@@ -71,16 +72,16 @@
 file path=usr/bin/tsort mode=0555
 file path=usr/bin/unifdef mode=0555
 file path=usr/bin/yacc mode=0555
-file path=usr/lib/$(ARCH64)/llib-ll.ln
-file path=usr/lib/$(ARCH64)/llib-ly.ln
-file path=usr/lib/elfedit/$(ARCH64)/cap.so
-file path=usr/lib/elfedit/$(ARCH64)/dyn.so
-file path=usr/lib/elfedit/$(ARCH64)/ehdr.so
-file path=usr/lib/elfedit/$(ARCH64)/phdr.so
-file path=usr/lib/elfedit/$(ARCH64)/shdr.so
-file path=usr/lib/elfedit/$(ARCH64)/str.so
-file path=usr/lib/elfedit/$(ARCH64)/sym.so
-file path=usr/lib/elfedit/$(ARCH64)/syminfo.so
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ll.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ly.ln
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/cap.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/dyn.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/ehdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/phdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/shdr.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/str.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/sym.so
+$(BUILD64)file path=usr/lib/elfedit/$(ARCH64)/syminfo.so
 file path=usr/lib/elfedit/cap.so
 file path=usr/lib/elfedit/dyn.so
 file path=usr/lib/elfedit/ehdr.so
@@ -119,7 +120,7 @@
 file path=usr/share/man/man1/tsort.1
 file path=usr/share/man/man1/unifdef.1
 file path=usr/share/man/man1/yacc.1
-hardlink path=usr/bin/$(ARCH64)/strip target=../../bin/$(ARCH64)/mcs
+$(BUILD64)hardlink path=usr/bin/$(ARCH64)/strip target=../../bin/$(ARCH64)/mcs
 hardlink path=usr/bin/strip target=../bin/mcs
 legacy pkg=SUNWbtool \
     desc="software development utilities, including ar, dis, dump, elfdump, elfedit, lex, lorder, mcs, nm, prof, ranlib, rpcgen, size, strip, tsort, and yacc" \
@@ -128,13 +129,18 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/cmd/backup/dump/THIRDPARTYLICENSE \
     license=usr/src/cmd/backup/dump/THIRDPARTYLICENSE
-link path=usr/ccs/bin/$(ARCH64)/ar target=../../../bin/$(ARCH64)/ar
-link path=usr/ccs/bin/$(ARCH64)/dump target=../../../bin/$(ARCH64)/dump
-link path=usr/ccs/bin/$(ARCH64)/elfdump target=../../../bin/$(ARCH64)/elfdump
-link path=usr/ccs/bin/$(ARCH64)/mcs target=../../../bin/$(ARCH64)/mcs
-link path=usr/ccs/bin/$(ARCH64)/nm target=../../../bin/$(ARCH64)/nm
-link path=usr/ccs/bin/$(ARCH64)/size target=../../../bin/$(ARCH64)/size
-link path=usr/ccs/bin/$(ARCH64)/strip target=../../../bin/$(ARCH64)/strip
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/ar target=../../../bin/$(ARCH64)/ar
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/dump \
+    target=../../../bin/$(ARCH64)/dump
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/elfdump \
+    target=../../../bin/$(ARCH64)/elfdump
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/mcs \
+    target=../../../bin/$(ARCH64)/mcs
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/nm target=../../../bin/$(ARCH64)/nm
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/size \
+    target=../../../bin/$(ARCH64)/size
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/strip \
+    target=../../../bin/$(ARCH64)/strip
 link path=usr/ccs/bin/ar target=../../bin/ar
 link path=usr/ccs/bin/dis target=../../bin/dis
 link path=usr/ccs/bin/dump target=../../bin/dump
@@ -158,6 +164,6 @@
 link path=usr/ccs/lib/llib-ll.ln target=../../lib/llib-ll.ln
 link path=usr/ccs/lib/llib-ly.ln target=../../lib/llib-ly.ln
 link path=usr/lib/elfedit/32 target=.
-link path=usr/lib/elfedit/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/elfedit/64 target=$(ARCH64)
 depend fmri=developer/macro/cpp type=require
 depend fmri=runtime/perl-510 type=require
--- old/usr/src/pkg/manifests/diagnostic-cpu-counters.mf	2014-04-11 13:24:07.960589430 +0100
+++ new/usr/src/pkg/manifests/diagnostic-cpu-counters.mf	2014-04-11 13:24:07.969518676 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/diagnostic/cpu-counters@$(PKGVERS)
@@ -33,21 +34,21 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/kernel group=sys
 dir path=usr/kernel/pcbe group=sys
 dir path=usr/kernel/pcbe/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1
 dir path=usr/share/man/man1m
 dir path=usr/share/man/man3cpc
 dir path=usr/share/man/man3lib
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/cputrack mode=0555
-file path=usr/bin/$(ARCH64)/cputrack mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/cputrack mode=0555
 file path=usr/include/libcpc.h
 file path=usr/include/libpctx.h
 $(sparc_ONLY)file path=usr/kernel/pcbe/$(ARCH64)/pcbe.4.6 group=sys mode=0755
@@ -65,10 +66,10 @@
 $(i386_ONLY)file path=usr/kernel/pcbe/pcbe.GenuineIntel.6 group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/pcbe/pcbe.GenuineIntel.6.15 group=sys \
     mode=0755
-file path=usr/lib/$(ARCH64)/libcpc.so.1
-file path=usr/lib/$(ARCH64)/libpctx.so.1
-file path=usr/lib/$(ARCH64)/llib-lcpc.ln
-file path=usr/lib/$(ARCH64)/llib-lpctx.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcpc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpctx.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lcpc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpctx.ln
 file path=usr/lib/libcpc.so.1
 file path=usr/lib/libpctx.so.1
 file path=usr/lib/llib-lcpc
@@ -157,8 +158,8 @@
     target=pcbe.GenuineIntel.6.15
 $(i386_ONLY)link path=usr/kernel/pcbe/pcbe.GenuineIntel.6.47 \
     target=pcbe.GenuineIntel.6.15
-link path=usr/lib/$(ARCH64)/libcpc.so target=./libcpc.so.1
-link path=usr/lib/$(ARCH64)/libpctx.so target=./libpctx.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcpc.so target=./libcpc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpctx.so target=./libpctx.so.1
 link path=usr/lib/libcpc.so target=./libcpc.so.1
 link path=usr/lib/libpctx.so target=./libpctx.so.1
 link path=usr/share/man/man3cpc/cpc_bind_cpu.3cpc target=cpc_bind_curlwp.3cpc
--- old/usr/src/pkg/manifests/diagnostic-latencytop.mf	2014-04-11 13:24:08.163545392 +0100
+++ new/usr/src/pkg/manifests/diagnostic-latencytop.mf	2014-04-11 13:24:08.171061896 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/diagnostic/latencytop@$(PKGVERS)
@@ -32,10 +33,10 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/share/man/man1m
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/latencytop mode=0555
-file path=usr/bin/$(ARCH64)/latencytop mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/latencytop mode=0555
 file path=usr/share/man/man1m/latencytop.1m
 hardlink path=usr/bin/latencytop target=../../usr/lib/isaexec
 legacy pkg=SUNWlatencytop desc="LatencyTOP tool" name="LatencyTOP tool"
--- old/usr/src/pkg/manifests/diagnostic-powertop.mf	2014-04-11 13:24:08.358839740 +0100
+++ new/usr/src/pkg/manifests/diagnostic-powertop.mf	2014-04-11 13:24:08.365729838 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/diagnostic/powertop@$(PKGVERS)
@@ -32,10 +33,10 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/share/man/man1m
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/powertop mode=0555
-file path=usr/bin/$(ARCH64)/powertop mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/powertop mode=0555
 file path=usr/share/man/man1m/powertop.1m
 hardlink path=usr/bin/powertop target=../../usr/lib/isaexec
 legacy pkg=SUNWpowertop desc="PowerTOP tool" name="PowerTOP tool"
--- old/usr/src/pkg/manifests/install-beadm.mf	2014-04-11 13:24:08.553140945 +0100
+++ new/usr/src/pkg/manifests/install-beadm.mf	2014-04-11 13:24:08.560302203 +0100
@@ -22,6 +22,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2010 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/install/beadm@$(PKGVERS)
@@ -33,7 +34,7 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/python2.6
 dir path=usr/lib/python2.6/vendor-packages
 dir path=usr/lib/python2.6/vendor-packages/64
@@ -44,8 +45,8 @@
 dir path=usr/share/man/man1m
 file path=sbin/beadm mode=0555
 file path=usr/include/libbe.h
-file path=usr/lib/$(ARCH64)/libbe.so.1
-file path=usr/lib/$(ARCH64)/llib-lbe.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libbe.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lbe.ln
 file path=usr/lib/libbe.so.1
 file path=usr/lib/llib-lbe
 file path=usr/lib/llib-lbe.ln
@@ -54,6 +55,6 @@
 file path=usr/share/man/man1m/beadm.1m
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libbe.so target=./libbe.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbe.so target=./libbe.so.1
 link path=usr/lib/libbe.so target=./libbe.so.1
 link path=usr/sbin/beadm target=../../sbin/beadm
--- old/usr/src/pkg/manifests/library-libadt_jni.mf	2014-04-11 13:24:08.774701099 +0100
+++ new/usr/src/pkg/manifests/library-libadt_jni.mf	2014-04-11 13:24:08.781766743 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/library/libadt_jni@$(PKGVERS)
@@ -32,10 +33,10 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/audit
-file path=usr/lib/$(ARCH64)/libadt_jni.so.1
-file path=usr/lib/$(ARCH64)/llib-ladt_jni.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libadt_jni.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ladt_jni.ln
 file path=usr/lib/audit/Audit.jar
 file path=usr/lib/libadt_jni.so.1
 file path=usr/lib/llib-ladt_jni.ln
@@ -44,5 +45,5 @@
     name="AuditService Implementation"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libadt_jni.so target=./libadt_jni.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libadt_jni.so target=./libadt_jni.so.1
 link path=usr/lib/libadt_jni.so target=./libadt_jni.so.1
--- old/usr/src/pkg/manifests/library-libtecla.mf	2014-04-11 13:24:08.961241031 +0100
+++ new/usr/src/pkg/manifests/library-libtecla.mf	2014-04-11 13:24:08.969517737 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -35,7 +36,7 @@
 dir path=usr/bin
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man1
 dir path=usr/share/man/man3lib
@@ -44,8 +45,8 @@
 dir path=usr/share/man/man5
 file path=usr/bin/enhance mode=0555
 file path=usr/include/libtecla.h
-file path=usr/lib/$(ARCH64)/libtecla.so.1
-file path=usr/lib/$(ARCH64)/llib-ltecla.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libtecla.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ltecla.ln
 file path=usr/lib/libtecla.so.1
 file path=usr/lib/llib-ltecla
 file path=usr/lib/llib-ltecla.ln
@@ -69,7 +70,7 @@
     name="Tecla command-line editing library"
 license usr/src/lib/libtecla/THIRDPARTYLICENSE \
     license=usr/src/lib/libtecla/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libtecla.so target=libtecla.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtecla.so target=libtecla.so.1
 link path=usr/lib/libtecla.so target=libtecla.so.1
 link path=usr/share/man/man3sysevent/sysevent_get_pid.3sysevent \
     target=sysevent_get_vendor_name.3sysevent
--- old/usr/src/pkg/manifests/network-ipd.mf	2014-04-11 13:24:09.162001003 +0100
+++ new/usr/src/pkg/manifests/network-ipd.mf	2014-04-11 13:24:09.169362223 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright (c) 2013  by Delphix. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/network/ipd@$(PKGVERS)
@@ -24,7 +25,7 @@
 dir path=kernel/drv/$(ARCH64) group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1m
 driver name=ipd perms="* 0600 root sys"
@@ -33,8 +34,8 @@
 file path=kernel/drv/ipd.conf group=sys
 file path=usr/include/libipd.h
 file path=usr/include/sys/ipd.h
-file path=usr/lib/$(ARCH64)/libipd.so.1
-file path=usr/lib/$(ARCH64)/llib-lipd.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libipd.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lipd.ln
 file path=usr/lib/libipd.so.1
 file path=usr/lib/llib-lipd
 file path=usr/lib/llib-lipd.ln
@@ -42,5 +43,5 @@
 file path=usr/share/man/man1m/ipdadm.1m
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libipd.so target=libipd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libipd.so target=libipd.so.1
 link path=usr/lib/libipd.so target=libipd.so.1
--- old/usr/src/pkg/manifests/network-ipfilter.mf	2014-04-11 13:24:09.355938100 +0100
+++ new/usr/src/pkg/manifests/network-ipfilter.mf	2014-04-11 13:24:09.362803358 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/network/ipfilter@$(PKGVERS)
@@ -43,10 +44,10 @@
 dir path=usr/lib
 dir path=usr/lib/ipf
 $(i386_ONLY)dir path=usr/lib/ipf/$(ARCH32) group=sys
-dir path=usr/lib/ipf/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/ipf/$(ARCH64) group=sys
 dir path=usr/sbin
 $(i386_ONLY)dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/ipfilter
 dir path=usr/share/ipfilter/examples
@@ -67,7 +68,7 @@
 $(i386_ONLY)file path=usr/kernel/drv/ipf group=sys
 file path=usr/kernel/drv/ipf.conf group=sys
 $(i386_ONLY)file path=usr/lib/ipf/$(ARCH32)/ipftest mode=0555
-file path=usr/lib/ipf/$(ARCH64)/ipftest mode=0555
+$(BUILD64)file path=usr/lib/ipf/$(ARCH64)/ipftest mode=0555
 file path=usr/lib/ipf/IPFILTER.LICENCE
 file path=usr/lib/servinfo mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/ipf mode=0555
@@ -76,12 +77,12 @@
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/ipmon mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/ipnat mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/ippool mode=0555
-file path=usr/sbin/$(ARCH64)/ipf mode=0555
-file path=usr/sbin/$(ARCH64)/ipfs mode=0555
-file path=usr/sbin/$(ARCH64)/ipfstat mode=0555
-file path=usr/sbin/$(ARCH64)/ipmon mode=0555
-file path=usr/sbin/$(ARCH64)/ipnat mode=0555
-file path=usr/sbin/$(ARCH64)/ippool mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipf mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipfs mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipfstat mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipmon mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ipnat mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/ippool mode=0555
 file path=usr/share/ipfilter/examples/BASIC.NAT
 file path=usr/share/ipfilter/examples/BASIC_1.FW
 file path=usr/share/ipfilter/examples/BASIC_2.FW
--- old/usr/src/pkg/manifests/network-iscsi-iser.mf	2014-04-11 13:24:09.552865948 +0100
+++ new/usr/src/pkg/manifests/network-iscsi-iser.mf	2014-04-11 13:24:09.560044203 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -46,7 +47,7 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/share/man
 dir path=usr/share/man/man7d
 driver name=iser perms="* 0600 root sys"
@@ -57,7 +58,7 @@
 $(i386_ONLY)file path=kernel/kmdb/idm group=sys mode=0555
 file path=kernel/misc/$(ARCH64)/idm group=sys mode=0755
 $(i386_ONLY)file path=kernel/misc/idm group=sys mode=0755
-file path=usr/lib/mdb/kvm/$(ARCH64)/idm.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/idm.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/idm.so group=sys mode=0555
 file path=usr/share/man/man7d/iser.7d
 legacy pkg=SUNWiscsidmr desc="Sun iSCSI Data Mover (Root)" \
--- old/usr/src/pkg/manifests/network-iscsi-target.mf	2014-04-11 13:24:09.749260810 +0100
+++ new/usr/src/pkg/manifests/network-iscsi-target.mf	2014-04-11 13:24:09.756972369 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/network/iscsi/target@$(PKGVERS)
@@ -45,7 +46,7 @@
 dir path=usr/include/sys
 dir path=usr/include/sys/iscsit
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1m
 dir path=usr/share/man/man3iscsit
@@ -60,8 +61,8 @@
     variant.opensolaris.zone=global
 file path=usr/include/libiscsit.h
 file path=usr/include/sys/iscsit/iscsit_common.h
-file path=usr/lib/$(ARCH64)/libiscsit.so.1
-file path=usr/lib/$(ARCH64)/llib-liscsit.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libiscsit.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-liscsit.ln
 file path=usr/lib/libiscsit.so.1
 file path=usr/lib/llib-liscsit
 file path=usr/lib/llib-liscsit.ln
@@ -79,7 +80,7 @@
     name="Sun iSCSI COMSTAR Port Provider"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libiscsit.so target=libiscsit.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libiscsit.so target=libiscsit.so.1
 link path=usr/lib/libiscsit.so target=libiscsit.so.1
 link path=usr/share/man/man3iscsit/it_config_commit.3iscsit \
     target=it_config_load.3iscsit
--- old/usr/src/pkg/manifests/package-svr4.mf	2014-04-11 13:24:09.945987304 +0100
+++ new/usr/src/pkg/manifests/package-svr4.mf	2014-04-11 13:24:09.952945553 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/package/svr4@$(PKGVERS)
@@ -37,7 +38,7 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sadm
 dir path=usr/sadm/install
 dir path=usr/sadm/install/bin
@@ -64,7 +65,7 @@
 file path=usr/bin/pkgparam group=sys mode=0555
 file path=usr/bin/pkgproto mode=0555
 file path=usr/bin/pkgtrans mode=0555
-file path=usr/lib/$(ARCH64)/libinstzones.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libinstzones.so.1
 file path=usr/lib/libinstzones.so.1
 file path=usr/lib/libpkg.so.1
 file path=usr/sadm/install/bin/pkginstall group=sys mode=0555
--- old/usr/src/pkg/manifests/service-fault-management.mf	2014-04-11 13:24:10.142528571 +0100
+++ new/usr/src/pkg/manifests/service-fault-management.mf	2014-04-11 13:24:10.149513949 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -60,7 +61,7 @@
 # lib dirs:
 #
 dir path=lib/fm variant.opensolaris.zone=__NODEFAULT
-dir path=lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
 #
 # Our service manifests are common to global and non-global zones
 #
@@ -87,13 +88,14 @@
 dir path=usr/include/fm
 dir path=usr/lib variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm variant.opensolaris.zone=__NODEFAULT
-dir path=usr/lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=usr/lib/fm/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/dict variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/eft
 dir path=usr/lib/fm/fmd variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/fmd/plugins variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/fmd/schemes variant.opensolaris.zone=__NODEFAULT
-dir path=usr/lib/fm/fmd/schemes/$(ARCH64) variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)dir path=usr/lib/fm/fmd/schemes/$(ARCH64) \
+    variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/notify variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/topo variant.opensolaris.zone=__NODEFAULT
 dir path=usr/lib/fm/topo/maps variant.opensolaris.zone=__NODEFAULT
@@ -268,9 +270,9 @@
 #
 # Some libraries need to be in lib for install
 #
-file path=lib/fm/$(ARCH64)/libfmevent.so.1 \
+$(BUILD64)file path=lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=lib/fm/$(ARCH64)/llib-lfmevent.ln \
+$(BUILD64)file path=lib/fm/$(ARCH64)/llib-lfmevent.ln \
     variant.opensolaris.zone=__NODEFAULT
 file path=lib/fm/libfmevent.so.1 variant.opensolaris.zone=__NODEFAULT
 file path=lib/fm/llib-lfmevent variant.opensolaris.zone=__NODEFAULT
@@ -307,50 +309,50 @@
 #
 #	64-bit .so.1
 #
-file path=usr/lib/fm/$(ARCH64)/libdiagcode.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libdiagcode.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libdiskstatus.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libdiskstatus.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_adm.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_adm.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_agent.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_agent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_log.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_log.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_msg.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_msg.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/libfmnotify.so.1 \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libfmnotify.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/libldom.so.1
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/libmdesc.so.1
-file path=usr/lib/fm/$(ARCH64)/libseslog.so.1
-file path=usr/lib/fm/$(ARCH64)/libtopo.so.1 \
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/libldom.so.1
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/libmdesc.so.1
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libseslog.so.1
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/libtopo.so.1 \
     variant.opensolaris.zone=__NODEFAULT
 #
 #	64-bit lint libraries
 #
-file path=usr/lib/fm/$(ARCH64)/llib-ldiagcode.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ldiagcode.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-ldiskstatus.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ldiskstatus.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_adm.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_adm.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_agent.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_agent.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_log.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_log.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_msg.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_msg.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmd_snmp.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmd_snmp.ln \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/$(ARCH64)/llib-lfmnotify.ln \
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lfmnotify.ln \
     variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/llib-lldom.ln
-$(sparc_ONLY)file path=usr/lib/fm/$(ARCH64)/llib-lmdesc.ln
-file path=usr/lib/fm/$(ARCH64)/llib-lseslog.ln
-file path=usr/lib/fm/$(ARCH64)/llib-ltopo.ln \
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lldom.ln
+$(sparc_BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lmdesc.ln
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-lseslog.ln
+$(BUILD64)file path=usr/lib/fm/$(ARCH64)/llib-ltopo.ln \
     variant.opensolaris.zone=__NODEFAULT
 #
 # Dictionaries, whether they are hardware-specific or not, are
@@ -471,27 +473,27 @@
 #
 # fmri scheme support: all are common to both global and non-global zones
 #
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/cpu.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/cpu.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/dev.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/dev.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/fmd.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/fmd.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/hc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/hc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/legacy-hc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/legacy-hc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mem.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mem.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mod.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/mod.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/pkg.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/pkg.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/svc.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/svc.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/sw.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/sw.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
-file path=usr/lib/fm/fmd/schemes/$(ARCH64)/zfs.so mode=0555 \
+$(BUILD64)file path=usr/lib/fm/fmd/schemes/$(ARCH64)/zfs.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
 file path=usr/lib/fm/fmd/schemes/cpu.so mode=0555 \
     variant.opensolaris.zone=__NODEFAULT
@@ -872,7 +874,7 @@
 #
 # libraries .so symlinks in lib
 #
-link path=lib/fm/$(ARCH64)/libfmevent.so target=./libfmevent.so.1 \
+$(BUILD64)link path=lib/fm/$(ARCH64)/libfmevent.so target=./libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
 link path=lib/fm/libfmevent.so target=libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
@@ -880,34 +882,35 @@
 #
 #	64-bit .so symlinks
 #
-link path=usr/lib/fm/$(ARCH64)/libdiagcode.so target=./libdiagcode.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libdiskstatus.so target=./libdiskstatus.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_adm.so target=./libfmd_adm.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_agent.so target=./libfmd_agent.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_log.so target=./libfmd_log.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_msg.so target=./libfmd_msg.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so target=./libfmd_snmp.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmevent.so \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libdiagcode.so \
+    target=./libdiagcode.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libdiskstatus.so \
+    target=./libdiskstatus.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_adm.so \
+    target=./libfmd_adm.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_agent.so \
+    target=./libfmd_agent.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_log.so \
+    target=./libfmd_log.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_msg.so \
+    target=./libfmd_msg.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmd_snmp.so \
+    target=./libfmd_snmp.so.1 variant.opensolaris.zone=__NODEFAULT
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmevent.so \
     target=../../../../lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmevent.so.1 \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmevent.so.1 \
     target=../../../../lib/fm/$(ARCH64)/libfmevent.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/libfmnotify.so target=./libfmnotify.so.1 \
-    variant.opensolaris.zone=__NODEFAULT
-$(sparc_ONLY)link path=usr/lib/fm/$(ARCH64)/libldom.so target=libldom.so.1
-$(sparc_ONLY)link path=usr/lib/fm/$(ARCH64)/libmdesc.so target=libmdesc.so.1
-link path=usr/lib/fm/$(ARCH64)/libseslog.so target=./libseslog.so.1
-link path=usr/lib/fm/$(ARCH64)/libtopo.so target=libtopo.so.1 \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libfmnotify.so \
+    target=./libfmnotify.so.1 variant.opensolaris.zone=__NODEFAULT
+$(sparc_BUILD64)link path=usr/lib/fm/$(ARCH64)/libldom.so target=libldom.so.1
+$(sparc_BUILD64)link path=usr/lib/fm/$(ARCH64)/libmdesc.so \
+    target=libmdesc.so.1
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libseslog.so target=./libseslog.so.1
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/libtopo.so target=libtopo.so.1 \
     variant.opensolaris.zone=__NODEFAULT
-link path=usr/lib/fm/$(ARCH64)/llib-lfmevent.ln \
+$(BUILD64)link path=usr/lib/fm/$(ARCH64)/llib-lfmevent.ln \
     target=../../../../lib/fm/$(ARCH64)/llib-lfmevent.ln
 #
 #	32-bit .so symlinks
--- old/usr/src/pkg/manifests/service-file-system-nfs.mf	2014-04-11 13:24:10.365414265 +0100
+++ new/usr/src/pkg/manifests/service-file-system-nfs.mf	2014-04-11 13:24:10.372283940 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/file-system/nfs@$(PKGVERS)
@@ -47,10 +48,10 @@
 dir path=usr/lib
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/nfs group=sys
-dir path=usr/lib/fs/nfs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/nfs/$(ARCH64) group=sys
 dir path=usr/lib/nfs group=sys
 dir path=usr/lib/reparse group=bin
-dir path=usr/lib/reparse/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/reparse/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -67,13 +68,13 @@
 file path=lib/svc/manifest/network/nfs/rquota.xml group=sys mode=0444
 file path=lib/svc/manifest/network/nfs/server.xml group=sys mode=0444
 file path=lib/svc/method/nfs-server mode=0555
-file path=usr/lib/fs/nfs/$(ARCH64)/libshare_nfs.so.1
+$(BUILD64)file path=usr/lib/fs/nfs/$(ARCH64)/libshare_nfs.so.1
 file path=usr/lib/fs/nfs/libshare_nfs.so.1
 file path=usr/lib/nfs/mountd mode=0555
 file path=usr/lib/nfs/nfsd mode=0555
 file path=usr/lib/nfs/nfslogd mode=0555
 file path=usr/lib/nfs/rquotad mode=0555
-file path=usr/lib/reparse/$(ARCH64)/libnfs_basic.so.1
+$(BUILD64)file path=usr/lib/reparse/$(ARCH64)/libnfs_basic.so.1
 file path=usr/lib/reparse/libnfs_basic.so.1
 file path=usr/sbin/exportfs mode=0555
 file path=usr/sbin/nfsref mode=0555
@@ -93,5 +94,6 @@
     name="Network File System (NFS) server support (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/reparse/$(ARCH64)/libnfs_basic.so target=./libnfs_basic.so.1
+$(BUILD64)link path=usr/lib/reparse/$(ARCH64)/libnfs_basic.so \
+    target=./libnfs_basic.so.1
 link path=usr/lib/reparse/libnfs_basic.so target=./libnfs_basic.so.1
--- old/usr/src/pkg/manifests/service-file-system-smb.mf	2014-04-11 13:24:10.559268344 +0100
+++ new/usr/src/pkg/manifests/service-file-system-smb.mf	2014-04-11 13:24:10.567102628 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/file-system/smb@$(PKGVERS)
@@ -45,10 +46,10 @@
 dir path=usr/lib
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/smb group=sys
-dir path=usr/lib/fs/smb/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/smb/$(ARCH64) group=sys
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/lib/reparse
 dir path=usr/lib/security
 dir path=usr/lib/smbsrv
@@ -72,9 +73,9 @@
 file path=usr/kernel/drv/smbsrv.conf group=sys
 file path=usr/kernel/kmdb/$(ARCH64)/smbsrv group=sys mode=0555
 $(i386_ONLY)file path=usr/kernel/kmdb/smbsrv group=sys mode=0555
-file path=usr/lib/fs/smb/$(ARCH64)/libshare_smb.so.1
+$(BUILD64)file path=usr/lib/fs/smb/$(ARCH64)/libshare_smb.so.1
 file path=usr/lib/fs/smb/libshare_smb.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/smbsrv.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/smbsrv.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/smbsrv.so group=sys mode=0555
 file path=usr/lib/reparse/libreparse_smb.so.1
 file path=usr/lib/security/pam_smb_passwd.so.1
--- old/usr/src/pkg/manifests/service-hal.mf	2014-04-11 13:24:10.761096486 +0100
+++ new/usr/src/pkg/manifests/service-hal.mf	2014-04-11 13:24:10.769137721 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/hal@$(PKGVERS)
@@ -56,8 +57,8 @@
 dir path=lib/svc/method variant.opensolaris.zone=global
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/pkgconfig group=other
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/pkgconfig group=other
 dir path=usr/lib/hal
 dir path=usr/lib/hal/sunos
 dir path=usr/lib/pkgconfig group=other
@@ -114,12 +115,12 @@
 file path=lib/svc/method/svc-hal mode=0555 variant.opensolaris.zone=global
 file path=lib/svc/method/svc-network-discovery mode=0555 \
     variant.opensolaris.zone=global
-file path=usr/lib/$(ARCH64)/libhal-storage.so.1.0.0
-file path=usr/lib/$(ARCH64)/libhal.so.1.0.0
-file path=usr/lib/$(ARCH64)/llib-lhal-storage.ln
-file path=usr/lib/$(ARCH64)/llib-lhal.ln
-file path=usr/lib/$(ARCH64)/pkgconfig/hal-storage.pc
-file path=usr/lib/$(ARCH64)/pkgconfig/hal.pc
+$(BUILD64)file path=usr/lib/$(ARCH64)/libhal-storage.so.1.0.0
+$(BUILD64)file path=usr/lib/$(ARCH64)/libhal.so.1.0.0
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lhal-storage.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lhal.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/pkgconfig/hal-storage.pc
+$(BUILD64)file path=usr/lib/$(ARCH64)/pkgconfig/hal.pc
 file path=usr/lib/hal/hal-functions mode=0555
 file path=usr/lib/hal/hal-is-caller-privileged mode=0555
 file path=usr/lib/hal/hal-storage-cleanup-all-mountpoints mode=0555
@@ -185,11 +186,12 @@
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
 license usr/src/cmd/hal/LICENSE license=usr/src/cmd/hal/LICENSE
-link path=usr/lib/$(ARCH64)/libhal-storage.so target=./libhal-storage.so.1.0.0
-link path=usr/lib/$(ARCH64)/libhal-storage.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhal-storage.so \
     target=./libhal-storage.so.1.0.0
-link path=usr/lib/$(ARCH64)/libhal.so target=./libhal.so.1.0.0
-link path=usr/lib/$(ARCH64)/libhal.so.1 target=./libhal.so.1.0.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhal-storage.so.1 \
+    target=./libhal-storage.so.1.0.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhal.so target=./libhal.so.1.0.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhal.so.1 target=./libhal.so.1.0.0
 link path=usr/lib/libhal-storage.so target=./libhal-storage.so.1.0.0
 link path=usr/lib/libhal-storage.so.1 target=./libhal-storage.so.1.0.0
 link path=usr/lib/libhal.so target=./libhal.so.1.0.0
--- old/usr/src/pkg/manifests/service-network-dns-mdns.mf	2014-04-11 13:24:10.958182228 +0100
+++ new/usr/src/pkg/manifests/service-network-dns-mdns.mf	2014-04-11 13:24:10.966569745 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/network/dns/mdns@$(PKGVERS)
@@ -40,7 +41,7 @@
 dir path=usr/bin
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/share
 dir path=usr/share/lib
@@ -60,10 +61,10 @@
 file path=lib/svc/manifest/network/dns/multicast.xml group=sys mode=0444
 file path=usr/bin/dns-sd mode=0555
 file path=usr/include/dns_sd.h
-file path=usr/lib/$(ARCH64)/libdns_sd.so.1
-file path=usr/lib/$(ARCH64)/libjdns_sd.so.1
-file path=usr/lib/$(ARCH64)/llib-ldns_sd.ln
-file path=usr/lib/$(ARCH64)/nss_mdns.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdns_sd.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libjdns_sd.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ldns_sd.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/nss_mdns.so.1
 file path=usr/lib/inet/mdnsd mode=0555
 file path=usr/lib/libdns_sd.so.1
 file path=usr/lib/libjdns_sd.so.1
@@ -164,8 +165,8 @@
     license=usr/src/cmd/cmd-inet/usr.lib/mdnsd/THIRDPARTYLICENSE
 license usr/src/lib/libdns_sd/THIRDPARTYLICENSE \
     license=usr/src/lib/libdns_sd/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libdns_sd.so target=libdns_sd.so.1
-link path=usr/lib/$(ARCH64)/libjdns_sd.so target=libjdns_sd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdns_sd.so target=libdns_sd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libjdns_sd.so target=libjdns_sd.so.1
 link path=usr/lib/libdns_sd.so target=libdns_sd.so.1
 link path=usr/lib/libjdns_sd.so target=libjdns_sd.so.1
 link path=usr/share/man/man3dns_sd/DNSServiceAddRecord.3dns_sd \
--- old/usr/src/pkg/manifests/service-network-load-balancer-ilb.mf	2014-04-11 13:24:11.152317346 +0100
+++ new/usr/src/pkg/manifests/service-network-load-balancer-ilb.mf	2014-04-11 13:24:11.161121002 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/network/load-balancer/ilb@$(PKGVERS)
@@ -38,14 +39,14 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/lib/inet/ilb
 dir path=usr/sbin
 file path=lib/svc/manifest/network/loadbalancer/ilbd.xml group=sys mode=0444
 file path=usr/include/libilb.h
-file path=usr/lib/$(ARCH64)/libilb.so.1
-file path=usr/lib/$(ARCH64)/llib-lilb.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libilb.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lilb.ln
 file path=usr/lib/inet/ilb/ilb_probe mode=0555
 file path=usr/lib/inet/ilbd mode=0555
 file path=usr/lib/libilb.so.1
@@ -60,5 +61,5 @@
     name="Integrated IP layer 3/4 load balancer for Solaris(root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libilb.so target=./libilb.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libilb.so target=./libilb.so.1
 link path=usr/lib/libilb.so target=./libilb.so.1
--- old/usr/src/pkg/manifests/service-network-slp.mf	2014-04-11 13:24:11.344972962 +0100
+++ new/usr/src/pkg/manifests/service-network-slp.mf	2014-04-11 13:24:11.353142200 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/network/slp@$(PKGVERS)
@@ -41,7 +42,7 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/share
 dir path=usr/share/lib
@@ -57,8 +58,8 @@
 file path=lib/svc/manifest/network/slp.xml group=sys mode=0444
 file path=lib/svc/method/slp mode=0555
 file path=usr/include/slp.h
-file path=usr/lib/$(ARCH64)/libslp.so.1
-file path=usr/lib/$(ARCH64)/llib-lslp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libslp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lslp.ln
 file path=usr/lib/inet/slpd mode=0555
 file path=usr/lib/libslp.so.1
 file path=usr/lib/llib-lslp
@@ -96,5 +97,5 @@
     name="SLP, (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libslp.so target=libslp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libslp.so target=libslp.so.1
 link path=usr/lib/libslp.so target=libslp.so.1
--- old/usr/src/pkg/manifests/service-picl.mf	2014-04-11 13:24:11.537374185 +0100
+++ new/usr/src/pkg/manifests/service-picl.mf	2014-04-11 13:24:11.546604573 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/picl@$(PKGVERS)
@@ -35,7 +36,7 @@
 dir path=lib/svc/manifest group=sys variant.opensolaris.zone=global
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/picl group=sys
 dir path=usr/lib/picl/plugins group=sys
 dir path=usr/lib/sysevent
@@ -154,8 +155,8 @@
 dir path=usr/share/man/man3picltree
 file path=lib/svc/manifest/system/picl.xml group=sys mode=0444 \
     variant.opensolaris.zone=global
-file path=usr/lib/$(ARCH64)/libpicl.so.1
-file path=usr/lib/$(ARCH64)/llib-lpicl.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpicl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpicl.ln
 file path=usr/lib/libpicl.so.1
 file path=usr/lib/libpicld_pluginutil.so.1
 file path=usr/lib/libpicltree.so.1
@@ -707,7 +708,7 @@
     name="PICL Libraries, and Plugin Modules (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libpicl.so target=./libpicl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpicl.so target=./libpicl.so.1
 link path=usr/lib/libpicl.so target=./libpicl.so.1
 link path=usr/lib/libpicld_pluginutil.so target=./libpicld_pluginutil.so.1
 link path=usr/lib/libpicltree.so target=./libpicltree.so.1
--- old/usr/src/pkg/manifests/service-resource-cap.mf	2014-04-11 13:24:11.750977964 +0100
+++ new/usr/src/pkg/manifests/service-resource-cap.mf	2014-04-11 13:24:11.757945275 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/resource-cap@$(PKGVERS)
@@ -37,14 +38,14 @@
 dir path=usr/lib
 dir path=usr/lib/rcap
 dir path=usr/lib/rcap/$(ARCH32)
-dir path=usr/lib/rcap/$(ARCH64)
+$(BUILD64)dir path=usr/lib/rcap/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1
 dir path=usr/share/man/man1m
 file path=lib/svc/manifest/system/rcap.xml group=sys mode=0444
 file path=usr/bin/rcapstat mode=0555
 file path=usr/lib/rcap/$(ARCH32)/rcapd mode=0555
-file path=usr/lib/rcap/$(ARCH64)/rcapd mode=0555
+$(BUILD64)file path=usr/lib/rcap/$(ARCH64)/rcapd mode=0555
 file path=usr/sbin/rcapadm mode=0555
 file path=usr/share/man/man1/rcapstat.1
 file path=usr/share/man/man1m/rcapadm.1m
--- old/usr/src/pkg/manifests/service-resource-pools.mf	2014-04-11 13:24:11.947506692 +0100
+++ new/usr/src/pkg/manifests/service-resource-pools.mf	2014-04-11 13:24:11.956009600 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/resource-pools@$(PKGVERS)
@@ -41,7 +42,7 @@
 dir path=usr/kernel/drv group=sys
 dir path=usr/kernel/drv/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/rcm
 dir path=usr/lib/rcm/modules
 dir path=usr/sbin
@@ -68,8 +69,8 @@
 file path=usr/kernel/drv/$(ARCH64)/pool group=sys
 $(i386_ONLY)file path=usr/kernel/drv/pool group=sys
 file path=usr/kernel/drv/pool.conf group=sys
-file path=usr/lib/$(ARCH64)/libpool.so.1
-file path=usr/lib/$(ARCH64)/llib-lpool.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpool.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpool.ln
 file path=usr/lib/libpool.so.1
 file path=usr/lib/llib-lpool
 file path=usr/lib/llib-lpool.ln
@@ -101,7 +102,7 @@
     name="Resource Pools (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libpool.so target=libpool.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpool.so target=libpool.so.1
 link path=usr/lib/libpool.so target=./libpool.so.1
 link path=usr/share/man/man3pool/pool_conf_close.3pool \
     target=pool_conf_alloc.3pool
--- old/usr/src/pkg/manifests/service-security-kerberos-5.mf	2014-04-11 13:24:12.144068684 +0100
+++ new/usr/src/pkg/manifests/service-security-kerberos-5.mf	2014-04-11 13:24:12.152890753 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/security/kerberos-5@$(PKGVERS)
@@ -39,15 +40,15 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
 dir path=usr/lib/krb5
-dir path=usr/lib/krb5/$(ARCH64)
+$(BUILD64)dir path=usr/lib/krb5/$(ARCH64)
 dir path=usr/lib/krb5/plugins
 dir path=usr/lib/krb5/plugins/preauth
 dir path=usr/lib/security
-dir path=usr/lib/security/$(ARCH64)
+$(BUILD64)dir path=usr/lib/security/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man1
 dir path=usr/share/man/man1m
@@ -70,17 +71,17 @@
 file path=usr/bin/kpasswd mode=0555
 file path=usr/bin/krb5-config mode=0555
 file path=usr/bin/ktutil mode=0555
-file path=usr/lib/$(ARCH64)/gss/mech_krb5.so.1
-file path=usr/lib/$(ARCH64)/libkrb5.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/mech_krb5.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libkrb5.so.1
 file path=usr/lib/gss/mech_krb5.so.1
-file path=usr/lib/krb5/$(ARCH64)/libkadm5clnt.so.1
+$(BUILD64)file path=usr/lib/krb5/$(ARCH64)/libkadm5clnt.so.1
 file path=usr/lib/krb5/ktkt_warnd mode=0555
 file path=usr/lib/krb5/libkadm5clnt.so.1
 file path=usr/lib/krb5/libss.so.1
 file path=usr/lib/krb5/plugins/preauth/pkinit.so.1
 file path=usr/lib/libkrb5.so.1
-file path=usr/lib/security/$(ARCH64)/pam_krb5.so.1
-file path=usr/lib/security/$(ARCH64)/pam_krb5_migrate.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_krb5.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_krb5_migrate.so.1
 file path=usr/lib/security/pam_krb5.so.1
 file path=usr/lib/security/pam_krb5_migrate.so.1
 file path=usr/share/man/man1/kdestroy.1
@@ -101,16 +102,18 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/gss_mechs/mech_krb5/THIRDPARTYLICENSE \
     license=usr/src/lib/gss_mechs/mech_krb5/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/gss/mech_krb5.so target=./mech_krb5.so.1
-link path=usr/lib/$(ARCH64)/libkrb5.so target=./libkrb5.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/mech_krb5.so target=./mech_krb5.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libkrb5.so target=./libkrb5.so.1
 link path=usr/lib/gss/mech_krb5.so target=./mech_krb5.so.1
-link path=usr/lib/krb5/$(ARCH64)/libkadm5clnt.so target=./libkadm5clnt.so.1
+$(BUILD64)link path=usr/lib/krb5/$(ARCH64)/libkadm5clnt.so \
+    target=./libkadm5clnt.so.1
 link path=usr/lib/krb5/libkadm5clnt.so target=./libkadm5clnt.so.1
 link path=usr/lib/krb5/libss.so target=libss.so.1
 link path=usr/lib/krb5/plugins/preauth/pkinit.so target=pkinit.so.1
 link path=usr/lib/libkrb5.so target=./libkrb5.so.1
-link path=usr/lib/security/$(ARCH64)/pam_krb5.so target=./pam_krb5.so.1
-link path=usr/lib/security/$(ARCH64)/pam_krb5_migrate.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_krb5.so \
+    target=./pam_krb5.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_krb5_migrate.so \
     target=./pam_krb5_migrate.so.1
 link path=usr/lib/security/pam_krb5.so target=./pam_krb5.so.1
 link path=usr/lib/security/pam_krb5_migrate.so target=./pam_krb5_migrate.so.1
--- old/usr/src/pkg/manifests/service-storage-avs-cache-management.mf	2014-04-11 13:24:12.338465879 +0100
+++ new/usr/src/pkg/manifests/service-storage-avs-cache-management.mf	2014-04-11 13:24:12.346476894 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -62,7 +63,7 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -109,8 +110,8 @@
 file path=usr/lib/libdscfg.so.1
 file path=usr/lib/libnsctl.so.1
 file path=usr/lib/libunistat.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/nsctl.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/sdbc.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/nsctl.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/sdbc.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/nsctl.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/sdbc.so group=sys mode=0555
 file path=usr/share/man/man1m/dsbitmap.1m
--- old/usr/src/pkg/manifests/service-storage-fibre-channel-fc-fabric.mf	2014-04-11 13:24:12.532404505 +0100
+++ new/usr/src/pkg/manifests/service-storage-fibre-channel-fc-fabric.mf	2014-04-11 13:24:12.541136829 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -40,11 +41,11 @@
 dir path=usr group=sys
 dir path=usr/lib
 dir path=usr/lib/cfgadm
-dir path=usr/lib/cfgadm/$(ARCH64)
+$(BUILD64)dir path=usr/lib/cfgadm/$(ARCH64)
 file path=lib/svc/manifest/system/device/devices-fc-fabric.xml group=sys \
     mode=0444 variant.opensolaris.zone=global
 file path=lib/svc/method/fc-fabric mode=0555 variant.opensolaris.zone=global
-file path=usr/lib/cfgadm/$(ARCH64)/fp.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/fp.so.1
 file path=usr/lib/cfgadm/fp.so.1
 legacy pkg=SUNWcfpl desc="Provides the fp plug-in library of libcfgadm." \
     name="fp cfgadm plug-in library"
@@ -53,6 +54,6 @@
     name="fp cfgadm plug-in library (root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/cfgadm/$(ARCH64)/fp.so target=fp.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/fp.so target=fp.so.1
 link path=usr/lib/cfgadm/fp.so target=fp.so.1
 depend fmri=system/storage/luxadm type=require
--- old/usr/src/pkg/manifests/service-storage-ndmp.mf	2014-04-11 13:24:12.730923332 +0100
+++ new/usr/src/pkg/manifests/service-storage-ndmp.mf	2014-04-11 13:24:12.737743107 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -44,7 +45,7 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/ndmp
 dir path=usr/sbin
 dir path=usr/share/man
@@ -53,8 +54,8 @@
 file path=lib/svc/manifest/system/ndmp.xml group=sys mode=0444
 file path=lib/svc/method/svc-ndmp mode=0555
 file path=usr/include/libndmp.h
-file path=usr/lib/$(ARCH64)/libndmp.so.1
-file path=usr/lib/$(ARCH64)/llib-lndmp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libndmp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lndmp.ln
 file path=usr/lib/libndmp.so.1
 file path=usr/lib/llib-lndmp
 file path=usr/lib/llib-lndmp.ln
@@ -75,5 +76,5 @@
 license lic_OSBL license=lic_OSBL
 license lic_OSBL_preamble license=lic_OSBL_preamble
 license usr/src/cmd/ndmpd/LICENSE license=usr/src/cmd/ndmpd/LICENSE
-link path=usr/lib/$(ARCH64)/libndmp.so target=libndmp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libndmp.so target=libndmp.so.1
 link path=usr/lib/libndmp.so target=libndmp.so.1
--- old/usr/src/pkg/manifests/service-storage-removable-media.mf	2014-04-11 13:24:12.923238789 +0100
+++ new/usr/src/pkg/manifests/service-storage-removable-media.mf	2014-04-11 13:24:12.931238397 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/service/storage/removable-media@$(PKGVERS)
@@ -37,19 +38,19 @@
 dir path=lib/svc/manifest/network/rpc group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/smedia
-dir path=usr/lib/smedia/$(ARCH64)
+$(BUILD64)dir path=usr/lib/smedia/$(ARCH64)
 dir path=usr/share/man/man1m
 file path=lib/svc/manifest/network/rpc/smserver.xml group=sys mode=0444
-file path=usr/lib/$(ARCH64)/libsmedia.so.1
-file path=usr/lib/$(ARCH64)/llib-lsmedia.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsmedia.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsmedia.ln
 file path=usr/lib/libsmedia.so.1
 file path=usr/lib/llib-lsmedia
 file path=usr/lib/llib-lsmedia.ln
-file path=usr/lib/smedia/$(ARCH64)/sm_blkdev.so.1 mode=0555
-file path=usr/lib/smedia/$(ARCH64)/sm_fd.so.1 mode=0555
-file path=usr/lib/smedia/$(ARCH64)/sm_scsi.so.1 mode=0555
+$(BUILD64)file path=usr/lib/smedia/$(ARCH64)/sm_blkdev.so.1 mode=0555
+$(BUILD64)file path=usr/lib/smedia/$(ARCH64)/sm_fd.so.1 mode=0555
+$(BUILD64)file path=usr/lib/smedia/$(ARCH64)/sm_scsi.so.1 mode=0555
 file path=usr/lib/smedia/rpc.smserverd mode=0555
 file path=usr/lib/smedia/sm_blkdev.so.1 mode=0555
 file path=usr/lib/smedia/sm_fd.so.1 mode=0555
@@ -61,5 +62,5 @@
     name="Storage media management library (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libsmedia.so target=./libsmedia.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsmedia.so target=./libsmedia.so.1
 link path=usr/lib/libsmedia.so target=./libsmedia.so.1
--- old/usr/src/pkg/manifests/storage-avs-point-in-time-copy.mf	2014-04-11 13:24:13.125523702 +0100
+++ new/usr/src/pkg/manifests/storage-avs-point-in-time-copy.mf	2014-04-11 13:24:13.134816217 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -60,7 +61,7 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -81,7 +82,7 @@
 $(i386_ONLY)file path=usr/kernel/drv/ii group=sys
 file path=usr/kernel/drv/ii.conf group=sys \
     original_name=SUNWii:usr/kernel/drv/ii.conf preserve=true
-file path=usr/lib/mdb/kvm/$(ARCH64)/ii.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/ii.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/ii.so group=sys mode=0555
 file path=usr/share/man/man1m/iiadm.1m
 file path=usr/share/man/man1m/iicpbmp.1m
--- old/usr/src/pkg/manifests/storage-avs-remote-mirror.mf	2014-04-11 13:24:13.325732539 +0100
+++ new/usr/src/pkg/manifests/storage-avs-remote-mirror.mf	2014-04-11 13:24:13.334289346 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -62,7 +63,7 @@
 dir path=usr/lib
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -90,7 +91,7 @@
 $(i386_ONLY)file path=usr/kernel/drv/rdcsrv group=sys
 $(i386_ONLY)file path=usr/kernel/drv/rdcstub group=sys
 file path=usr/lib/librdc.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/rdc.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/rdc.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/rdc.so group=sys mode=0555
 file path=usr/share/man/man1m/sndradm.1m
 file path=usr/share/man/man1m/sndrd.1m
--- old/usr/src/pkg/manifests/storage-library-network-array.mf	2014-04-11 13:24:13.519199536 +0100
+++ new/usr/src/pkg/manifests/storage-library-network-array.mf	2014-04-11 13:24:13.526303857 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -36,16 +37,16 @@
     value="org.opensolaris.category.2008:System/Enterprise Management"
 set name=variant.arch value=sparc
 dir path=lib
-dir path=lib/$(ARCH64)
-file path=lib/$(ARCH64)/liba5k.so.2
-file path=lib/$(ARCH64)/libg_fc.so.2
+$(BUILD64)dir path=lib/$(ARCH64)
+$(BUILD64)file path=lib/$(ARCH64)/liba5k.so.2
+$(BUILD64)file path=lib/$(ARCH64)/libg_fc.so.2
 file path=lib/liba5k.so.2
 file path=lib/libg_fc.so.2
 legacy pkg=SUNWluxopr desc="Sun Enterprise Network Array libraries" \
     name="Sun Enterprise Network Array libraries"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=lib/$(ARCH64)/liba5k.so target=liba5k.so.2
-link path=lib/$(ARCH64)/libg_fc.so target=libg_fc.so.2
+$(BUILD64)link path=lib/$(ARCH64)/liba5k.so target=liba5k.so.2
+$(BUILD64)link path=lib/$(ARCH64)/libg_fc.so target=libg_fc.so.2
 link path=lib/liba5k.so target=liba5k.so.2
 link path=lib/libg_fc.so target=libg_fc.so.2
--- old/usr/src/pkg/manifests/storage-stmf.mf	2014-04-11 13:24:13.741255828 +0100
+++ new/usr/src/pkg/manifests/storage-stmf.mf	2014-04-11 13:24:13.748669861 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/storage/stmf@$(PKGVERS)
@@ -48,10 +49,10 @@
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -97,15 +98,15 @@
 file path=usr/include/sys/stmf.h
 file path=usr/include/sys/stmf_defines.h
 file path=usr/include/sys/stmf_ioctl.h
-file path=usr/lib/$(ARCH64)/libstmf.so.1
-file path=usr/lib/$(ARCH64)/libstmfproxy.so.1
-file path=usr/lib/$(ARCH64)/llib-lstmf.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libstmf.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libstmfproxy.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lstmf.ln
 file path=usr/lib/libstmf.so.1
 file path=usr/lib/libstmfproxy.so.1
 file path=usr/lib/llib-lstmf
 file path=usr/lib/llib-lstmf.ln
-file path=usr/lib/mdb/kvm/$(ARCH64)/stmf.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/stmf_sbd.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/stmf.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/stmf_sbd.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/stmf.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/stmf_sbd.so group=sys mode=0555
 file path=usr/sbin/sbdadm mode=0555
@@ -161,8 +162,8 @@
     name="Sun Common Multiprotocol SCSI Target Libraries and Tools"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libstmf.so target=libstmf.so.1
-link path=usr/lib/$(ARCH64)/libstmfproxy.so target=libstmfproxy.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libstmf.so target=libstmf.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libstmfproxy.so target=libstmfproxy.so.1
 link path=usr/lib/libstmf.so target=libstmf.so.1
 link path=usr/lib/libstmfproxy.so target=libstmfproxy.so.1
 link path=usr/share/man/man3stmf/stmfGetLuProp.3stmf \
--- old/usr/src/pkg/manifests/system-boot-wanboot-internal.mf	2014-04-11 13:24:13.935860539 +0100
+++ new/usr/src/pkg/manifests/system-boot-wanboot-internal.mf	2014-04-11 13:24:13.944869832 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/boot/wanboot/internal@$(PKGVERS)
@@ -41,8 +42,8 @@
 file path=usr/include/p12err.h
 file path=usr/include/parseURL.h
 file path=usr/include/wanboot_conf.h
-file path=usr/lib/$(ARCH64)/llib-lwanboot.ln
-file path=usr/lib/$(ARCH64)/llib-lwanbootutil.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lwanboot.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lwanbootutil.ln
 file path=usr/lib/llib-lwanboot
 file path=usr/lib/llib-lwanboot.ln
 file path=usr/lib/llib-lwanbootutil
@@ -50,7 +51,8 @@
 legacy pkg=SUNWwbint desc="Solaris WAN boot internal" name="WAN boot internal"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libwanboot.so target=./libwanboot.so.1
-link path=usr/lib/$(ARCH64)/libwanbootutil.so target=./libwanbootutil.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libwanboot.so target=./libwanboot.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libwanbootutil.so \
+    target=./libwanbootutil.so.1
 link path=usr/lib/libwanboot.so target=./libwanboot.so.1
 link path=usr/lib/libwanbootutil.so target=./libwanbootutil.so.1
--- old/usr/src/pkg/manifests/system-boot-wanboot.mf	2014-04-11 13:24:14.141917977 +0100
+++ new/usr/src/pkg/manifests/system-boot-wanboot.mf	2014-04-11 13:24:14.152226975 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/boot/wanboot@$(PKGVERS)
@@ -36,8 +37,8 @@
 dir path=usr/lib/inet/wanboot
 dir path=usr/sbin
 dir path=usr/share/man/man1m
-file path=usr/lib/$(ARCH64)/libwanboot.so.1
-file path=usr/lib/$(ARCH64)/libwanbootutil.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libwanboot.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libwanbootutil.so.1
 file path=usr/lib/inet/wanboot/bootlog-cgi mode=0555
 file path=usr/lib/inet/wanboot/encr mode=0555
 file path=usr/lib/inet/wanboot/hmac mode=0555
--- old/usr/src/pkg/manifests/system-dtrace-tests.mf	2014-04-11 13:24:14.344441329 +0100
+++ new/usr/src/pkg/manifests/system-dtrace-tests.mf	2014-04-11 13:24:14.355274667 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012, 2014 by Delphix. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/dtrace/tests@$(PKGVERS)
@@ -33,7 +34,7 @@
 dir path=opt/SUNWdtrt group=sys
 dir path=opt/SUNWdtrt/bin
 dir path=opt/SUNWdtrt/bin/$(ARCH32)
-dir path=opt/SUNWdtrt/bin/$(ARCH64)
+$(BUILD64)dir path=opt/SUNWdtrt/bin/$(ARCH64)
 dir path=opt/SUNWdtrt/lib
 dir path=opt/SUNWdtrt/lib/java
 dir path=opt/SUNWdtrt/tst
@@ -129,7 +130,7 @@
 $(i386_ONLY)dir path=opt/SUNWdtrt/tst/i86xpv/xdt
 file path=opt/SUNWdtrt/README mode=0444
 file path=opt/SUNWdtrt/bin/$(ARCH32)/chkargs mode=0555
-file path=opt/SUNWdtrt/bin/$(ARCH64)/chkargs mode=0555
+$(BUILD64)file path=opt/SUNWdtrt/bin/$(ARCH64)/chkargs mode=0555
 file path=opt/SUNWdtrt/bin/baddof mode=0555
 file path=opt/SUNWdtrt/bin/badioctl mode=0555
 file path=opt/SUNWdtrt/bin/chkargs mode=0555
--- old/usr/src/pkg/manifests/system-embedded-fcode-interpreter.mf	2014-04-11 13:24:14.602278499 +0100
+++ new/usr/src/pkg/manifests/system-embedded-fcode-interpreter.mf	2014-04-11 13:24:14.609373928 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -57,7 +58,7 @@
 dir path=usr group=sys
 dir path=usr/lib
 dir path=usr/lib/efcode
-dir path=usr/lib/efcode/$(ARCH64)
+$(BUILD64)dir path=usr/lib/efcode/$(ARCH64)
 dir path=usr/share/man/man1m
 driver name=fcode
 file path=etc/flash/postdeployment/efcode.cleanup group=sys mode=0744
@@ -70,16 +71,16 @@
 file path=lib/svc/manifest/platform/sun4v/efdaemon.xml group=sys mode=0444
 file path=platform/sun4u/kernel/misc/$(ARCH64)/gptwo_cpu group=sys mode=0755
 file path=platform/sun4u/kernel/misc/$(ARCH64)/gptwocfg group=sys mode=0755
-file path=usr/lib/efcode/$(ARCH64)/efdaemon mode=0555
-file path=usr/lib/efcode/$(ARCH64)/fcdriver.so
-file path=usr/lib/efcode/$(ARCH64)/fcode.so
-file path=usr/lib/efcode/$(ARCH64)/fcpackage.so
-file path=usr/lib/efcode/$(ARCH64)/fcthread.so
-file path=usr/lib/efcode/$(ARCH64)/interpreter mode=0555
-file path=usr/lib/efcode/$(ARCH64)/lfc_gptwo.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_jupiter.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_upa.so
-file path=usr/lib/efcode/$(ARCH64)/lfc_upa_pci.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/efdaemon mode=0555
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcdriver.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcode.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcpackage.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/fcthread.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/interpreter mode=0555
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_gptwo.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_jupiter.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_upa.so
+$(BUILD64)file path=usr/lib/efcode/$(ARCH64)/lfc_upa_pci.so
 file path=usr/lib/efcode/efcode.sh mode=0555
 file path=usr/share/man/man1m/efdaemon.1m
 legacy pkg=SUNWefc.u arch=$(ARCH).sun4u \
@@ -95,14 +96,22 @@
     name="Embedded FCode Interpreter"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_gptwo.so target=lfc_gptwo.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_jupiter.so \
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_gptwo.so \
+    target=lfc_gptwo.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_gptwo_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_jupiter.so \
     target=lfc_jupiter.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pci.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pciex.so target=lfc_upa_pci.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v.so target=lfc_upa.so
-link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v_pciex.so target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_jupiter_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pci_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pci.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_pciex_pciex.so \
+    target=lfc_upa_pci.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v.so target=lfc_upa.so
+$(BUILD64)link path=usr/lib/efcode/$(ARCH64)/lfc_sun4v_pciex.so \
+    target=lfc_upa_pci.so
--- old/usr/src/pkg/manifests/system-extended-system-utilities.mf	2014-04-11 13:24:14.797520848 +0100
+++ new/usr/src/pkg/manifests/system-extended-system-utilities.mf	2014-04-11 13:24:14.804526615 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/extended-system-utilities@$(PKGVERS)
@@ -33,18 +34,18 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/adb group=sys
-dir path=usr/lib/adb/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/adb/$(ARCH64) group=sys
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/pcfs group=sys
 dir path=usr/lib/spell
 dir path=usr/proc
 dir path=usr/proc/bin
 dir path=usr/sbin
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/lib
 dir path=usr/share/lib/dict
@@ -70,26 +71,26 @@
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/pwait mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/pwdx mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/sort mode=0555
-file path=usr/bin/$(ARCH64)/pargs mode=0555
-file path=usr/bin/$(ARCH64)/pcred mode=0555
-file path=usr/bin/$(ARCH64)/pfiles mode=0555
-file path=usr/bin/$(ARCH64)/pflags mode=0555
-file path=usr/bin/$(ARCH64)/pldd mode=0555
-file path=usr/bin/$(ARCH64)/plgrp mode=0555
-file path=usr/bin/$(ARCH64)/pmadvise mode=0555
-file path=usr/bin/$(ARCH64)/pmap mode=0555
-file path=usr/bin/$(ARCH64)/ppgsz mode=0555
-file path=usr/bin/$(ARCH64)/ppriv mode=0555
-file path=usr/bin/$(ARCH64)/preap mode=0555
-file path=usr/bin/$(ARCH64)/prun mode=0555
-file path=usr/bin/$(ARCH64)/psig mode=0555
-file path=usr/bin/$(ARCH64)/pstack mode=0555
-file path=usr/bin/$(ARCH64)/pstop mode=0555
-file path=usr/bin/$(ARCH64)/ptime mode=0555
-file path=usr/bin/$(ARCH64)/ptree mode=0555
-file path=usr/bin/$(ARCH64)/pwait mode=0555
-file path=usr/bin/$(ARCH64)/pwdx mode=0555
-file path=usr/bin/$(ARCH64)/sort mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pargs mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pcred mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pfiles mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pflags mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pldd mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/plgrp mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pmadvise mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pmap mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ppgsz mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ppriv mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/preap mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/prun mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/psig mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pstack mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pstop mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ptime mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ptree mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pwait mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pwdx mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/sort mode=0555
 file path=usr/bin/asa mode=0555
 file path=usr/bin/awk mode=0555
 file path=usr/bin/banner mode=0555
@@ -133,9 +134,9 @@
 file path=usr/bin/uudecode group=uucp mode=0555
 file path=usr/bin/uuencode group=uucp mode=0555
 file path=usr/bin/yes mode=0555
-file path=usr/lib/$(ARCH64)/madv.so.1
-file path=usr/lib/$(ARCH64)/mpss.so.1
-file path=usr/lib/adb/$(ARCH64)/adbsub.o group=sys
+$(BUILD64)file path=usr/lib/$(ARCH64)/madv.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/mpss.so.1
+$(BUILD64)file path=usr/lib/adb/$(ARCH64)/adbsub.o group=sys
 file path=usr/lib/adb/adbgen group=sys mode=0755
 file path=usr/lib/adb/adbgen1 group=sys mode=0755
 file path=usr/lib/adb/adbgen3 group=sys mode=0755
--- old/usr/src/pkg/manifests/system-file-system-autofs.mf	2014-04-11 13:24:14.999371579 +0100
+++ new/usr/src/pkg/manifests/system-file-system-autofs.mf	2014-04-11 13:24:15.008036949 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/file-system/autofs@$(PKGVERS)
@@ -43,7 +44,7 @@
 dir path=usr/lib/autofs group=sys
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/autofs group=sys
-dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/autofs/$(ARCH64) group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -55,7 +56,7 @@
 file path=lib/svc/manifest/system/filesystem/autofs.xml group=sys mode=0444
 file path=lib/svc/method/svc-autofs mode=0555
 file path=usr/lib/autofs/automountd mode=0555
-file path=usr/lib/fs/autofs/$(ARCH64)/libshare_autofs.so.1
+$(BUILD64)file path=usr/lib/fs/autofs/$(ARCH64)/libshare_autofs.so.1
 file path=usr/lib/fs/autofs/automount mode=0555
 file path=usr/lib/fs/autofs/dfshares mode=0555
 file path=usr/lib/fs/autofs/libshare_autofs.so.1
--- old/usr/src/pkg/manifests/system-file-system-smb.mf	2014-04-11 13:24:15.195267814 +0100
+++ new/usr/src/pkg/manifests/system-file-system-smb.mf	2014-04-11 13:24:15.203811706 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/file-system/smb@$(PKGVERS)
@@ -46,15 +47,15 @@
 dir path=usr/kernel/kmdb group=sys
 dir path=usr/kernel/kmdb/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/smbfs group=sys
-dir path=usr/lib/fs/smbfs/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/fs/smbfs/$(ARCH64) group=sys
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/lib/security
-dir path=usr/lib/security/$(ARCH64)
+$(BUILD64)dir path=usr/lib/security/$(ARCH64)
 dir path=usr/lib/smbfs
 dir path=usr/share/man
 dir path=usr/share/man/man1
@@ -75,8 +76,8 @@
 file path=usr/kernel/kmdb/$(ARCH64)/smbfs group=sys mode=0555
 $(i386_ONLY)file path=usr/kernel/kmdb/nsmb group=sys mode=0555
 $(i386_ONLY)file path=usr/kernel/kmdb/smbfs group=sys mode=0555
-file path=usr/lib/$(ARCH64)/libsmbfs.so.1
-file path=usr/lib/fs/smbfs/$(ARCH64)/libshare_smbfs.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsmbfs.so.1
+$(BUILD64)file path=usr/lib/fs/smbfs/$(ARCH64)/libshare_smbfs.so.1
 file path=usr/lib/fs/smbfs/dfshares mode=0555
 file path=usr/lib/fs/smbfs/libshare_smbfs.so.1
 file path=usr/lib/fs/smbfs/mount mode=4555
@@ -84,11 +85,11 @@
 file path=usr/lib/fs/smbfs/umount mode=4555
 file path=usr/lib/fs/smbfs/unshare mode=0555
 file path=usr/lib/libsmbfs.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/nsmb.so mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/smbfs.so mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/nsmb.so mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/smbfs.so mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/nsmb.so mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/smbfs.so mode=0555
-file path=usr/lib/security/$(ARCH64)/pam_smbfs_login.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_smbfs_login.so.1
 file path=usr/lib/security/pam_smbfs_login.so.1
 file path=usr/lib/smbfs/smbiod mode=0555
 file path=usr/lib/smbfs/smbiod-svc mode=0555
@@ -114,7 +115,7 @@
     license=usr/src/lib/libsmbfs/smb/THIRDPARTYLICENSE.bsd4
 license usr/src/lib/libsmbfs/smb/THIRDPARTYLICENSE.microsoft \
     license=usr/src/lib/libsmbfs/smb/THIRDPARTYLICENSE.microsoft
-link path=usr/lib/security/$(ARCH64)/pam_smbfs_login.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_smbfs_login.so \
     target=pam_smbfs_login.so.1
 link path=usr/lib/security/pam_smbfs_login.so target=pam_smbfs_login.so.1
 link path=usr/share/man/man1m/umount_smbfs.1m target=mount_smbfs.1m
--- old/usr/src/pkg/manifests/system-file-system-zfs-tests.mf	2014-04-11 13:24:15.426537545 +0100
+++ new/usr/src/pkg/manifests/system-file-system-zfs-tests.mf	2014-04-11 13:24:15.433170120 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/file-system/zfs/tests@$(PKGVERS)
@@ -36,7 +37,7 @@
 dir path=usr group=sys
 dir path=usr/bin
 $(i386_ONLY)dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/include/sys/fs
@@ -45,21 +46,21 @@
 dir path=usr/lib/devfsadm/linkmod group=sys
 dir path=usr/sbin
 $(i386_ONLY)dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 driver name=zut perms="* 0666 root sys"
 file path=kernel/drv/$(ARCH64)/zut group=sys
 $(i386_ONLY)file path=kernel/drv/zut group=sys
 file path=kernel/drv/zut.conf group=sys
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/zlook mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/ztest mode=0555
-file path=usr/bin/$(ARCH64)/zlook mode=0555
-file path=usr/bin/$(ARCH64)/ztest mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/zlook mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ztest mode=0555
 file path=usr/include/sys/fs/zut.h
 file path=usr/lib/devfsadm/linkmod/SUNW_zut_link.so group=sys
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/zhack mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/zinject mode=0555
-file path=usr/sbin/$(ARCH64)/zhack mode=0555
-file path=usr/sbin/$(ARCH64)/zinject mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/zhack mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/zinject mode=0555
 hardlink path=usr/bin/zlook target=../../usr/lib/isaexec
 hardlink path=usr/bin/ztest target=../../usr/lib/isaexec
 hardlink path=usr/sbin/zhack target=../../usr/lib/isaexec
--- old/usr/src/pkg/manifests/system-file-system-zfs.mf	2014-04-11 13:24:15.618131937 +0100
+++ new/usr/src/pkg/manifests/system-file-system-zfs.mf	2014-04-11 13:24:15.626208305 +0100
@@ -23,6 +23,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/file-system/zfs@$(PKGVERS)
@@ -51,21 +52,21 @@
 dir path=kernel/kmdb group=sys
 dir path=kernel/kmdb/$(ARCH64) group=sys
 dir path=lib
-dir path=lib/$(ARCH64)
+$(BUILD64)dir path=lib/$(ARCH64)
 dir path=sbin group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/devfsadm group=sys
 dir path=usr/lib/devfsadm/linkmod group=sys
 dir path=usr/lib/fs group=sys
 dir path=usr/lib/fs/zfs group=sys
 dir path=usr/lib/mdb group=sys
 dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
+$(BUILD64)dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
 dir path=usr/lib/mdb/proc group=sys
-$(sparc_ONLY)dir path=usr/lib/mdb/proc/$(ARCH64) group=sys
-$(i386_ONLY)dir path=usr/lib/mdb/proc/$(ARCH64)
+$(sparc_BUILD64)dir path=usr/lib/mdb/proc/$(ARCH64) group=sys
+$(i386_BUILD64)dir path=usr/lib/mdb/proc/$(ARCH64)
 dir path=usr/lib/python2.6
 dir path=usr/lib/python2.6/vendor-packages
 dir path=usr/lib/python2.6/vendor-packages/zfs
@@ -74,7 +75,7 @@
 dir path=usr/lib/zfs
 dir path=usr/sbin
 $(i386_ONLY)dir path=usr/sbin/$(ARCH32)
-dir path=usr/sbin/$(ARCH64)
+$(BUILD64)dir path=usr/sbin/$(ARCH64)
 dir path=usr/share/man/man1m
 driver name=zfs perms="* 0600 root sys" perms="zfs 0666 root sys"
 file \
@@ -85,10 +86,10 @@
 file path=kernel/drv/zfs.conf group=sys
 file path=kernel/kmdb/$(ARCH64)/zfs group=sys mode=0555
 $(i386_ONLY)file path=kernel/kmdb/zfs group=sys mode=0555
-file path=lib/$(ARCH64)/libzfs.so.1
-file path=lib/$(ARCH64)/libzfs_core.so.1
-file path=lib/$(ARCH64)/llib-lzfs.ln
-file path=lib/$(ARCH64)/llib-lzfs_core.ln
+$(BUILD64)file path=lib/$(ARCH64)/libzfs.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libzfs_core.so.1
+$(BUILD64)file path=lib/$(ARCH64)/llib-lzfs.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lzfs_core.ln
 file path=lib/libzfs.so.1
 file path=lib/libzfs_core.so.1
 file path=lib/llib-lzfs
@@ -97,16 +98,16 @@
 file path=lib/llib-lzfs_core.ln
 file path=sbin/zfs mode=0555
 file path=sbin/zpool mode=0555
-file path=usr/lib/$(ARCH64)/libzfs_jni.so.1
-file path=usr/lib/$(ARCH64)/libzpool.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzfs_jni.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzpool.so.1
 file path=usr/lib/devfsadm/linkmod/SUNW_zfs_link.so group=sys
 file path=usr/lib/fs/zfs/bootinstall mode=0555
 file path=usr/lib/fs/zfs/fstyp.so.1 mode=0555
 file path=usr/lib/libzfs_jni.so.1
 $(i386_ONLY)file path=usr/lib/libzpool.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/zfs.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/kvm/$(ARCH64)/zfs.so group=sys mode=0555
 $(i386_ONLY)file path=usr/lib/mdb/kvm/zfs.so group=sys mode=0555
-file path=usr/lib/mdb/proc/$(ARCH64)/libzpool.so group=sys mode=0555
+$(BUILD64)file path=usr/lib/mdb/proc/$(ARCH64)/libzpool.so group=sys mode=0555
 file path=usr/lib/mdb/proc/libzpool.so group=sys mode=0555
 file path=usr/lib/python2.6/vendor-packages/zfs/__init__.py
 file path=usr/lib/python2.6/vendor-packages/zfs/__init__.pyc
@@ -132,7 +133,7 @@
 file path=usr/lib/zfs/pyzfs.py mode=0555
 file path=usr/lib/zfs/pyzfs.pyc mode=0555
 $(i386_ONLY)file path=usr/sbin/$(ARCH32)/zdb mode=0555
-file path=usr/sbin/$(ARCH64)/zdb mode=0555
+$(BUILD64)file path=usr/sbin/$(ARCH64)/zdb mode=0555
 file path=usr/sbin/zstreamdump mode=0555
 file path=usr/share/man/man1m/zdb.1m
 file path=usr/share/man/man1m/zfs.1m
@@ -153,23 +154,23 @@
     license=usr/src/uts/common/fs/zfs/THIRDPARTYLICENSE.lz4
 link path=etc/fs/zfs/mount target=../../../sbin/zfs
 link path=etc/fs/zfs/umount target=../../../sbin/zfs
-link path=lib/$(ARCH64)/libzfs.so target=libzfs.so.1
-link path=lib/$(ARCH64)/libzfs_core.so target=libzfs_core.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libzfs.so target=libzfs.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libzfs_core.so target=libzfs_core.so.1
 link path=lib/libzfs.so target=libzfs.so.1
 link path=lib/libzfs_core.so target=libzfs_core.so.1
-link path=usr/lib/$(ARCH64)/libzfs.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs.so \
     target=../../../lib/$(ARCH64)/libzfs.so.1
-link path=usr/lib/$(ARCH64)/libzfs.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs.so.1 \
     target=../../../lib/$(ARCH64)/libzfs.so.1
-link path=usr/lib/$(ARCH64)/libzfs_core.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs_core.so \
     target=../../../lib/$(ARCH64)/libzfs_core.so.1
-link path=usr/lib/$(ARCH64)/libzfs_core.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs_core.so.1 \
     target=../../../lib/$(ARCH64)/libzfs_core.so.1
-link path=usr/lib/$(ARCH64)/libzfs_jni.so target=libzfs_jni.so.1
-link path=usr/lib/$(ARCH64)/libzpool.so target=libzpool.so.1
-link path=usr/lib/$(ARCH64)/llib-lzfs.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzfs_jni.so target=libzfs_jni.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzpool.so target=libzpool.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lzfs.ln \
     target=../../../lib/$(ARCH64)/llib-lzfs.ln
-link path=usr/lib/$(ARCH64)/llib-lzfs_core.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lzfs_core.ln \
     target=../../../lib/$(ARCH64)/llib-lzfs_core.ln
 link path=usr/lib/fs/zfs/mount target=../../../../sbin/zfs
 link path=usr/lib/fs/zfs/umount target=../../../../sbin/zfs
--- old/usr/src/pkg/manifests/system-fru-id.mf	2014-04-11 13:24:15.816009172 +0100
+++ new/usr/src/pkg/manifests/system-fru-id.mf	2014-04-11 13:24:15.824649160 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/fru-id@$(PKGVERS)
@@ -31,15 +32,15 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 $(sparc_ONLY)dir path=usr/sbin
 dir path=usr/share/man/man1m
-file path=usr/lib/$(ARCH64)/libfru.so.1
-$(sparc_ONLY)file path=usr/lib/$(ARCH64)/libfrupicl.so.1
-file path=usr/lib/$(ARCH64)/libfruraw.so.1
-file path=usr/lib/$(ARCH64)/libfrureg.so.1
-file path=usr/lib/$(ARCH64)/libfruutils.so.1
-file path=usr/lib/$(ARCH64)/libnvfru.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfru.so.1
+$(sparc_BUILD64)file path=usr/lib/$(ARCH64)/libfrupicl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfruraw.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfrureg.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfruutils.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libnvfru.so.1
 file path=usr/lib/libfru.so.1
 $(sparc_ONLY)file path=usr/lib/libfrupicl.so.1
 $(sparc_ONLY)file path=usr/lib/libfrupicltree.so.1
@@ -53,13 +54,13 @@
     name="FRU ID Utility and Library (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libfru.so target=./libfru.so.1
-$(sparc_ONLY)link path=usr/lib/$(ARCH64)/libfrupicl.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfru.so target=./libfru.so.1
+$(sparc_BUILD64)link path=usr/lib/$(ARCH64)/libfrupicl.so \
     target=./libfrupicl.so.1
-link path=usr/lib/$(ARCH64)/libfruraw.so target=./libfruraw.so.1
-link path=usr/lib/$(ARCH64)/libfrureg.so target=./libfrureg.so.1
-link path=usr/lib/$(ARCH64)/libfruutils.so target=./libfruutils.so.1
-link path=usr/lib/$(ARCH64)/libnvfru.so target=./libnvfru.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfruraw.so target=./libfruraw.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfrureg.so target=./libfrureg.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfruutils.so target=./libfruutils.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnvfru.so target=./libnvfru.so.1
 link path=usr/lib/libfru.so target=./libfru.so.1
 $(sparc_ONLY)link path=usr/lib/libfrupicl.so target=./libfrupicl.so.1
 $(sparc_ONLY)link path=usr/lib/libfrupicltree.so target=./libfrupicltree.so.1
--- old/usr/src/pkg/manifests/system-header-header-agp.mf	2014-04-11 13:24:16.007514576 +0100
+++ new/usr/src/pkg/manifests/system-header-header-agp.mf	2014-04-11 13:24:16.015499992 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/header/header-agp@$(PKGVERS)
@@ -33,7 +34,7 @@
 dir path=usr/include
 dir path=usr/include/sys
 dir path=usr/include/sys/agp
-file path=usr/include/sys/agp/agp$(ARCH64)gart_io.h
+$(BUILD64)file path=usr/include/sys/agp/agp$(ARCH64)gart_io.h
 file path=usr/include/sys/agp/agpdefs.h
 file path=usr/include/sys/agp/agpgart_impl.h
 file path=usr/include/sys/agp/agpmaster_io.h
--- old/usr/src/pkg/manifests/system-header.mf	2014-04-11 13:24:16.200949545 +0100
+++ new/usr/src/pkg/manifests/system-header.mf	2014-04-11 13:24:16.210627911 +0100
@@ -24,6 +24,7 @@
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2013 Garrett D'Amore <garrett@damore.org>
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/header@$(PKGVERS)
@@ -34,8 +35,8 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/include
-$(i386_ONLY)dir path=usr/include/$(ARCH64)
-$(i386_ONLY)dir path=usr/include/$(ARCH64)/sys
+$(i386_BUILD64)dir path=usr/include/$(ARCH64)
+$(i386_BUILD64)dir path=usr/include/$(ARCH64)/sys
 dir path=usr/include/arpa
 dir path=usr/include/asm
 dir path=usr/include/ast
@@ -188,9 +189,9 @@
 $(sparc_ONLY)dir path=usr/share/src/uts/sun4v
 dir path=usr/xpg4
 dir path=usr/xpg4/include
-$(i386_ONLY)file path=usr/include/$(ARCH64)/sys/kdi_regs.h
-$(i386_ONLY)file path=usr/include/$(ARCH64)/sys/privmregs.h
-$(i386_ONLY)file path=usr/include/$(ARCH64)/sys/privregs.h
+$(i386_BUILD64)file path=usr/include/$(ARCH64)/sys/kdi_regs.h
+$(i386_BUILD64)file path=usr/include/$(ARCH64)/sys/privmregs.h
+$(i386_BUILD64)file path=usr/include/$(ARCH64)/sys/privregs.h
 file path=usr/include/aio.h
 file path=usr/include/alloca.h
 file path=usr/include/apptrace.h
--- old/usr/src/pkg/manifests/system-ldoms.mf	2014-04-11 13:24:16.442491804 +0100
+++ new/usr/src/pkg/manifests/system-ldoms.mf	2014-04-11 13:24:16.449520124 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -50,7 +51,7 @@
 dir path=platform/sun4v/kernel/misc/$(ARCH64) group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/ldoms
 dir path=usr/lib/rcm
 dir path=usr/lib/rcm/scripts
@@ -95,8 +96,8 @@
 file path=platform/sun4v/kernel/misc/$(ARCH64)/fault_iso group=sys mode=0755
 file path=platform/sun4v/kernel/misc/$(ARCH64)/ldc group=sys mode=0755
 file path=platform/sun4v/kernel/misc/$(ARCH64)/platsvc group=sys mode=0755
-file path=usr/lib/$(ARCH64)/libds.so.1
-file path=usr/lib/$(ARCH64)/libpri.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libds.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpri.so.1
 file path=usr/lib/ldoms/drd mode=0555
 file path=usr/lib/ldoms/ldmad mode=0555
 file path=usr/lib/ldoms/vntsd mode=0555
--- old/usr/src/pkg/manifests/system-library-install-libinstzones.mf	2014-04-11 13:24:16.644255009 +0100
+++ new/usr/src/pkg/manifests/system-library-install-libinstzones.mf	2014-04-11 13:24:16.653401529 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/install/libinstzones@$(PKGVERS)
@@ -33,11 +34,12 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 file path=usr/include/instzones_api.h
 legacy pkg=SUNWinstallint desc="Solaris Install internal files" \
     name="Solaris Install Internal Files"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libinstzones.so target=./libinstzones.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libinstzones.so \
+    target=./libinstzones.so.1
 link path=usr/lib/libinstzones.so target=./libinstzones.so.1
--- old/usr/src/pkg/manifests/system-library-libdiskmgt.mf	2014-04-11 13:24:16.839318785 +0100
+++ new/usr/src/pkg/manifests/system-library-libdiskmgt.mf	2014-04-11 13:24:16.847986669 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/libdiskmgt@$(PKGVERS)
@@ -31,9 +32,9 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-file path=usr/lib/$(ARCH64)/libdiskmgt.so.1
-file path=usr/lib/$(ARCH64)/llib-ldiskmgt.ln
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdiskmgt.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ldiskmgt.ln
 file path=usr/lib/libdiskmgt.so.1
 file path=usr/lib/llib-ldiskmgt
 file path=usr/lib/llib-ldiskmgt.ln
@@ -41,5 +42,5 @@
     name="Storage Management APIs"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libdiskmgt.so target=./libdiskmgt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdiskmgt.so target=./libdiskmgt.so.1
 link path=usr/lib/libdiskmgt.so target=./libdiskmgt.so.1
--- old/usr/src/pkg/manifests/system-library-libfcoe.mf	2014-04-11 13:24:17.029363098 +0100
+++ new/usr/src/pkg/manifests/system-library-libfcoe.mf	2014-04-11 13:24:17.037486946 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/libfcoe@$(PKGVERS)
@@ -33,12 +34,12 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man/man3fcoe
 dir path=usr/share/man/man3lib
 file path=usr/include/libfcoe.h
-file path=usr/lib/$(ARCH64)/libfcoe.so.1
-file path=usr/lib/$(ARCH64)/llib-lfcoe.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfcoe.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lfcoe.ln
 file path=usr/lib/libfcoe.so.1
 file path=usr/lib/llib-lfcoe
 file path=usr/lib/llib-lfcoe.ln
@@ -51,5 +52,5 @@
     name="Sun FCoE Port Management Library"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libfcoe.so target=libfcoe.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfcoe.so target=libfcoe.so.1
 link path=usr/lib/libfcoe.so target=libfcoe.so.1
--- old/usr/src/pkg/manifests/system-library-security-gss-diffie-hellman.mf	2014-04-11 13:24:17.223651158 +0100
+++ new/usr/src/pkg/manifests/system-library-security-gss-diffie-hellman.mf	2014-04-11 13:24:17.231998390 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -33,12 +34,12 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
-file path=usr/lib/$(ARCH64)/gss/dh1024-0.so.1
-file path=usr/lib/$(ARCH64)/gss/dh640-0.so.1
-file path=usr/lib/$(ARCH64)/gss/mech_dh.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/dh1024-0.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/dh640-0.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/mech_dh.so.1
 file path=usr/lib/gss/dh1024-0.so.1
 file path=usr/lib/gss/dh640-0.so.1
 file path=usr/lib/gss/mech_dh.so.1
@@ -47,9 +48,9 @@
     name="GSS Diffie-Hellman"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/gss/dh1024-0.so target=dh1024-0.so.1
-link path=usr/lib/$(ARCH64)/gss/dh640-0.so target=dh640-0.so.1
-link path=usr/lib/$(ARCH64)/gss/mech_dh.so target=mech_dh.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/dh1024-0.so target=dh1024-0.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/dh640-0.so target=dh640-0.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/mech_dh.so target=mech_dh.so.1
 link path=usr/lib/gss/dh1024-0.so target=dh1024-0.so.1
 link path=usr/lib/gss/dh640-0.so target=dh640-0.so.1
 link path=usr/lib/gss/mech_dh.so target=mech_dh.so.1
--- old/usr/src/pkg/manifests/system-library-security-gss-spnego.mf	2014-04-11 13:24:17.418665507 +0100
+++ new/usr/src/pkg/manifests/system-library-security-gss-spnego.mf	2014-04-11 13:24:17.426895178 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/security/gss/spnego@$(PKGVERS)
@@ -31,12 +32,12 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
 dir path=usr/share/man
 dir path=usr/share/man/man5
-file path=usr/lib/$(ARCH64)/gss/mech_spnego.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/mech_spnego.so.1
 file path=usr/lib/gss/mech_spnego.so.1
 file path=usr/share/man/man5/mech_spnego.5
 legacy pkg=SUNWspnego desc="SPNEGO GSS-API Mechanism" \
--- old/usr/src/pkg/manifests/system-library-security-gss.mf	2014-04-11 13:24:17.612352374 +0100
+++ new/usr/src/pkg/manifests/system-library-security-gss.mf	2014-04-11 13:24:17.621302897 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/security/gss@$(PKGVERS)
@@ -32,20 +33,20 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
 dir path=usr/lib/sasl
-dir path=usr/lib/sasl/$(ARCH64)
+$(BUILD64)dir path=usr/lib/sasl/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man/man1m
 dir path=usr/share/man/man3gss
 dir path=usr/share/man/man3lib
-file path=usr/lib/$(ARCH64)/libgss.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libgss.so.1
 file path=usr/lib/gss/gsscred_clean group=sys mode=0744
 file path=usr/lib/gss/gssd mode=0555
 file path=usr/lib/libgss.so.1
-file path=usr/lib/sasl/$(ARCH64)/gssapi.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/gssapi.so.1
 file path=usr/lib/sasl/gssapi.so.1
 file path=usr/sbin/gsscred group=sys mode=0555
 file path=usr/share/man/man1m/gsscred.1m
@@ -100,5 +101,5 @@
     license=usr/src/lib/sasl_plugins/gssapi/THIRDPARTYLICENSE
 license usr/src/uts/common/gssapi/mechs/krb5/THIRDPARTYLICENSE \
     license=usr/src/uts/common/gssapi/mechs/krb5/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libgss.so target=libgss.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libgss.so target=libgss.so.1
 link path=usr/lib/libgss.so target=libgss.so.1
--- old/usr/src/pkg/manifests/system-library-security-libsasl.mf	2014-04-11 13:24:17.807992853 +0100
+++ new/usr/src/pkg/manifests/system-library-security-libsasl.mf	2014-04-11 13:24:17.816490365 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/security/libsasl@$(PKGVERS)
@@ -34,9 +35,9 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/sasl
-dir path=usr/lib/sasl/$(ARCH64)
+$(BUILD64)dir path=usr/lib/sasl/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man3lib
 dir path=usr/share/man/man3proc
@@ -45,12 +46,12 @@
 dir path=usr/share/man/man3rpc
 dir path=usr/share/man/man3sasl
 dir path=usr/share/man/man4
-file path=usr/lib/$(ARCH64)/libsasl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsasl.so.1
 file path=usr/lib/libsasl.so.1
-file path=usr/lib/sasl/$(ARCH64)/crammd5.so.1
-file path=usr/lib/sasl/$(ARCH64)/digestmd5.so.1
-file path=usr/lib/sasl/$(ARCH64)/login.so.1
-file path=usr/lib/sasl/$(ARCH64)/plain.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/crammd5.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/digestmd5.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/login.so.1
+$(BUILD64)file path=usr/lib/sasl/$(ARCH64)/plain.so.1
 file path=usr/lib/sasl/crammd5.so.1
 file path=usr/lib/sasl/digestmd5.so.1
 file path=usr/lib/sasl/login.so.1
@@ -128,7 +129,7 @@
 license cr_Sun license=cr_Sun
 license usr/src/lib/libsasl/THIRDPARTYLICENSE \
     license=usr/src/lib/libsasl/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libsasl.so target=libsasl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsasl.so target=libsasl.so.1
 link path=usr/lib/libsasl.so target=libsasl.so.1
 link path=usr/share/man/man3proc/ps_kill.3proc target=ps_pstop.3proc
 link path=usr/share/man/man3proc/ps_lcontinue.3proc target=ps_pstop.3proc
--- old/usr/src/pkg/manifests/system-library-security-rpcsec.mf	2014-04-11 13:24:18.006139365 +0100
+++ new/usr/src/pkg/manifests/system-library-security-rpcsec.mf	2014-04-11 13:24:18.014898186 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/security/rpcsec@$(PKGVERS)
@@ -31,11 +32,11 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-file path=usr/lib/$(ARCH64)/rpcsec.so.1
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)file path=usr/lib/$(ARCH64)/rpcsec.so.1
 file path=usr/lib/rpcsec.so.1
 legacy pkg=SUNWrsg desc="GSS-API services for ONC RPC" name=RPCSEC_GSS
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/rpcsec.so target=rpcsec.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/rpcsec.so target=rpcsec.so.1
 link path=usr/lib/rpcsec.so target=rpcsec.so.1
--- old/usr/src/pkg/manifests/system-library-storage-fibre-channel-hbaapi.mf	2014-04-11 13:24:18.199339319 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-fibre-channel-hbaapi.mf	2014-04-11 13:24:18.207343958 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -35,12 +36,12 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man4
 file path=etc/hba.conf original_name=SUNWcfcl:etc/hba.conf preserve=true
 file path=usr/include/hbaapi.h
-file path=usr/lib/$(ARCH64)/libHBAAPI.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libHBAAPI.so.1
 file path=usr/lib/libHBAAPI.so.1
 file path=usr/share/man/man4/hba.conf.4
 legacy pkg=SUNWcfcl \
@@ -53,6 +54,6 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/hbaapi/THIRDPARTYLICENSE \
     license=usr/src/lib/hbaapi/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libHBAAPI.so target=libHBAAPI.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libHBAAPI.so target=libHBAAPI.so.1
 link path=usr/lib/libHBAAPI.so target=libHBAAPI.so.1
 depend fmri=system/library/storage/fibre-channel/libsun_fc type=require
--- old/usr/src/pkg/manifests/system-library-storage-fibre-channel-libsun_fc.mf	2014-04-11 13:24:18.394866604 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-fibre-channel-libsun_fc.mf	2014-04-11 13:24:18.403269586 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -34,8 +35,8 @@
 dir path=etc group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-file path=usr/lib/$(ARCH64)/libsun_fc.so.1
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsun_fc.so.1
 file path=usr/lib/libsun_fc.so.1
 legacy pkg=SUNWfchba desc="SNIA HBA library for Sun Fibre Channel adapters" \
     name="Sun Fibre Channel Host Bus Adapter Library"
@@ -44,5 +45,5 @@
     name="Sun Fibre Channel Host Bus Adapter Library (root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libsun_fc.so target=libsun_fc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsun_fc.so target=libsun_fc.so.1
 link path=usr/lib/libsun_fc.so target=libsun_fc.so.1
--- old/usr/src/pkg/manifests/system-library-storage-ima-header-ima.mf	2014-04-11 13:24:18.591410034 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-ima-header-ima.mf	2014-04-11 13:24:18.599756650 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/ima/header-ima@$(PKGVERS)
@@ -34,11 +35,11 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 file path=etc/ima.conf original_name=SUNWimac:etc/ima.conf preserve=true
 file path=usr/include/ima.h
 file path=usr/include/libsun_ima.h
-file path=usr/lib/$(ARCH64)/libima.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libima.so.1
 file path=usr/lib/libima.so.1
 legacy pkg=SUNWimac \
     desc="SNIA iSCSI Managment API common library for iSCSI adapters" \
@@ -50,6 +51,6 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/libima/THIRDPARTYLICENSE \
     license=usr/src/lib/libima/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libima.so target=libima.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libima.so target=libima.so.1
 link path=usr/lib/libima.so target=libima.so.1
 depend fmri=system/library/storage/ima type=require
--- old/usr/src/pkg/manifests/system-library-storage-ima.mf	2014-04-11 13:24:18.813863558 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-ima.mf	2014-04-11 13:24:18.823099384 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/ima@$(PKGVERS)
@@ -33,10 +34,10 @@
 dir path=etc group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-file path=usr/lib/$(ARCH64)/libsun_ima.so.1
-file path=usr/lib/$(ARCH64)/llib-lima.ln
-file path=usr/lib/$(ARCH64)/llib-lsun_ima.ln
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsun_ima.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lima.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsun_ima.ln
 file path=usr/lib/libsun_ima.so.1
 file path=usr/lib/llib-lima
 file path=usr/lib/llib-lima.ln
@@ -52,5 +53,5 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/libima/THIRDPARTYLICENSE \
     license=usr/src/lib/libima/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libsun_ima.so target=libsun_ima.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsun_ima.so target=libsun_ima.so.1
 link path=usr/lib/libsun_ima.so target=libsun_ima.so.1
--- old/usr/src/pkg/manifests/system-library-storage-libmpapi.mf	2014-04-11 13:24:19.005016523 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-libmpapi.mf	2014-04-11 13:24:19.013459920 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/libmpapi@$(PKGVERS)
@@ -33,7 +34,7 @@
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys variant.opensolaris.zone=global
 dir path=lib variant.opensolaris.zone=global
-dir path=lib/$(ARCH64) variant.opensolaris.zone=global
+$(BUILD64)dir path=lib/$(ARCH64) variant.opensolaris.zone=global
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/share/man
@@ -41,8 +42,10 @@
 dir path=usr/share/man/man3mpapi
 dir path=usr/share/man/man4
 file path=etc/mpapi.conf original_name=SUNWmpapi:etc/mpapi.conf preserve=true
-file path=lib/$(ARCH64)/libMPAPI.so.1 variant.opensolaris.zone=global
-file path=lib/$(ARCH64)/llib-lMPAPI.ln variant.opensolaris.zone=global
+$(BUILD64)file path=lib/$(ARCH64)/libMPAPI.so.1 \
+    variant.opensolaris.zone=global
+$(BUILD64)file path=lib/$(ARCH64)/llib-lMPAPI.ln \
+    variant.opensolaris.zone=global
 file path=lib/libMPAPI.so.1 variant.opensolaris.zone=global
 file path=lib/llib-lMPAPI variant.opensolaris.zone=global
 file path=lib/llib-lMPAPI.ln variant.opensolaris.zone=global
@@ -106,7 +109,7 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/mpapi/libmpapi/THIRDPARTYLICENSE \
     license=usr/src/lib/mpapi/libmpapi/THIRDPARTYLICENSE
-link path=lib/$(ARCH64)/libMPAPI.so target=libMPAPI.so.1 \
+$(BUILD64)link path=lib/$(ARCH64)/libMPAPI.so target=libMPAPI.so.1 \
     variant.opensolaris.zone=global
 link path=lib/libMPAPI.so target=libMPAPI.so.1 variant.opensolaris.zone=global
 link path=usr/share/man/man3lib/libmpapi.3lib target=libMPAPI.3lib
--- old/usr/src/pkg/manifests/system-library-storage-libmpscsi_vhci.mf	2014-04-11 13:24:19.207261890 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-libmpscsi_vhci.mf	2014-04-11 13:24:19.215573955 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -38,13 +39,13 @@
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys
 dir path=lib
-dir path=lib/$(ARCH64)
-file path=lib/$(ARCH64)/libmpscsi_vhci.so.1
+$(BUILD64)dir path=lib/$(ARCH64)
+$(BUILD64)file path=lib/$(ARCH64)/libmpscsi_vhci.so.1
 file path=lib/libmpscsi_vhci.so.1
 legacy pkg=SUNWmpsvplr \
     desc="SNIA MP API plugin library for the scsi_vhci driver (Root)" \
     name="Sun MP API library for the scsi_vhci driver (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=lib/$(ARCH64)/libmpscsi_vhci.so target=libmpscsi_vhci.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libmpscsi_vhci.so target=libmpscsi_vhci.so.1
 link path=lib/libmpscsi_vhci.so target=libmpscsi_vhci.so.1
--- old/usr/src/pkg/manifests/system-library-storage-scsi-plugins.mf	2014-04-11 13:24:19.406343579 +0100
+++ new/usr/src/pkg/manifests/system-library-storage-scsi-plugins.mf	2014-04-11 13:24:19.413737944 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/library/storage/scsi-plugins@$(PKGVERS)
@@ -35,11 +36,14 @@
 dir path=usr/lib/scsi/plugins
 dir path=usr/lib/scsi/plugins/ses
 dir path=usr/lib/scsi/plugins/ses/vendor
-dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
-file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.0.so
-file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4400.so
-file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4500.so
-file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN.so
+$(BUILD64)dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
+$(BUILD64)file \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.0.so
+$(BUILD64)file \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4400.so
+$(BUILD64)file \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4500.so
+$(BUILD64)file path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN.so
 file path=usr/lib/scsi/plugins/ses/vendor/LSILOGIC-SASX28-A.0.so
 file path=usr/lib/scsi/plugins/ses/vendor/SUN-Storage-J4400.so
 file path=usr/lib/scsi/plugins/ses/vendor/SUN-Storage-J4500.so
@@ -48,9 +52,11 @@
     name="SCSI/SES plugins"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.1.so \
+$(BUILD64)link \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/LSILOGIC-SASX28-A.1.so \
     target=LSILOGIC-SASX28-A.0.so
-link path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4200.so \
+$(BUILD64)link \
+    path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)/SUN-Storage-J4200.so \
     target=SUN-Storage-J4400.so
 link path=usr/lib/scsi/plugins/ses/vendor/LSILOGIC-SASX28-A.1.so \
     target=LSILOGIC-SASX28-A.0.so
--- old/usr/src/pkg/manifests/system-library.mf	2014-04-11 13:24:19.604402118 +0100
+++ new/usr/src/pkg/manifests/system-library.mf	2014-04-11 13:24:19.612382962 +0100
@@ -24,6 +24,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Copyright (c) 2013 Gary Mills
+# Copyright 2014 Andrew Stormont.
 #
 
 <include system-library.man3.inc>
@@ -78,48 +79,48 @@
 $(i386_ONLY)dir path=etc/flash/precreation group=sys mode=0700
 $(i386_ONLY)dir path=etc/flash/preexit group=sys mode=0700
 dir path=lib
-dir path=lib/$(ARCH64)
+$(BUILD64)dir path=lib/$(ARCH64)
 dir path=lib/crypto
-dir path=lib/crypto/$(ARCH64)
+$(BUILD64)dir path=lib/crypto/$(ARCH64)
 dir path=lib/mpxio
 dir path=lib/secure
-dir path=lib/secure/$(ARCH64)
+$(BUILD64)dir path=lib/secure/$(ARCH64)
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/ccs
 dir path=usr/ccs/lib
-dir path=usr/ccs/lib/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/lib/$(ARCH64)
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/cfgadm
-dir path=usr/lib/cfgadm/$(ARCH64)
-dir path=usr/lib/iconv/$(ARCH64)
+$(BUILD64)dir path=usr/lib/cfgadm/$(ARCH64)
+$(BUILD64)dir path=usr/lib/iconv/$(ARCH64)
 $(i386_ONLY)dir path=usr/lib/libc
 dir path=usr/lib/lwp
-dir path=usr/lib/lwp/$(ARCH64)
+$(BUILD64)dir path=usr/lib/lwp/$(ARCH64)
 dir path=usr/lib/python2.6
 dir path=usr/lib/python2.6/vendor-packages
 dir path=usr/lib/python2.6/vendor-packages/solaris
 dir path=usr/lib/raidcfg
-dir path=usr/lib/raidcfg/$(ARCH64)
+$(BUILD64)dir path=usr/lib/raidcfg/$(ARCH64)
 dir path=usr/lib/scsi
-dir path=usr/lib/scsi/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/$(ARCH64)
 dir path=usr/lib/scsi/plugins
 dir path=usr/lib/scsi/plugins/scsi
 dir path=usr/lib/scsi/plugins/scsi/engines
-dir path=usr/lib/scsi/plugins/scsi/engines/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/plugins/scsi/engines/$(ARCH64)
 dir path=usr/lib/scsi/plugins/ses
 dir path=usr/lib/scsi/plugins/ses/framework
-dir path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)
 dir path=usr/lib/scsi/plugins/ses/vendor
-$(sparc_ONLY)dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
+$(sparc_BUILD64)dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
 dir path=usr/lib/scsi/plugins/smp
 dir path=usr/lib/scsi/plugins/smp/engine
-dir path=usr/lib/scsi/plugins/smp/engine/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/plugins/smp/engine/$(ARCH64)
 dir path=usr/lib/scsi/plugins/smp/framework
-dir path=usr/lib/scsi/plugins/smp/framework/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/plugins/smp/framework/$(ARCH64)
 dir path=usr/lib/security
-dir path=usr/lib/security/$(ARCH64)
+$(BUILD64)dir path=usr/lib/security/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man3
 dir path=usr/share/man/man3bsm
@@ -163,80 +164,80 @@
 dir path=usr/share/man/man7p
 dir path=usr/xpg4
 dir path=usr/xpg4/lib
-dir path=usr/xpg4/lib/$(ARCH64)
+$(BUILD64)dir path=usr/xpg4/lib/$(ARCH64)
 $(i386_ONLY)file path=etc/flash/precreation/caplib group=sys mode=0500
-file path=lib/$(ARCH64)/c_synonyms.so.1
-file path=lib/$(ARCH64)/ld.so.1
-file path=lib/$(ARCH64)/libadm.so.1
-file path=lib/$(ARCH64)/libaio.so.1
-file path=lib/$(ARCH64)/libavl.so.1
-file path=lib/$(ARCH64)/libbsm.so.1
-file path=lib/$(ARCH64)/libc.so.1
-file path=lib/$(ARCH64)/libc_db.so.1
-file path=lib/$(ARCH64)/libcmdutils.so.1
-file path=lib/$(ARCH64)/libcontract.so.1
-file path=lib/$(ARCH64)/libcryptoutil.so.1
-file path=lib/$(ARCH64)/libctf.so.1
-file path=lib/$(ARCH64)/libcurses.so.1
-file path=lib/$(ARCH64)/libdevice.so.1
-file path=lib/$(ARCH64)/libdevid.so.1
-file path=lib/$(ARCH64)/libdevinfo.so.1
-file path=lib/$(ARCH64)/libdhcputil.so.1
-file path=lib/$(ARCH64)/libdl.so.1
-file path=lib/$(ARCH64)/libdladm.so.1
-file path=lib/$(ARCH64)/libdlpi.so.1
-file path=lib/$(ARCH64)/libdoor.so.1
-file path=lib/$(ARCH64)/libefi.so.1
-file path=lib/$(ARCH64)/libelf.so.1
-$(i386_ONLY)file path=lib/$(ARCH64)/libfdisk.so.1
-file path=lib/$(ARCH64)/libgen.so.1
-file path=lib/$(ARCH64)/libinetutil.so.1
-file path=lib/$(ARCH64)/libintl.so.1
-file path=lib/$(ARCH64)/libkmf.so.1
-file path=lib/$(ARCH64)/libkmfberder.so.1
-file path=lib/$(ARCH64)/libkstat.so.1
-file path=lib/$(ARCH64)/libld.so.4
-file path=lib/$(ARCH64)/liblddbg.so.4
-file path=lib/$(ARCH64)/libmd.so.1
-file path=lib/$(ARCH64)/libmd5.so.1
-file path=lib/$(ARCH64)/libmp.so.2
-file path=lib/$(ARCH64)/libnsl.so.1
-file path=lib/$(ARCH64)/libnvpair.so.1
-file path=lib/$(ARCH64)/libpam.so.1
-file path=lib/$(ARCH64)/libproc.so.1
-file path=lib/$(ARCH64)/libpthread.so.1
-file path=lib/$(ARCH64)/librcm.so.1
-file path=lib/$(ARCH64)/libresolv.so.2
-file path=lib/$(ARCH64)/librestart.so.1
-file path=lib/$(ARCH64)/librpcsvc.so.1
-file path=lib/$(ARCH64)/librt.so.1
-file path=lib/$(ARCH64)/librtld.so.1
-file path=lib/$(ARCH64)/librtld_db.so.1
-file path=lib/$(ARCH64)/libscf.so.1
-file path=lib/$(ARCH64)/libsec.so.1
-file path=lib/$(ARCH64)/libsecdb.so.1
-file path=lib/$(ARCH64)/libsendfile.so.1
-file path=lib/$(ARCH64)/libsocket.so.1
-file path=lib/$(ARCH64)/libsysevent.so.1
-file path=lib/$(ARCH64)/libtermcap.so.1
-file path=lib/$(ARCH64)/libthread.so.1
-file path=lib/$(ARCH64)/libtsnet.so.1
-file path=lib/$(ARCH64)/libtsol.so.2
-file path=lib/$(ARCH64)/libumem.so.1
-file path=lib/$(ARCH64)/libuuid.so.1
-file path=lib/$(ARCH64)/libuutil.so.1
-file path=lib/$(ARCH64)/libw.so.1
-file path=lib/$(ARCH64)/libxnet.so.1
-file path=lib/$(ARCH64)/nss_compat.so.1
-file path=lib/$(ARCH64)/nss_dns.so.1
-file path=lib/$(ARCH64)/nss_files.so.1
-file path=lib/$(ARCH64)/nss_nis.so.1
-file path=lib/$(ARCH64)/nss_user.so.1
+$(BUILD64)file path=lib/$(ARCH64)/c_synonyms.so.1
+$(BUILD64)file path=lib/$(ARCH64)/ld.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libadm.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libaio.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libavl.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libbsm.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libc.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libc_db.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libcmdutils.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libcontract.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libcryptoutil.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libctf.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libcurses.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdevice.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdevid.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdevinfo.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdhcputil.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdl.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdladm.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdlpi.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdoor.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libefi.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libelf.so.1
+$(i386_BUILD64)file path=lib/$(ARCH64)/libfdisk.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libgen.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libinetutil.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libintl.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libkmf.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libkmfberder.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libkstat.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libld.so.4
+$(BUILD64)file path=lib/$(ARCH64)/liblddbg.so.4
+$(BUILD64)file path=lib/$(ARCH64)/libmd.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libmd5.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libmp.so.2
+$(BUILD64)file path=lib/$(ARCH64)/libnsl.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libnvpair.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libpam.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libproc.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libpthread.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librcm.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libresolv.so.2
+$(BUILD64)file path=lib/$(ARCH64)/librestart.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librpcsvc.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librt.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librtld.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librtld_db.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libscf.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsec.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsecdb.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsendfile.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsocket.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsysevent.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libtermcap.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libthread.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libtsnet.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libtsol.so.2
+$(BUILD64)file path=lib/$(ARCH64)/libumem.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libuuid.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libuutil.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libw.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libxnet.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_compat.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_dns.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_files.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_nis.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_user.so.1
 file path=lib/c_synonyms.so.1
-file path=lib/crypto/$(ARCH64)/kmf_mapper_cn.so.1
-file path=lib/crypto/$(ARCH64)/kmf_nss.so.1
-file path=lib/crypto/$(ARCH64)/kmf_openssl.so.1
-file path=lib/crypto/$(ARCH64)/kmf_pkcs11.so.1
+$(BUILD64)file path=lib/crypto/$(ARCH64)/kmf_mapper_cn.so.1
+$(BUILD64)file path=lib/crypto/$(ARCH64)/kmf_nss.so.1
+$(BUILD64)file path=lib/crypto/$(ARCH64)/kmf_openssl.so.1
+$(BUILD64)file path=lib/crypto/$(ARCH64)/kmf_pkcs11.so.1
 file path=lib/crypto/kmf_mapper_cn.so.1
 file path=lib/crypto/kmf_nss.so.1
 file path=lib/crypto/kmf_openssl.so.1
@@ -316,70 +317,70 @@
 file path=lib/nss_files.so.1
 file path=lib/nss_nis.so.1
 file path=lib/nss_user.so.1
-file path=usr/lib/$(ARCH64)/0@0.so.1
-file path=usr/lib/$(ARCH64)/getloginx.so.1
-file path=usr/lib/$(ARCH64)/libadutils.so.1
-file path=usr/lib/$(ARCH64)/libast.so.1
-file path=usr/lib/$(ARCH64)/libbsdmalloc.so.1
-file path=usr/lib/$(ARCH64)/libcfgadm.so.1
-file path=usr/lib/$(ARCH64)/libcmd.so.1
-file path=usr/lib/$(ARCH64)/libcommputil.so.1
-file path=usr/lib/$(ARCH64)/libcrle.so.1
-file path=usr/lib/$(ARCH64)/libcrypt.so.1
-file path=usr/lib/$(ARCH64)/libdisasm.so.1
-file path=usr/lib/$(ARCH64)/libdll.so.1
-file path=usr/lib/$(ARCH64)/libexacct.so.1
-file path=usr/lib/$(ARCH64)/libform.so.1
-file path=usr/lib/$(ARCH64)/libfstyp.so.1
-file path=usr/lib/$(ARCH64)/libhotplug.so.1
-file path=usr/lib/$(ARCH64)/libidmap.so.1
-file path=usr/lib/$(ARCH64)/libike.so.1
-file path=usr/lib/$(ARCH64)/libipmi.so.1
-file path=usr/lib/$(ARCH64)/libipp.so.1
-file path=usr/lib/$(ARCH64)/libipsecutil.so.1
-file path=usr/lib/$(ARCH64)/libkvm.so.1
-file path=usr/lib/$(ARCH64)/libl.so.1
-file path=usr/lib/$(ARCH64)/libldap.so.5
-file path=usr/lib/$(ARCH64)/liblgrp.so.1
-file path=usr/lib/$(ARCH64)/liblm.so.1
-file path=usr/lib/$(ARCH64)/libmail.so.1
-file path=usr/lib/$(ARCH64)/libmalloc.so.1
-file path=usr/lib/$(ARCH64)/libmapmalloc.so.1
-file path=usr/lib/$(ARCH64)/libmenu.so.1
-file path=usr/lib/$(ARCH64)/libmtmalloc.so.1
-file path=usr/lib/$(ARCH64)/libnls.so.1
-file path=usr/lib/$(ARCH64)/libpanel.so.1
-file path=usr/lib/$(ARCH64)/libpcidb.so.1
-file path=usr/lib/$(ARCH64)/libpkcs11.so.1
-file path=usr/lib/$(ARCH64)/libproject.so.1
-file path=usr/lib/$(ARCH64)/libraidcfg.so.1
-file path=usr/lib/$(ARCH64)/libreparse.so.1
-$(i386_ONLY)file path=usr/lib/$(ARCH64)/libsaveargs.so.1
-file path=usr/lib/$(ARCH64)/libsched.so.1
-file path=usr/lib/$(ARCH64)/libsctp.so.1
-file path=usr/lib/$(ARCH64)/libshell.so.1
-file path=usr/lib/$(ARCH64)/libsip.so.1
-file path=usr/lib/$(ARCH64)/libsldap.so.1
-file path=usr/lib/$(ARCH64)/libsmbios.so.1
-file path=usr/lib/$(ARCH64)/libsoftcrypto.so.1
-file path=usr/lib/$(ARCH64)/libsum.so.1
-$(sparc_ONLY)file path=usr/lib/$(ARCH64)/libv12n.so.1
-file path=usr/lib/$(ARCH64)/libvolmgt.so.1
-file path=usr/lib/$(ARCH64)/libwrap.so.1.0
-file path=usr/lib/$(ARCH64)/liby.so.1
-file path=usr/lib/$(ARCH64)/libzoneinfo.so.1
-file path=usr/lib/$(ARCH64)/nss_ad.so.1
-file path=usr/lib/$(ARCH64)/nss_ldap.so.1
-file path=usr/lib/$(ARCH64)/passwdutil.so.1
-file path=usr/lib/$(ARCH64)/straddr.so.2
-file path=usr/lib/$(ARCH64)/watchmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/0@0.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/getloginx.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libadutils.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libast.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libbsdmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcfgadm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcmd.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcommputil.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcrle.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcrypt.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdisasm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdll.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libexacct.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libform.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfstyp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libhotplug.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libidmap.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libike.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libipmi.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libipp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libipsecutil.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libkvm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libldap.so.5
+$(BUILD64)file path=usr/lib/$(ARCH64)/liblgrp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/liblm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmail.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmapmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmenu.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmtmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libnls.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpanel.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpcidb.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpkcs11.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libproject.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libraidcfg.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libreparse.so.1
+$(i386_BUILD64)file path=usr/lib/$(ARCH64)/libsaveargs.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsched.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsctp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libshell.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsip.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsldap.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsmbios.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsoftcrypto.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsum.so.1
+$(sparc_BUILD64)file path=usr/lib/$(ARCH64)/libv12n.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libvolmgt.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libwrap.so.1.0
+$(BUILD64)file path=usr/lib/$(ARCH64)/liby.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzoneinfo.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/nss_ad.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/nss_ldap.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/passwdutil.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/straddr.so.2
+$(BUILD64)file path=usr/lib/$(ARCH64)/watchmalloc.so.1
 file path=usr/lib/0@0.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/ib.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/pci.so.1
-$(i386_ONLY)file path=usr/lib/cfgadm/$(ARCH64)/sata.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/scsi.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/shp.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/usb.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/ib.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/pci.so.1
+$(i386_BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/sata.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/scsi.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/shp.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/usb.so.1
 file path=usr/lib/cfgadm/ib.so.1
 file path=usr/lib/cfgadm/pci.so.1
 $(i386_ONLY)file path=usr/lib/cfgadm/sata.so.1
@@ -449,50 +450,50 @@
 file path=usr/lib/python2.6/vendor-packages/solaris/__init__.py
 file path=usr/lib/python2.6/vendor-packages/solaris/__init__.pyc
 file path=usr/lib/python2.6/vendor-packages/solaris/misc.so
-file path=usr/lib/raidcfg/$(ARCH64)/mpt.so.1
+$(BUILD64)file path=usr/lib/raidcfg/$(ARCH64)/mpt.so.1
 file path=usr/lib/raidcfg/mpt.so.1
-file path=usr/lib/scsi/$(ARCH64)/libscsi.so.1
-file path=usr/lib/scsi/$(ARCH64)/libses.so.1
-file path=usr/lib/scsi/$(ARCH64)/libsmp.so.1
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/libscsi.so.1
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/libses.so.1
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/libsmp.so.1
 file path=usr/lib/scsi/libscsi.so.1
 file path=usr/lib/scsi/libses.so.1
 file path=usr/lib/scsi/libsmp.so.1
-file path=usr/lib/scsi/plugins/scsi/engines/$(ARCH64)/uscsi.so
+$(BUILD64)file path=usr/lib/scsi/plugins/scsi/engines/$(ARCH64)/uscsi.so
 file path=usr/lib/scsi/plugins/scsi/engines/uscsi.so
-file path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)/libses.so
-file path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)/ses2.so
+$(BUILD64)file path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)/libses.so
+$(BUILD64)file path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)/ses2.so
 file path=usr/lib/scsi/plugins/ses/framework/libses.so
 file path=usr/lib/scsi/plugins/ses/framework/ses2.so
-file path=usr/lib/scsi/plugins/smp/engine/$(ARCH64)/usmp.so
+$(BUILD64)file path=usr/lib/scsi/plugins/smp/engine/$(ARCH64)/usmp.so
 file path=usr/lib/scsi/plugins/smp/engine/usmp.so
-file path=usr/lib/scsi/plugins/smp/framework/$(ARCH64)/sas2.so
+$(BUILD64)file path=usr/lib/scsi/plugins/smp/framework/$(ARCH64)/sas2.so
 file path=usr/lib/scsi/plugins/smp/framework/sas2.so
-file path=usr/lib/security/$(ARCH64)/crypt_bsdbf.so.1
-file path=usr/lib/security/$(ARCH64)/crypt_bsdmd5.so.1
-file path=usr/lib/security/$(ARCH64)/crypt_sha256.so.1
-file path=usr/lib/security/$(ARCH64)/crypt_sha512.so.1
-file path=usr/lib/security/$(ARCH64)/crypt_sunmd5.so.1
-file path=usr/lib/security/$(ARCH64)/pam_allow.so.1
-file path=usr/lib/security/$(ARCH64)/pam_authtok_check.so.1
-file path=usr/lib/security/$(ARCH64)/pam_authtok_get.so.1
-file path=usr/lib/security/$(ARCH64)/pam_authtok_store.so.1
-file path=usr/lib/security/$(ARCH64)/pam_deny.so.1
-file path=usr/lib/security/$(ARCH64)/pam_dhkeys.so.1
-file path=usr/lib/security/$(ARCH64)/pam_dial_auth.so.1
-file path=usr/lib/security/$(ARCH64)/pam_ldap.so.1
-file path=usr/lib/security/$(ARCH64)/pam_list.so.1
-file path=usr/lib/security/$(ARCH64)/pam_passwd_auth.so.1
-file path=usr/lib/security/$(ARCH64)/pam_rhosts_auth.so.1
-file path=usr/lib/security/$(ARCH64)/pam_roles.so.1
-file path=usr/lib/security/$(ARCH64)/pam_sample.so.1
-file path=usr/lib/security/$(ARCH64)/pam_tsol_account.so.1
-file path=usr/lib/security/$(ARCH64)/pam_unix_account.so.1
-file path=usr/lib/security/$(ARCH64)/pam_unix_auth.so.1
-file path=usr/lib/security/$(ARCH64)/pam_unix_cred.so.1
-file path=usr/lib/security/$(ARCH64)/pam_unix_session.so.1
-file path=usr/lib/security/$(ARCH64)/pkcs11_kernel.so.1
-file path=usr/lib/security/$(ARCH64)/pkcs11_softtoken.so.1
-file path=usr/lib/security/$(ARCH64)/pkcs11_tpm.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_bsdbf.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_bsdmd5.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_sha256.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_sha512.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_sunmd5.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_allow.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_authtok_check.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_authtok_get.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_authtok_store.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_deny.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_dhkeys.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_dial_auth.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_ldap.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_list.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_passwd_auth.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_rhosts_auth.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_roles.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_sample.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_tsol_account.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_unix_account.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_unix_auth.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_unix_cred.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_unix_session.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pkcs11_kernel.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pkcs11_softtoken.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pkcs11_tpm.so.1
 file path=usr/lib/security/audit_binfile.so.1
 file path=usr/lib/security/audit_remote.so.1
 file path=usr/lib/security/audit_syslog.so.1
@@ -525,8 +526,8 @@
 file path=usr/lib/straddr.so.2
 file path=usr/lib/watchmalloc.so.1
 # XXX: Obsoleted by open i18n?
-file path=usr/xpg4/lib/$(ARCH64)/libcurses.so.1
-file path=usr/xpg4/lib/$(ARCH64)/libcurses.so.2
+$(BUILD64)file path=usr/xpg4/lib/$(ARCH64)/libcurses.so.1
+$(BUILD64)file path=usr/xpg4/lib/$(ARCH64)/libcurses.so.2
 file path=usr/xpg4/lib/libcurses.so.1
 file path=usr/xpg4/lib/libcurses.so.2
 legacy pkg=SUNWcsl \
@@ -588,69 +589,69 @@
     license=usr/src/lib/pkcs11/pkcs11_tpm/THIRDPARTYLICENSE
 license usr/src/uts/common/sys/THIRDPARTYLICENSE.unicode \
     license=usr/src/uts/common/sys/THIRDPARTYLICENSE.unicode
-link path=lib/$(ARCH64)/libadm.so target=libadm.so.1
-link path=lib/$(ARCH64)/libaio.so target=libaio.so.1
-link path=lib/$(ARCH64)/libbsm.so target=libbsm.so.1
-link path=lib/$(ARCH64)/libc.so reboot-needed=true target=libc.so.1
-link path=lib/$(ARCH64)/libc_db.so target=libc_db.so.1
-link path=lib/$(ARCH64)/libcontract.so target=libcontract.so.1
-link path=lib/$(ARCH64)/libcryptoutil.so target=libcryptoutil.so.1
-link path=lib/$(ARCH64)/libctf.so target=libctf.so.1
-link path=lib/$(ARCH64)/libcurses.so target=libcurses.so.1
-link path=lib/$(ARCH64)/libdevice.so target=libdevice.so.1
-link path=lib/$(ARCH64)/libdevid.so target=libdevid.so.1
-link path=lib/$(ARCH64)/libdevinfo.so target=libdevinfo.so.1
-link path=lib/$(ARCH64)/libdl.so target=libdl.so.1
-link path=lib/$(ARCH64)/libdladm.so target=libdladm.so.1
-link path=lib/$(ARCH64)/libdlpi.so target=libdlpi.so.1
-link path=lib/$(ARCH64)/libdoor.so target=libdoor.so.1
-link path=lib/$(ARCH64)/libefi.so target=libefi.so.1
-link path=lib/$(ARCH64)/libelf.so target=libelf.so.1
-$(i386_ONLY)link path=lib/$(ARCH64)/libfdisk.so target=libfdisk.so.1
-link path=lib/$(ARCH64)/libgen.so target=libgen.so.1
-link path=lib/$(ARCH64)/libintl.so target=libintl.so.1
-link path=lib/$(ARCH64)/libkmf.so target=libkmf.so.1
-link path=lib/$(ARCH64)/libkmfberder.so target=libkmfberder.so.1
-link path=lib/$(ARCH64)/libkstat.so target=libkstat.so.1
-link path=lib/$(ARCH64)/libmd.so target=libmd.so.1
-link path=lib/$(ARCH64)/libmd5.so target=libmd5.so.1
-link path=lib/$(ARCH64)/libmp.so target=libmp.so.2
-link path=lib/$(ARCH64)/libnsl.so target=libnsl.so.1
-link path=lib/$(ARCH64)/libnvpair.so target=libnvpair.so.1
-link path=lib/$(ARCH64)/libpam.so target=libpam.so.1
-link path=lib/$(ARCH64)/libposix4.so target=libposix4.so.1
-link path=lib/$(ARCH64)/libposix4.so.1 target=librt.so.1
-link path=lib/$(ARCH64)/libproc.so target=libproc.so.1
-link path=lib/$(ARCH64)/libpthread.so target=libpthread.so.1
-link path=lib/$(ARCH64)/librcm.so target=librcm.so.1
-link path=lib/$(ARCH64)/libresolv.so target=libresolv.so.2
-link path=lib/$(ARCH64)/librestart.so target=librestart.so.1
-link path=lib/$(ARCH64)/librpcsvc.so target=librpcsvc.so.1
-link path=lib/$(ARCH64)/librt.so target=librt.so.1
-link path=lib/$(ARCH64)/librtld_db.so target=librtld_db.so.1
-link path=lib/$(ARCH64)/libscf.so target=libscf.so.1
-link path=lib/$(ARCH64)/libsec.so target=libsec.so.1
-link path=lib/$(ARCH64)/libsecdb.so target=libsecdb.so.1
-link path=lib/$(ARCH64)/libsendfile.so target=libsendfile.so.1
-link path=lib/$(ARCH64)/libsocket.so target=libsocket.so.1
-link path=lib/$(ARCH64)/libsysevent.so target=libsysevent.so.1
-link path=lib/$(ARCH64)/libtermcap.so target=libtermcap.so.1
-link path=lib/$(ARCH64)/libtermlib.so target=libtermlib.so.1
-link path=lib/$(ARCH64)/libtermlib.so.1 target=libcurses.so.1
-link path=lib/$(ARCH64)/libthread.so target=libthread.so.1
-link path=lib/$(ARCH64)/libthread_db.so target=libc_db.so.1
-link path=lib/$(ARCH64)/libthread_db.so.1 target=libc_db.so.1
-link path=lib/$(ARCH64)/libtsnet.so target=libtsnet.so.1
-link path=lib/$(ARCH64)/libtsol.so target=libtsol.so.2
-link path=lib/$(ARCH64)/libumem.so target=libumem.so.1
-link path=lib/$(ARCH64)/libuuid.so target=libuuid.so.1
-link path=lib/$(ARCH64)/libuutil.so target=libuutil.so.1
-link path=lib/$(ARCH64)/libw.so target=libw.so.1
-link path=lib/$(ARCH64)/libxnet.so target=libxnet.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libadm.so target=libadm.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libaio.so target=libaio.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libbsm.so target=libbsm.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libc.so reboot-needed=true target=libc.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libc_db.so target=libc_db.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libcontract.so target=libcontract.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libcryptoutil.so target=libcryptoutil.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libctf.so target=libctf.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libcurses.so target=libcurses.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdevice.so target=libdevice.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdevid.so target=libdevid.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdevinfo.so target=libdevinfo.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdl.so target=libdl.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdladm.so target=libdladm.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdlpi.so target=libdlpi.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdoor.so target=libdoor.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libefi.so target=libefi.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libelf.so target=libelf.so.1
+$(i386_BUILD64)link path=lib/$(ARCH64)/libfdisk.so target=libfdisk.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libgen.so target=libgen.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libintl.so target=libintl.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libkmf.so target=libkmf.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libkmfberder.so target=libkmfberder.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libkstat.so target=libkstat.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libmd.so target=libmd.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libmd5.so target=libmd5.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libmp.so target=libmp.so.2
+$(BUILD64)link path=lib/$(ARCH64)/libnsl.so target=libnsl.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libnvpair.so target=libnvpair.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libpam.so target=libpam.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libposix4.so target=libposix4.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libposix4.so.1 target=librt.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libproc.so target=libproc.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libpthread.so target=libpthread.so.1
+$(BUILD64)link path=lib/$(ARCH64)/librcm.so target=librcm.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libresolv.so target=libresolv.so.2
+$(BUILD64)link path=lib/$(ARCH64)/librestart.so target=librestart.so.1
+$(BUILD64)link path=lib/$(ARCH64)/librpcsvc.so target=librpcsvc.so.1
+$(BUILD64)link path=lib/$(ARCH64)/librt.so target=librt.so.1
+$(BUILD64)link path=lib/$(ARCH64)/librtld_db.so target=librtld_db.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libscf.so target=libscf.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsec.so target=libsec.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsecdb.so target=libsecdb.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsendfile.so target=libsendfile.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsocket.so target=libsocket.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsysevent.so target=libsysevent.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtermcap.so target=libtermcap.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtermlib.so target=libtermlib.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtermlib.so.1 target=libcurses.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libthread.so target=libthread.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libthread_db.so target=libc_db.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libthread_db.so.1 target=libc_db.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtsnet.so target=libtsnet.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtsol.so target=libtsol.so.2
+$(BUILD64)link path=lib/$(ARCH64)/libumem.so target=libumem.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libuuid.so target=libuuid.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libuutil.so target=libuutil.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libw.so target=libw.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libxnet.so target=libxnet.so.1
 link path=lib/32 target=.
-link path=lib/64 target=$(ARCH64)
+$(BUILD64)link path=lib/64 target=$(ARCH64)
 link path=lib/crypto/32 target=.
-link path=lib/crypto/64 target=$(ARCH64)
+$(BUILD64)link path=lib/crypto/64 target=$(ARCH64)
 link path=lib/libadm.so target=libadm.so.1
 link path=lib/libaio.so target=libaio.so.1
 link path=lib/libbsm.so target=libbsm.so.1
@@ -711,26 +712,26 @@
 link path=lib/libw.so target=libw.so.1
 link path=lib/libxnet.so target=libxnet.so.1
 link path=lib/secure/32 target=.
-link path=lib/secure/64 target=$(ARCH64)
-link path=usr/ccs/lib/$(ARCH64)/libcurses.so \
+$(BUILD64)link path=lib/secure/64 target=$(ARCH64)
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libcurses.so \
     target=../../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/ccs/lib/$(ARCH64)/libform.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libform.so \
     target=../../../lib/$(ARCH64)/libform.so.1
-link path=usr/ccs/lib/$(ARCH64)/libgen.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libgen.so \
     target=../../../../lib/$(ARCH64)/libgen.so.1
-link path=usr/ccs/lib/$(ARCH64)/libl.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libl.so \
     target=../../../lib/$(ARCH64)/libl.so.1
-link path=usr/ccs/lib/$(ARCH64)/libmalloc.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libmalloc.so \
     target=../../../lib/$(ARCH64)/libmalloc.so.1
-link path=usr/ccs/lib/$(ARCH64)/libmenu.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libmenu.so \
     target=../../../lib/$(ARCH64)/libmenu.so.1
-link path=usr/ccs/lib/$(ARCH64)/libpanel.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libpanel.so \
     target=../../../lib/$(ARCH64)/libpanel.so.1
-link path=usr/ccs/lib/$(ARCH64)/libtermcap.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libtermcap.so \
     target=../../../../lib/$(ARCH64)/libtermcap.so.1
-link path=usr/ccs/lib/$(ARCH64)/libtermlib.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libtermlib.so \
     target=../../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/ccs/lib/$(ARCH64)/liby.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/liby.so \
     target=../../../lib/$(ARCH64)/liby.so.1
 link path=usr/ccs/lib/libcurses.so target=../../../lib/libcurses.so.1
 link path=usr/ccs/lib/libform.so target=../../lib/libform.so.1
@@ -742,282 +743,291 @@
 link path=usr/ccs/lib/libtermcap.so target=../../../lib/libtermcap.so.1
 link path=usr/ccs/lib/libtermlib.so target=../../../lib/libcurses.so.1
 link path=usr/ccs/lib/liby.so target=../../lib/liby.so.1
-link path=usr/lib/$(ARCH64)/libadm.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libadm.so \
     target=../../../lib/$(ARCH64)/libadm.so.1
-link path=usr/lib/$(ARCH64)/libadm.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libadm.so.1 \
     target=../../../lib/$(ARCH64)/libadm.so.1
-link path=usr/lib/$(ARCH64)/libadutils.so target=./libadutils.so.1
-link path=usr/lib/$(ARCH64)/libaio.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libadutils.so target=./libadutils.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libaio.so \
     target=../../../lib/$(ARCH64)/libaio.so.1
-link path=usr/lib/$(ARCH64)/libaio.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libaio.so.1 \
     target=../../../lib/$(ARCH64)/libaio.so.1
-link path=usr/lib/$(ARCH64)/libavl.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libavl.so.1 \
     target=../../../lib/$(ARCH64)/libavl.so.1
-link path=usr/lib/$(ARCH64)/libbsdmalloc.so target=libbsdmalloc.so.1
-link path=usr/lib/$(ARCH64)/libbsm.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbsdmalloc.so target=libbsdmalloc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbsm.so \
     target=../../../lib/$(ARCH64)/libbsm.so.1
-link path=usr/lib/$(ARCH64)/libbsm.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbsm.so.1 \
     target=../../../lib/$(ARCH64)/libbsm.so.1
-link path=usr/lib/$(ARCH64)/libc.so target=../../../lib/$(ARCH64)/libc.so.1
-link path=usr/lib/$(ARCH64)/libc.so.1 target=../../../lib/$(ARCH64)/libc.so.1
-link path=usr/lib/$(ARCH64)/libc_db.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libc.so \
+    target=../../../lib/$(ARCH64)/libc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libc.so.1 \
+    target=../../../lib/$(ARCH64)/libc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libc_db.so \
     target=../../../lib/$(ARCH64)/libc_db.so.1
-link path=usr/lib/$(ARCH64)/libc_db.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libc_db.so.1 \
     target=../../../lib/$(ARCH64)/libc_db.so.1
-link path=usr/lib/$(ARCH64)/libcfgadm.so target=libcfgadm.so.1
-link path=usr/lib/$(ARCH64)/libcmd.so target=libcmd.so.1
-link path=usr/lib/$(ARCH64)/libcmdutils.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcfgadm.so target=libcfgadm.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcmd.so target=libcmd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcmdutils.so.1 \
     target=../../../lib/$(ARCH64)/libcmdutils.so.1
-link path=usr/lib/$(ARCH64)/libcommputil.so target=libcommputil.so.1
-link path=usr/lib/$(ARCH64)/libcontract.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcommputil.so target=libcommputil.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcontract.so \
     target=../../../lib/$(ARCH64)/libcontract.so.1
-link path=usr/lib/$(ARCH64)/libcontract.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcontract.so.1 \
     target=../../../lib/$(ARCH64)/libcontract.so.1
-link path=usr/lib/$(ARCH64)/libcrypt.so target=./libcrypt.so.1
-link path=usr/lib/$(ARCH64)/libcrypt_d.so target=./libcrypt.so
-link path=usr/lib/$(ARCH64)/libcrypt_d.so.1 target=./libcrypt.so.1
-link path=usr/lib/$(ARCH64)/libcrypt_i.so target=./libcrypt.so
-link path=usr/lib/$(ARCH64)/libcrypt_i.so.1 target=./libcrypt.so.1
-link path=usr/lib/$(ARCH64)/libctf.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt.so target=./libcrypt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt_d.so target=./libcrypt.so
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt_d.so.1 target=./libcrypt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt_i.so target=./libcrypt.so
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt_i.so.1 target=./libcrypt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libctf.so \
     target=../../../lib/$(ARCH64)/libctf.so.1
-link path=usr/lib/$(ARCH64)/libctf.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libctf.so.1 \
     target=../../../lib/$(ARCH64)/libctf.so.1
-link path=usr/lib/$(ARCH64)/libcurses.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcurses.so \
     target=../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/lib/$(ARCH64)/libcurses.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcurses.so.1 \
     target=../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/lib/$(ARCH64)/libdevice.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevice.so \
     target=../../../lib/$(ARCH64)/libdevice.so.1
-link path=usr/lib/$(ARCH64)/libdevice.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevice.so.1 \
     target=../../../lib/$(ARCH64)/libdevice.so.1
-link path=usr/lib/$(ARCH64)/libdevid.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevid.so \
     target=../../../lib/$(ARCH64)/libdevid.so.1
-link path=usr/lib/$(ARCH64)/libdevid.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevid.so.1 \
     target=../../../lib/$(ARCH64)/libdevid.so.1
-link path=usr/lib/$(ARCH64)/libdevinfo.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevinfo.so \
     target=../../../lib/$(ARCH64)/libdevinfo.so.1
-link path=usr/lib/$(ARCH64)/libdevinfo.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevinfo.so.1 \
     target=../../../lib/$(ARCH64)/libdevinfo.so.1
-link path=usr/lib/$(ARCH64)/libdhcputil.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdhcputil.so.1 \
     target=../../../lib/$(ARCH64)/libdhcputil.so.1
-link path=usr/lib/$(ARCH64)/libdisasm.so target=libdisasm.so.1
-link path=usr/lib/$(ARCH64)/libdl.so target=../../../lib/$(ARCH64)/libdl.so.1
-link path=usr/lib/$(ARCH64)/libdl.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdisasm.so target=libdisasm.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdl.so \
     target=../../../lib/$(ARCH64)/libdl.so.1
-link path=usr/lib/$(ARCH64)/libdlpi.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdl.so.1 \
+    target=../../../lib/$(ARCH64)/libdl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdlpi.so \
     target=../../../lib/$(ARCH64)/libdlpi.so.1
-link path=usr/lib/$(ARCH64)/libdlpi.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdlpi.so.1 \
     target=../../../lib/$(ARCH64)/libdlpi.so.1
-link path=usr/lib/$(ARCH64)/libdoor.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdoor.so \
     target=../../../lib/$(ARCH64)/libdoor.so.1
-link path=usr/lib/$(ARCH64)/libdoor.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdoor.so.1 \
     target=../../../lib/$(ARCH64)/libdoor.so.1
-link path=usr/lib/$(ARCH64)/libefi.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libefi.so \
     target=../../../lib/$(ARCH64)/libefi.so.1
-link path=usr/lib/$(ARCH64)/libefi.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libefi.so.1 \
     target=../../../lib/$(ARCH64)/libefi.so.1
-link path=usr/lib/$(ARCH64)/libelf.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libelf.so \
     target=../../../lib/$(ARCH64)/libelf.so.1
-link path=usr/lib/$(ARCH64)/libelf.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libelf.so.1 \
     target=../../../lib/$(ARCH64)/libelf.so.1
-link path=usr/lib/$(ARCH64)/libexacct.so target=libexacct.so.1
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/libfdisk.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libexacct.so target=libexacct.so.1
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/libfdisk.so \
     target=../../../lib/$(ARCH64)/libfdisk.so.1
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/libfdisk.so.1 \
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/libfdisk.so.1 \
     target=../../../lib/$(ARCH64)/libfdisk.so.1
-link path=usr/lib/$(ARCH64)/libform.so target=libform.so.1
-link path=usr/lib/$(ARCH64)/libfstyp.so target=./libfstyp.so.1
-link path=usr/lib/$(ARCH64)/libgen.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libform.so target=libform.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfstyp.so target=./libfstyp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libgen.so \
     target=../../../lib/$(ARCH64)/libgen.so.1
-link path=usr/lib/$(ARCH64)/libgen.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libgen.so.1 \
     target=../../../lib/$(ARCH64)/libgen.so.1
-link path=usr/lib/$(ARCH64)/libhotplug.so target=libhotplug.so.1
-link path=usr/lib/$(ARCH64)/libidmap.so target=./libidmap.so.1
-link path=usr/lib/$(ARCH64)/libinetutil.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhotplug.so target=libhotplug.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libidmap.so target=./libidmap.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libinetutil.so.1 \
     target=../../../lib/$(ARCH64)/libinetutil.so.1
-link path=usr/lib/$(ARCH64)/libintl.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libintl.so \
     target=../../../lib/$(ARCH64)/libintl.so.1
-link path=usr/lib/$(ARCH64)/libintl.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libintl.so.1 \
     target=../../../lib/$(ARCH64)/libintl.so.1
-link path=usr/lib/$(ARCH64)/libipmi.so target=./libipmi.so.1
-link path=usr/lib/$(ARCH64)/libipp.so target=libipp.so.1
-link path=usr/lib/$(ARCH64)/libkstat.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libipmi.so target=./libipmi.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libipp.so target=libipp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libkstat.so \
     target=../../../lib/$(ARCH64)/libkstat.so.1
-link path=usr/lib/$(ARCH64)/libkstat.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libkstat.so.1 \
     target=../../../lib/$(ARCH64)/libkstat.so.1
-link path=usr/lib/$(ARCH64)/libkvm.so target=libkvm.so.1
-link path=usr/lib/$(ARCH64)/libl.so target=libl.so.1
-link path=usr/lib/$(ARCH64)/libldap.so target=libldap.so.5
-link path=usr/lib/$(ARCH64)/liblddbg.so.4 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libkvm.so target=libkvm.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libl.so target=libl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libldap.so target=libldap.so.5
+$(BUILD64)link path=usr/lib/$(ARCH64)/liblddbg.so.4 \
     target=../../../lib/$(ARCH64)/liblddbg.so.4
-link path=usr/lib/$(ARCH64)/liblgrp.so target=liblgrp.so.1
-link path=usr/lib/$(ARCH64)/liblm.so target=liblm.so.1
-link path=usr/lib/$(ARCH64)/libmail.so target=libmail.so.1
-link path=usr/lib/$(ARCH64)/libmalloc.so target=libmalloc.so.1
-link path=usr/lib/$(ARCH64)/libmapmalloc.so target=libmapmalloc.so.1
-link path=usr/lib/$(ARCH64)/libmd.so target=../../../lib/$(ARCH64)/libmd.so.1
-link path=usr/lib/$(ARCH64)/libmd.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/liblgrp.so target=liblgrp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/liblm.so target=liblm.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmail.so target=libmail.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmalloc.so target=libmalloc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmapmalloc.so target=libmapmalloc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmd.so \
+    target=../../../lib/$(ARCH64)/libmd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmd.so.1 \
     target=../../../lib/$(ARCH64)/libmd.so.1
-link path=usr/lib/$(ARCH64)/libmd5.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmd5.so \
     target=../../../lib/$(ARCH64)/libmd5.so.1
-link path=usr/lib/$(ARCH64)/libmd5.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmd5.so.1 \
     target=../../../lib/$(ARCH64)/libmd5.so.1
-link path=usr/lib/$(ARCH64)/libmenu.so target=libmenu.so.1
-link path=usr/lib/$(ARCH64)/libmp.so target=../../../lib/$(ARCH64)/libmp.so.2
-link path=usr/lib/$(ARCH64)/libmp.so.2 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmenu.so target=libmenu.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmp.so \
     target=../../../lib/$(ARCH64)/libmp.so.2
-link path=usr/lib/$(ARCH64)/libmtmalloc.so target=libmtmalloc.so.1
-link path=usr/lib/$(ARCH64)/libnls.so target=libnls.so.1
-link path=usr/lib/$(ARCH64)/libnsl.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmp.so.2 \
+    target=../../../lib/$(ARCH64)/libmp.so.2
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmtmalloc.so target=libmtmalloc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnls.so target=libnls.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnsl.so \
     target=../../../lib/$(ARCH64)/libnsl.so.1
-link path=usr/lib/$(ARCH64)/libnsl.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnsl.so.1 \
     target=../../../lib/$(ARCH64)/libnsl.so.1
-link path=usr/lib/$(ARCH64)/libnvpair.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnvpair.so \
     target=../../../lib/$(ARCH64)/libnvpair.so.1
-link path=usr/lib/$(ARCH64)/libnvpair.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnvpair.so.1 \
     target=../../../lib/$(ARCH64)/libnvpair.so.1
-link path=usr/lib/$(ARCH64)/libpam.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpam.so \
     target=../../../lib/$(ARCH64)/libpam.so.1
-link path=usr/lib/$(ARCH64)/libpam.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpam.so.1 \
     target=../../../lib/$(ARCH64)/libpam.so.1
-link path=usr/lib/$(ARCH64)/libpanel.so target=libpanel.so.1
-link path=usr/lib/$(ARCH64)/libpkcs11.so target=libpkcs11.so.1
-link path=usr/lib/$(ARCH64)/libposix4.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpanel.so target=libpanel.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpkcs11.so target=libpkcs11.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libposix4.so \
     target=../../../lib/$(ARCH64)/librt.so.1
-link path=usr/lib/$(ARCH64)/libposix4.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libposix4.so.1 \
     target=../../../lib/$(ARCH64)/librt.so.1
-link path=usr/lib/$(ARCH64)/libproc.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libproc.so \
     target=../../../lib/$(ARCH64)/libproc.so.1
-link path=usr/lib/$(ARCH64)/libproc.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libproc.so.1 \
     target=../../../lib/$(ARCH64)/libproc.so.1
-link path=usr/lib/$(ARCH64)/libproject.so target=libproject.so.1
-link path=usr/lib/$(ARCH64)/libpthread.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libproject.so target=libproject.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpthread.so \
     target=../../../lib/$(ARCH64)/libpthread.so.1
-link path=usr/lib/$(ARCH64)/libpthread.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpthread.so.1 \
     target=../../../lib/$(ARCH64)/libpthread.so.1
-link path=usr/lib/$(ARCH64)/librcm.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librcm.so \
     target=../../../lib/$(ARCH64)/librcm.so.1
-link path=usr/lib/$(ARCH64)/librcm.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librcm.so.1 \
     target=../../../lib/$(ARCH64)/librcm.so.1
-link path=usr/lib/$(ARCH64)/libreparse.so target=libreparse.so.1
-link path=usr/lib/$(ARCH64)/libresolv.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libreparse.so target=libreparse.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libresolv.so \
     target=../../../lib/$(ARCH64)/libresolv.so.2
-link path=usr/lib/$(ARCH64)/libresolv.so.2 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libresolv.so.2 \
     target=../../../lib/$(ARCH64)/libresolv.so.2
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/librestart.so \
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/librestart.so \
     target=../../../lib/$(ARCH64)/librestart.so.1
-link path=usr/lib/$(ARCH64)/librestart.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librestart.so.1 \
     target=../../../lib/$(ARCH64)/librestart.so.1
-link path=usr/lib/$(ARCH64)/librpcsvc.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librpcsvc.so \
     target=../../../lib/$(ARCH64)/librpcsvc.so.1
-link path=usr/lib/$(ARCH64)/librpcsvc.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librpcsvc.so.1 \
     target=../../../lib/$(ARCH64)/librpcsvc.so.1
-link path=usr/lib/$(ARCH64)/librt.so target=../../../lib/$(ARCH64)/librt.so.1
-link path=usr/lib/$(ARCH64)/librt.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librt.so \
+    target=../../../lib/$(ARCH64)/librt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/librt.so.1 \
     target=../../../lib/$(ARCH64)/librt.so.1
-link path=usr/lib/$(ARCH64)/librtld.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librtld.so.1 \
     target=../../../lib/$(ARCH64)/librtld.so.1
-link path=usr/lib/$(ARCH64)/librtld_db.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librtld_db.so \
     target=../../../lib/$(ARCH64)/librtld_db.so.1
-link path=usr/lib/$(ARCH64)/librtld_db.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librtld_db.so.1 \
     target=../../../lib/$(ARCH64)/librtld_db.so.1
-link path=usr/lib/$(ARCH64)/libscf.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libscf.so \
     target=../../../lib/$(ARCH64)/libscf.so.1
-link path=usr/lib/$(ARCH64)/libscf.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libscf.so.1 \
     target=../../../lib/$(ARCH64)/libscf.so.1
-link path=usr/lib/$(ARCH64)/libsched.so target=libsched.so.1
-link path=usr/lib/$(ARCH64)/libsctp.so target=./libsctp.so.1
-link path=usr/lib/$(ARCH64)/libsec.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsched.so target=libsched.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsctp.so target=./libsctp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsec.so \
     target=../../../lib/$(ARCH64)/libsec.so.1
-link path=usr/lib/$(ARCH64)/libsec.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsec.so.1 \
     target=../../../lib/$(ARCH64)/libsec.so.1
-link path=usr/lib/$(ARCH64)/libsecdb.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsecdb.so \
     target=../../../lib/$(ARCH64)/libsecdb.so.1
-link path=usr/lib/$(ARCH64)/libsecdb.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsecdb.so.1 \
     target=../../../lib/$(ARCH64)/libsecdb.so.1
-link path=usr/lib/$(ARCH64)/libsendfile.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsendfile.so \
     target=../../../lib/$(ARCH64)/libsendfile.so.1
-link path=usr/lib/$(ARCH64)/libsendfile.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsendfile.so.1 \
     target=../../../lib/$(ARCH64)/libsendfile.so.1
-link path=usr/lib/$(ARCH64)/libsip.so target=./libsip.so.1
-link path=usr/lib/$(ARCH64)/libsldap.so target=libsldap.so.1
-link path=usr/lib/$(ARCH64)/libsmbios.so target=libsmbios.so.1
-link path=usr/lib/$(ARCH64)/libsocket.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsip.so target=./libsip.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsldap.so target=libsldap.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsmbios.so target=libsmbios.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsocket.so \
     target=../../../lib/$(ARCH64)/libsocket.so.1
-link path=usr/lib/$(ARCH64)/libsocket.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsocket.so.1 \
     target=../../../lib/$(ARCH64)/libsocket.so.1
-link path=usr/lib/$(ARCH64)/libsoftcrypto.so target=./libsoftcrypto.so.1
-link path=usr/lib/$(ARCH64)/libsysevent.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsoftcrypto.so \
+    target=./libsoftcrypto.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsysevent.so \
     target=../../../lib/$(ARCH64)/libsysevent.so.1
-link path=usr/lib/$(ARCH64)/libsysevent.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsysevent.so.1 \
     target=../../../lib/$(ARCH64)/libsysevent.so.1
-link path=usr/lib/$(ARCH64)/libtermcap.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtermcap.so \
     target=../../../lib/$(ARCH64)/libtermcap.so.1
-link path=usr/lib/$(ARCH64)/libtermcap.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtermcap.so.1 \
     target=../../../lib/$(ARCH64)/libtermcap.so.1
-link path=usr/lib/$(ARCH64)/libtermlib.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtermlib.so \
     target=../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/lib/$(ARCH64)/libtermlib.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtermlib.so.1 \
     target=../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/lib/$(ARCH64)/libthread.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libthread.so \
     target=../../../lib/$(ARCH64)/libthread.so.1
-link path=usr/lib/$(ARCH64)/libthread.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libthread.so.1 \
     target=../../../lib/$(ARCH64)/libthread.so.1
-link path=usr/lib/$(ARCH64)/libthread_db.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libthread_db.so \
     target=../../../lib/$(ARCH64)/libc_db.so.1
-link path=usr/lib/$(ARCH64)/libthread_db.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libthread_db.so.1 \
     target=../../../lib/$(ARCH64)/libc_db.so.1
-link path=usr/lib/$(ARCH64)/libtsnet.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtsnet.so \
     target=../../../lib/$(ARCH64)/libtsnet.so.1
-link path=usr/lib/$(ARCH64)/libtsnet.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtsnet.so.1 \
     target=../../../lib/$(ARCH64)/libtsnet.so.1
-link path=usr/lib/$(ARCH64)/libtsol.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtsol.so \
     target=../../../lib/$(ARCH64)/libtsol.so.2
-link path=usr/lib/$(ARCH64)/libtsol.so.2 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtsol.so.2 \
     target=../../../lib/$(ARCH64)/libtsol.so.2
-link path=usr/lib/$(ARCH64)/libumem.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libumem.so \
     target=../../../lib/$(ARCH64)/libumem.so.1
-link path=usr/lib/$(ARCH64)/libumem.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libumem.so.1 \
     target=../../../lib/$(ARCH64)/libumem.so.1
-link path=usr/lib/$(ARCH64)/libuuid.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libuuid.so \
     target=../../../lib/$(ARCH64)/libuuid.so.1
-link path=usr/lib/$(ARCH64)/libuuid.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libuuid.so.1 \
     target=../../../lib/$(ARCH64)/libuuid.so.1
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/libuutil.so \
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/libuutil.so \
     target=../../../lib/$(ARCH64)/libuutil.so.1
-link path=usr/lib/$(ARCH64)/libuutil.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libuutil.so.1 \
     target=../../../lib/$(ARCH64)/libuutil.so.1
-$(sparc_ONLY)link path=usr/lib/$(ARCH64)/libv12n.so target=./libv12n.so.1
-link path=usr/lib/$(ARCH64)/libvolmgt.so target=libvolmgt.so.1
-link path=usr/lib/$(ARCH64)/libw.so target=../../../lib/$(ARCH64)/libw.so.1
-link path=usr/lib/$(ARCH64)/libw.so.1 target=../../../lib/$(ARCH64)/libw.so.1
-link path=usr/lib/$(ARCH64)/libwrap.so target=libwrap.so.1.0
-link path=usr/lib/$(ARCH64)/libwrap.so.1 target=libwrap.so.1.0
-link path=usr/lib/$(ARCH64)/libxnet.so \
+$(sparc_BUILD64)link path=usr/lib/$(ARCH64)/libv12n.so target=./libv12n.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libvolmgt.so target=libvolmgt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libw.so \
+    target=../../../lib/$(ARCH64)/libw.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libw.so.1 \
+    target=../../../lib/$(ARCH64)/libw.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libwrap.so target=libwrap.so.1.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libwrap.so.1 target=libwrap.so.1.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libxnet.so \
     target=../../../lib/$(ARCH64)/libxnet.so.1
-link path=usr/lib/$(ARCH64)/libxnet.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libxnet.so.1 \
     target=../../../lib/$(ARCH64)/libxnet.so.1
-link path=usr/lib/$(ARCH64)/liby.so target=liby.so.1
-link path=usr/lib/$(ARCH64)/libzoneinfo.so target=./libzoneinfo.so.1
-link path=usr/lib/$(ARCH64)/nss_compat.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/liby.so target=liby.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzoneinfo.so target=./libzoneinfo.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_compat.so.1 \
     target=../../../lib/$(ARCH64)/nss_compat.so.1
-link path=usr/lib/$(ARCH64)/nss_dns.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_dns.so.1 \
     target=../../../lib/$(ARCH64)/nss_dns.so.1
-link path=usr/lib/$(ARCH64)/nss_files.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_files.so.1 \
     target=../../../lib/$(ARCH64)/nss_files.so.1
-link path=usr/lib/$(ARCH64)/nss_nis.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_nis.so.1 \
     target=../../../lib/$(ARCH64)/nss_nis.so.1
-link path=usr/lib/$(ARCH64)/nss_user.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_user.so.1 \
     target=../../../lib/$(ARCH64)/nss_user.so.1
-link path=usr/lib/$(ARCH64)/straddr.so target=straddr.so.2
+$(BUILD64)link path=usr/lib/$(ARCH64)/straddr.so target=straddr.so.2
 link path=usr/lib/32 target=.
-link path=usr/lib/64 target=$(ARCH64)
-link path=usr/lib/cfgadm/$(ARCH64)/ib.so target=./ib.so.1
-link path=usr/lib/cfgadm/$(ARCH64)/pci.so target=./pci.so.1
-$(i386_ONLY)link path=usr/lib/cfgadm/$(ARCH64)/sata.so target=./sata.so.1
-link path=usr/lib/cfgadm/$(ARCH64)/scsi.so target=./scsi.so.1
-link path=usr/lib/cfgadm/$(ARCH64)/shp.so target=./shp.so.1
-link path=usr/lib/cfgadm/$(ARCH64)/usb.so target=./usb.so.1
+$(BUILD64)link path=usr/lib/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/ib.so target=./ib.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/pci.so target=./pci.so.1
+$(i386_BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/sata.so target=./sata.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/scsi.so target=./scsi.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/shp.so target=./shp.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/usb.so target=./usb.so.1
 link path=usr/lib/cfgadm/ib.so target=./ib.so.1
 link path=usr/lib/cfgadm/pci.so target=./pci.so.1
 $(i386_ONLY)link path=usr/lib/cfgadm/sata.so target=./sata.so.1
@@ -1181,12 +1191,12 @@
 link path=usr/lib/libxnet.so.1 target=../../lib/libxnet.so.1
 link path=usr/lib/liby.so target=./liby.so.1
 link path=usr/lib/libzoneinfo.so target=./libzoneinfo.so.1
-link path=usr/lib/lwp/$(ARCH64)/libthread.so.1 \
+$(BUILD64)link path=usr/lib/lwp/$(ARCH64)/libthread.so.1 \
     target=../../$(ARCH64)/libthread.so.1
-link path=usr/lib/lwp/$(ARCH64)/libthread_db.so.1 \
+$(BUILD64)link path=usr/lib/lwp/$(ARCH64)/libthread_db.so.1 \
     target=../../$(ARCH64)/libthread_db.so.1
 link path=usr/lib/lwp/32 target=.
-link path=usr/lib/lwp/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/lwp/64 target=$(ARCH64)
 link path=usr/lib/lwp/libthread.so.1 target=../libthread.so.1
 link path=usr/lib/lwp/libthread_db.so.1 target=../libthread_db.so.1
 link path=usr/lib/nss_compat.so.1 target=../../lib/nss_compat.so.1
@@ -1194,56 +1204,65 @@
 link path=usr/lib/nss_files.so.1 target=../../lib/nss_files.so.1
 link path=usr/lib/nss_nis.so.1 target=../../lib/nss_nis.so.1
 link path=usr/lib/nss_user.so.1 target=../../lib/nss_user.so.1
-link path=usr/lib/scsi/$(ARCH64)/libscsi.so target=./libscsi.so.1
-link path=usr/lib/scsi/$(ARCH64)/libses.so target=./libses.so.1
-link path=usr/lib/scsi/$(ARCH64)/libsmp.so target=./libsmp.so.1
+$(BUILD64)link path=usr/lib/scsi/$(ARCH64)/libscsi.so target=./libscsi.so.1
+$(BUILD64)link path=usr/lib/scsi/$(ARCH64)/libses.so target=./libses.so.1
+$(BUILD64)link path=usr/lib/scsi/$(ARCH64)/libsmp.so target=./libsmp.so.1
 link path=usr/lib/scsi/libscsi.so target=./libscsi.so.1
 link path=usr/lib/scsi/libses.so target=./libses.so.1
 link path=usr/lib/scsi/libsmp.so target=./libsmp.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_bsdbf.so target=./crypt_bsdbf.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_bsdmd5.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_bsdbf.so \
+    target=./crypt_bsdbf.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_bsdmd5.so \
     target=./crypt_bsdmd5.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_sha256.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_sha256.so \
     target=./crypt_sha256.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_sha512.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_sha512.so \
     target=./crypt_sha512.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_sunmd5.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_sunmd5.so \
     target=./crypt_sunmd5.so.1
-link path=usr/lib/security/$(ARCH64)/pam_allow.so target=./pam_allow.so.1
-link path=usr/lib/security/$(ARCH64)/pam_authtok_check.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_allow.so \
+    target=./pam_allow.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_authtok_check.so \
     target=./pam_authtok_check.so.1
-link path=usr/lib/security/$(ARCH64)/pam_authtok_get.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_authtok_get.so \
     target=./pam_authtok_get.so.1
-link path=usr/lib/security/$(ARCH64)/pam_authtok_store.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_authtok_store.so \
     target=./pam_authtok_store.so.1
-link path=usr/lib/security/$(ARCH64)/pam_deny.so target=./pam_deny.so.1
-link path=usr/lib/security/$(ARCH64)/pam_dhkeys.so target=./pam_dhkeys.so.1
-link path=usr/lib/security/$(ARCH64)/pam_dial_auth.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_deny.so \
+    target=./pam_deny.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_dhkeys.so \
+    target=./pam_dhkeys.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_dial_auth.so \
     target=./pam_dial_auth.so.1
-link path=usr/lib/security/$(ARCH64)/pam_ldap.so target=./pam_ldap.so.1
-link path=usr/lib/security/$(ARCH64)/pam_list.so target=./pam_list.so.1
-link path=usr/lib/security/$(ARCH64)/pam_passwd_auth.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_ldap.so \
+    target=./pam_ldap.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_list.so \
+    target=./pam_list.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_passwd_auth.so \
     target=./pam_passwd_auth.so.1
-link path=usr/lib/security/$(ARCH64)/pam_rhosts_auth.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_rhosts_auth.so \
     target=./pam_rhosts_auth.so.1
-link path=usr/lib/security/$(ARCH64)/pam_roles.so target=./pam_roles.so.1
-link path=usr/lib/security/$(ARCH64)/pam_sample.so target=./pam_sample.so.1
-link path=usr/lib/security/$(ARCH64)/pam_tsol_account.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_roles.so \
+    target=./pam_roles.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_sample.so \
+    target=./pam_sample.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_tsol_account.so \
     target=./pam_tsol_account.so.1
-link path=usr/lib/security/$(ARCH64)/pam_unix_account.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_unix_account.so \
     target=./pam_unix_account.so.1
-link path=usr/lib/security/$(ARCH64)/pam_unix_auth.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_unix_auth.so \
     target=./pam_unix_auth.so.1
-link path=usr/lib/security/$(ARCH64)/pam_unix_cred.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_unix_cred.so \
     target=./pam_unix_cred.so.1
-link path=usr/lib/security/$(ARCH64)/pam_unix_session.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_unix_session.so \
     target=./pam_unix_session.so.1
-link path=usr/lib/security/$(ARCH64)/pkcs11_kernel.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pkcs11_kernel.so \
     target=./pkcs11_kernel.so.1
-link path=usr/lib/security/$(ARCH64)/pkcs11_softtoken.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pkcs11_softtoken.so \
     target=./pkcs11_softtoken.so.1
-link path=usr/lib/security/$(ARCH64)/pkcs11_tpm.so target=./pkcs11_tpm.so.1
-link path=usr/lib/security/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pkcs11_tpm.so \
+    target=./pkcs11_tpm.so.1
+$(BUILD64)link path=usr/lib/security/64 target=$(ARCH64)
 link path=usr/lib/security/audit_binfile.so target=./audit_binfile.so.1
 link path=usr/lib/security/audit_remote.so target=./audit_remote.so.1
 link path=usr/lib/security/audit_syslog.so target=./audit_syslog.so.1
@@ -1276,8 +1295,8 @@
 link path=usr/lib/security/pkcs11_softtoken.so target=./pkcs11_softtoken.so.1
 link path=usr/lib/security/pkcs11_tpm.so target=./pkcs11_tpm.so.1
 link path=usr/lib/straddr.so target=./straddr.so.2
-link path=usr/xpg4/lib/$(ARCH64)/libcurses.so target=libcurses.so.2
-link path=usr/xpg4/lib/64 target=$(ARCH64)
+$(BUILD64)link path=usr/xpg4/lib/$(ARCH64)/libcurses.so target=libcurses.so.2
+$(BUILD64)link path=usr/xpg4/lib/64 target=$(ARCH64)
 link path=usr/xpg4/lib/libcurses.so target=./libcurses.so.2
 #
 # libses.so needs to dlopen(3C) plugins from usr/lib/scsi/plugins/ses/vendor/,
--- old/usr/src/pkg/manifests/system-network-console.mf	2014-04-11 13:24:19.860894746 +0100
+++ new/usr/src/pkg/manifests/system-network-console.mf	2014-04-11 13:24:19.868009219 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
--- old/usr/src/pkg/manifests/system-network-http-cache-accelerator.mf	2014-04-11 13:24:20.054658487 +0100
+++ new/usr/src/pkg/manifests/system-network-http-cache-accelerator.mf	2014-04-11 13:24:20.063067946 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -52,7 +53,7 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/share/man
 dir path=usr/share/man/man1
@@ -77,7 +78,7 @@
 $(i386_ONLY)file path=kernel/drv/nca group=sys
 file path=kernel/drv/nca.conf group=sys
 file path=usr/bin/ncab2clf mode=0555
-file path=usr/lib/$(ARCH64)/ncad_addr.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/ncad_addr.so.1
 file path=usr/lib/inet/ncaconfd mode=0555
 file path=usr/lib/ncad_addr.so.1
 file path=usr/share/man/man1/nca.1
@@ -105,6 +106,6 @@
     name="Solaris Network Cache and Accelerator (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/ncad_addr.so target=./ncad_addr.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/ncad_addr.so target=./ncad_addr.so.1
 link path=usr/lib/ncad_addr.so target=./ncad_addr.so.1
 link path=usr/share/man/man1/snca.1 target=nca.1
--- old/usr/src/pkg/manifests/system-network-ppp.mf	2014-04-11 13:24:20.274055394 +0100
+++ new/usr/src/pkg/manifests/system-network-ppp.mf	2014-04-11 13:24:20.281398905 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/network/ppp@$(PKGVERS)
--- old/usr/src/pkg/manifests/system-network-routing-vrrp.mf	2014-04-11 13:24:20.476117958 +0100
+++ new/usr/src/pkg/manifests/system-network-routing-vrrp.mf	2014-04-11 13:24:20.485021617 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/network/routing/vrrp@$(PKGVERS)
@@ -38,13 +39,13 @@
 dir path=lib/svc/method
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/inet
 dir path=usr/sbin
 file path=etc/inet/vrrp.conf group=sys
 file path=lib/svc/manifest/network/vrrp.xml group=sys mode=0444
 file path=lib/svc/method/svc-vrrp mode=0555
-file path=usr/lib/$(ARCH64)/libvrrpadm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libvrrpadm.so.1
 file path=usr/lib/inet/vrrpd mode=0555
 file path=usr/lib/libvrrpadm.so.1
 file path=usr/sbin/vrrpadm mode=0555
--- old/usr/src/pkg/manifests/system-network-udapl-udapl-tavor.mf	2014-04-11 13:24:20.673599008 +0100
+++ new/usr/src/pkg/manifests/system-network-udapl-udapl-tavor.mf	2014-04-11 13:24:20.681698597 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -43,7 +44,7 @@
 dir path=kernel/drv/$(ARCH64) group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share
 dir path=usr/share/dat group=sys
 driver name=daplt perms="* 0644 root sys"
@@ -52,7 +53,7 @@
 file path=kernel/drv/$(ARCH64)/daplt group=sys
 $(i386_ONLY)file path=kernel/drv/daplt group=sys
 file path=kernel/drv/daplt.conf group=sys
-file path=usr/lib/$(ARCH64)/udapl_tavor.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/udapl_tavor.so.1
 file path=usr/lib/udapl_tavor.so.1
 file path=usr/share/dat/SUNWudaplt.conf group=sys mode=0644
 hardlink path=etc/rc2.d/S81dodatadm.udaplt \
--- old/usr/src/pkg/manifests/system-network-udapl.mf	2014-04-11 13:24:20.869936140 +0100
+++ new/usr/src/pkg/manifests/system-network-udapl.mf	2014-04-11 13:24:20.878674744 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -39,7 +40,7 @@
 dir path=etc/dat group=sys
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -48,8 +49,8 @@
 dir path=usr/share/man/man4
 file path=etc/dat/dat.conf group=sys original_name=SUNWudapl:etc/dat/dat.conf \
     preserve=true
-file path=usr/lib/$(ARCH64)/libdat.so.1
-file path=usr/lib/$(ARCH64)/llib-ldat.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdat.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ldat.ln
 file path=usr/lib/libdat.so.1
 file path=usr/lib/llib-ldat
 file path=usr/lib/llib-ldat.ln
@@ -136,5 +137,5 @@
     name="Sun User Direct Access Programming Library (User)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libdat.so target=libdat.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdat.so target=libdat.so.1
 link path=usr/lib/libdat.so target=libdat.so.1
--- old/usr/src/pkg/manifests/system-remote-shared-memory.mf	2014-04-11 13:24:21.066639801 +0100
+++ new/usr/src/pkg/manifests/system-remote-shared-memory.mf	2014-04-11 13:24:21.074565830 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/remote-shared-memory@$(PKGVERS)
@@ -34,7 +35,7 @@
 dir path=usr/kernel/drv group=sys
 dir path=usr/kernel/drv/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man3lib
 dir path=usr/share/man/man3rsm
@@ -42,7 +43,7 @@
 file path=usr/kernel/drv/$(ARCH64)/rsm group=sys
 $(i386_ONLY)file path=usr/kernel/drv/rsm group=sys
 file path=usr/kernel/drv/rsm.conf group=sys
-file path=usr/lib/$(ARCH64)/librsm.so.2
+$(BUILD64)file path=usr/lib/$(ARCH64)/librsm.so.2
 file path=usr/lib/librsm.so.2
 file path=usr/share/man/man3lib/librsm.3lib
 file path=usr/share/man/man3rsm/rsm_create_localmemory_handle.3rsm
@@ -66,7 +67,7 @@
     name="Remote Shared Memory"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/librsm.so target=librsm.so.2
+$(BUILD64)link path=usr/lib/$(ARCH64)/librsm.so target=librsm.so.2
 link path=usr/lib/librsm.so target=librsm.so.2
 link path=usr/share/man/man3rsm/rsm_free_interconnect_topology.3rsm \
     target=rsm_get_interconnect_topology.3rsm
--- old/usr/src/pkg/manifests/system-scheduler-fss.mf	2014-04-11 13:24:21.297838820 +0100
+++ new/usr/src/pkg/manifests/system-scheduler-fss.mf	2014-04-11 13:24:21.310049526 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/scheduler/fss@$(PKGVERS)
--- old/usr/src/pkg/manifests/system-storage-sasinfo.mf	2014-04-11 13:24:21.526654336 +0100
+++ new/usr/src/pkg/manifests/system-storage-sasinfo.mf	2014-04-11 13:24:21.534885247 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 #
@@ -41,7 +42,7 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1m
@@ -50,9 +51,9 @@
 file path=etc/smhba.conf group=sys original_name=SUNWsmhba:etc/smhba.conf \
     preserve=true
 file path=usr/include/smhbaapi.h
-file path=usr/lib/$(ARCH64)/libSMHBAAPI.so.1
-file path=usr/lib/$(ARCH64)/libsun_sas.so.1
-file path=usr/lib/$(ARCH64)/llib-lSMHBAAPI.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/libSMHBAAPI.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsun_sas.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lSMHBAAPI.ln
 file path=usr/lib/libSMHBAAPI.so.1
 file path=usr/lib/libsun_sas.so.1
 file path=usr/lib/llib-lSMHBAAPI
@@ -70,8 +71,8 @@
 license lic_CDDL license=lic_CDDL
 license usr/src/lib/smhba/THIRDPARTYLICENSE \
     license=usr/src/lib/smhba/THIRDPARTYLICENSE
-link path=usr/lib/$(ARCH64)/libSMHBAAPI.so target=libSMHBAAPI.so.1
-link path=usr/lib/$(ARCH64)/libsun_sas.so target=libsun_sas.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libSMHBAAPI.so target=libSMHBAAPI.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsun_sas.so target=libsun_sas.so.1
 link path=usr/lib/libSMHBAAPI.so target=libSMHBAAPI.so.1
 link path=usr/lib/libsun_sas.so target=libsun_sas.so.1
 link path=usr/share/man/man3lib/SMHBA_GetAdapterAttributes.3lib \
--- old/usr/src/pkg/manifests/system-tnf.mf	2014-04-11 13:24:21.732649552 +0100
+++ new/usr/src/pkg/manifests/system-tnf.mf	2014-04-11 13:24:21.741278735 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/tnf@$(PKGVERS)
@@ -33,27 +34,27 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/include
 dir path=usr/include/tnf
 dir path=usr/kernel group=sys
 dir path=usr/kernel/drv group=sys
 dir path=usr/kernel/drv/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/share/man/man1
 dir path=usr/share/man/man3lib
 driver name=tnf perms="tnfctl 0600 root sys" perms="tnfmap 0600 root sys"
 file path=usr/bin/$(ARCH32)/prex mode=0555
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/tnfxtract mode=0555
-file path=usr/bin/$(ARCH64)/prex mode=0555
-file path=usr/bin/$(ARCH64)/tnfxtract mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/prex mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/tnfxtract mode=0555
 file path=usr/include/tnf/tnfctl.h
 file path=usr/kernel/drv/$(ARCH64)/tnf group=sys
 $(i386_ONLY)file path=usr/kernel/drv/tnf group=sys
 file path=usr/kernel/drv/tnf.conf group=sys
-file path=usr/lib/$(ARCH64)/libtnfctl.so.1
-file path=usr/lib/$(ARCH64)/libtnfprobe.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libtnfctl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libtnfprobe.so.1
 file path=usr/lib/libtnfctl.so.1
 file path=usr/lib/libtnfprobe.so.1
 file path=usr/share/man/man1/prex.1
@@ -66,7 +67,7 @@
     name="TNF Core Components"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libtnfctl.so target=libtnfctl.so.1
-link path=usr/lib/$(ARCH64)/libtnfprobe.so target=libtnfprobe.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtnfctl.so target=libtnfctl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtnfprobe.so target=libtnfprobe.so.1
 link path=usr/lib/libtnfctl.so target=./libtnfctl.so.1
 link path=usr/lib/libtnfprobe.so target=./libtnfprobe.so.1
--- old/usr/src/pkg/manifests/system-zones-brand-s10.mf	2014-04-11 13:24:21.927982194 +0100
+++ new/usr/src/pkg/manifests/system-zones-brand-s10.mf	2014-04-11 13:24:21.936395861 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/zones/brand/s10@$(PKGVERS)
@@ -47,10 +48,10 @@
 $(i386_ONLY)dir path=usr/kernel/brand group=sys
 $(i386_ONLY)dir path=usr/kernel/brand/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/brand
 dir path=usr/lib/brand/solaris10 group=sys
-dir path=usr/lib/brand/solaris10/$(ARCH64)
+$(BUILD64)dir path=usr/lib/brand/solaris10/$(ARCH64)
 file path=etc/brand/solaris10/pkgrm.conf group=sys \
     original_name=SUNWs10brand:etc/brand/solaris10/pkgrm.conf preserve=true
 file path=etc/brand/solaris10/smf_disable.conf group=sys \
@@ -63,9 +64,10 @@
     group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/brand/$(ARCH64)/s10_brand group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/brand/s10_brand group=sys mode=0755
-file path=usr/lib/$(ARCH64)/s10_brand.so.1
-file path=usr/lib/$(ARCH64)/s10_npreload.so.1
-file path=usr/lib/brand/solaris10/$(ARCH64)/solaris10_librtld_db.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/s10_brand.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/s10_npreload.so.1
+$(BUILD64)file \
+    path=usr/lib/brand/solaris10/$(ARCH64)/solaris10_librtld_db.so.1
 file path=usr/lib/brand/solaris10/attach mode=0755
 file path=usr/lib/brand/solaris10/clone mode=0755
 file path=usr/lib/brand/solaris10/common.ksh mode=0444
@@ -98,4 +100,4 @@
     name="Solaris 10 Containers: solaris10 brand support (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/brand/solaris10/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/brand/solaris10/64 target=$(ARCH64)
--- old/usr/src/pkg/manifests/system-zones-brand-sn1.mf	2014-04-11 13:24:22.124532635 +0100
+++ new/usr/src/pkg/manifests/system-zones-brand-sn1.mf	2014-04-11 13:24:22.132878254 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/zones/brand/sn1@$(PKGVERS)
@@ -45,10 +46,10 @@
 $(i386_ONLY)dir path=usr/kernel/brand group=sys
 $(i386_ONLY)dir path=usr/kernel/brand/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/brand
 dir path=usr/lib/brand/sn1 group=sys
-dir path=usr/lib/brand/sn1/$(ARCH64)
+$(BUILD64)dir path=usr/lib/brand/sn1/$(ARCH64)
 file path=etc/zones/SUNWsn1.xml mode=0444
 $(sparc_ONLY)file path=platform/sun4u/kernel/brand/$(ARCH64)/sn1_brand \
     group=sys mode=0755
@@ -56,8 +57,8 @@
     group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/brand/$(ARCH64)/sn1_brand group=sys mode=0755
 $(i386_ONLY)file path=usr/kernel/brand/sn1_brand group=sys mode=0755
-file path=usr/lib/$(ARCH64)/sn1_brand.so.1
-file path=usr/lib/brand/sn1/$(ARCH64)/sn1_librtld_db.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/sn1_brand.so.1
+$(BUILD64)file path=usr/lib/brand/sn1/$(ARCH64)/sn1_librtld_db.so.1
 file path=usr/lib/brand/sn1/config.xml mode=0444
 file path=usr/lib/brand/sn1/platform.xml mode=0444
 file path=usr/lib/brand/sn1/sn1_boot mode=0755
@@ -69,4 +70,4 @@
     name="Fake Solaris N-1 Brand (Usr)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/brand/sn1/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/brand/sn1/64 target=$(ARCH64)
--- old/usr/src/pkg/manifests/system-zones-internal.mf	2014-04-11 13:24:22.343472716 +0100
+++ new/usr/src/pkg/manifests/system-zones-internal.mf	2014-04-11 13:24:22.351874027 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/zones/internal@$(PKGVERS)
@@ -32,14 +33,14 @@
 dir path=usr group=sys
 dir path=usr/include
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 file path=usr/include/libbrand.h
 file path=usr/include/libuutil.h
 file path=usr/include/libzonecfg.h
 file path=usr/include/zonestat_impl.h
-file path=usr/lib/$(ARCH64)/llib-lbrand.ln
-file path=usr/lib/$(ARCH64)/llib-lzonecfg.ln
-file path=usr/lib/$(ARCH64)/llib-lzonestat.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lbrand.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lzonecfg.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lzonestat.ln
 file path=usr/lib/llib-lbrand
 file path=usr/lib/llib-lbrand.ln
 file path=usr/lib/llib-lzonecfg
@@ -50,9 +51,9 @@
     name="Solaris Zones Internal Files" version=11.11,REV=2009.10.13
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/libbrand.so target=./libbrand.so.1
-link path=usr/lib/$(ARCH64)/libzonecfg.so target=./libzonecfg.so.1
-link path=usr/lib/$(ARCH64)/libzonestat.so target=./libzonestat.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbrand.so target=./libbrand.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzonecfg.so target=./libzonecfg.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzonestat.so target=./libzonestat.so.1
 link path=usr/lib/libbrand.so target=./libbrand.so.1
 link path=usr/lib/libzonecfg.so target=./libzonecfg.so.1
 link path=usr/lib/libzonestat.so target=./libzonestat.so.1
--- old/usr/src/pkg/manifests/system-zones.mf	2014-04-11 13:24:22.570829588 +0100
+++ new/usr/src/pkg/manifests/system-zones.mf	2014-04-11 13:24:22.585209714 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/system/zones@$(PKGVERS)
@@ -43,7 +44,7 @@
 dir path=usr/kernel/drv group=sys
 dir path=usr/kernel/drv/$(ARCH64) group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/brand
 dir path=usr/lib/brand/ipkg group=bin
 dir path=usr/lib/brand/shared group=sys
@@ -77,9 +78,9 @@
 file path=usr/bin/zonestat mode=0555
 file path=usr/kernel/drv/$(ARCH64)/zcons group=sys
 $(i386_ONLY)file path=usr/kernel/drv/zcons group=sys
-file path=usr/lib/$(ARCH64)/libbrand.so.1
-file path=usr/lib/$(ARCH64)/libzonecfg.so.1
-file path=usr/lib/$(ARCH64)/libzonestat.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libbrand.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzonecfg.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzonestat.so.1
 file path=usr/lib/brand/ipkg/config.xml mode=0444
 file path=usr/lib/brand/ipkg/platform.xml mode=0444
 file path=usr/lib/brand/shared/common.ksh mode=0444
--- old/usr/src/pkg/manifests/text-locale.mf	2014-04-11 13:24:22.778085877 +0100
+++ new/usr/src/pkg/manifests/text-locale.mf	2014-04-11 13:24:22.787622678 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2010 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/text/locale@$(PKGVERS)
@@ -35,7 +36,7 @@
 dir path=usr/bin
 dir path=usr/lib
 dir path=usr/lib/iconv
-dir path=usr/lib/iconv/$(ARCH64)
+$(BUILD64)dir path=usr/lib/iconv/$(ARCH64)
 dir path=usr/lib/iconv/geniconvtbl
 dir path=usr/lib/iconv/geniconvtbl/binarytables
 dir path=usr/lib/iconv/geniconvtbl/srcs
@@ -50,7 +51,7 @@
 file path=usr/bin/srchtxt mode=0555
 file path=usr/bin/xgettext mode=0555
 file path=usr/lib/gmsgfmt mode=0555
-file path=usr/lib/iconv/$(ARCH64)/geniconvtbl.so mode=0555
+$(BUILD64)file path=usr/lib/iconv/$(ARCH64)/geniconvtbl.so mode=0555
 file path=usr/lib/iconv/geniconvtbl.so mode=0555
 file path=usr/lib/iconv/geniconvtbl/binarytables/ISO646%ISO8859-1.bt mode=0444
 file path=usr/lib/iconv/geniconvtbl/binarytables/ISO8859-1%ISO646.bt mode=0444
